2009-02-26  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #572950

	* printing/Makefile.am:
	Remove meaningless GNOME_INCLUDEDIR.  Patch by Daniel Macks.

2009-02-24  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #572903

	* gui/contact-editor/contact-editor.glade: Change "Novell Groupwise"
	to "Novell GroupWise". Doesn't break string freeze, as the latter
	string already exists.

2009-02-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #404232

	* gui/widgets/e-addressbook-view.c: (search_activated):
	Rebuild view immediately for an advanced search too.

2009-02-11  Andre Klapper  <a9016009@gmx.de>

	* /gui/component/addressbook-migrate.c:
	Substitute some deprecated gtk+ functions.

2009-01-26  Matthew Barnes  <mbarnes@redhat.com>

	* printing/test-print.c:
	* printing/test-contact-print-style-editor.c:
	Migrate the test programs off libgnomeui/libbonobo.

2009-01-21  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #362754

	* gui/component/addressbook-component.c: (ensure_sources):
	Ensure to show default groups and sources with actual
	localized name, not the one it was stored last time.

2009-01-11  Matthew Barnes  <mbarnes@redhat.com>

	* gui/widgets/eab-contact-display.c (eab_uri_popup_link_open),
	(on_link_clicked):
	Call e_show_uri() instead of gnome_url_show().

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* gui/contact-editor/e-contact-editor-fullname.c:
	* gui/contact-editor/e-contact-editor-im.c:
	* gui/contact-editor/e-contact-editor-address.c:
	* gui/widgets/e-addressbook-view.c:
	* printing/e-contact-print.c:
	Remove unneeded #include <libgnome/gnome-util.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* gui/component/addressbook-view.c:
	* gui/contact-editor/e-contact-editor.h:
	* gui/contact-editor/e-contact-quick-add.c:
	* gui/contact-editor/eab-editor.h:
	* gui/contact-list-editor/e-contact-list-editor.h:
	Remove unneeded #include <libgnomeui/gnome-app.h>.
	Remove unneeded #include <libgnomeui/gnome-app-helper.h>

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #567270

	* gui/contact-editor/test-editor.c:
	* printing/test-contact-style-editor.c:
	* printing/test-print.c:
	Remove already-disabled use of gnome_about_new().

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #567276

	* gui/widgets/e-addressbook-view.c:
	* printing/test-print.c:
	Remove unneeded #include <libgnomeui/gnome-dialog-util.h>.

2009-01-10  Andre Klapper  <a9016009@gmx.de>

	* Fix for bug #567282

	* /gui/component/addressbook-view.c:
	Remove unrequired #include of <libgnomeui/gnome-href.h>.

2009-01-09  Takao Fujiwara  <takao.fujiwara@sun.com>

	Reviewed by Matthew Barnes  <mbarnes@redhat.com>

	* Fix for bug #566011

	* gui/component/Makefile.am:
	* gui/component/addressbook-component.c
	(addressbook_component_class_init):
	Include <glib/gi18n-lib.h> instead of <glib/gi18n.h> and
	add bindtextdomain().

2009-01-08  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #339879

	* gui/widgets/addresstypes.xml: Use "rawcode" instead of "code"
	to have not added a "match-all" into the expression.

2009-01-07  Matt Davey  <mcdavey@mrao.cam.ac.uk>

	** Fix for bugs #201167 and #269342

	* conduit/address-conduit.c:
	Add support for category syncing.  Also, retain an existing
	given/first name split if it exists in the pilot record.

2009-01-01  Matthew Barnes  <mbarnes@redhat.com>

	* ui/component/addressbook-config.c (eabc_general_offline):
	Use the correct macro when marking strings for translation.

2008-12-23  Andre Klapper  <a9016009@gmx.de>

	* gui/merging/eab-contact-merging.c:
	Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>

2008-12-09  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563669

	* gui/component/ldap-config.glade:
	* printing/e-contact-print.glade:
	Use zero GtkSpinButton's PageSize, as Gtk+ requires.

2008-12-08  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #270376

	* gui/contact-editor/e-contact-editor.c: (im_service []),
	(non_string_fields[]):
	* gui/widgets/eab-contact-display.c: (render_contact):
	Support Skype field in a contact.

	* gui/contact-editor/e-contact-editor-im.c:
	Changes here too, but file doesn't seem to be used.

2008-12-08  Jennifer Newman  <jennifer.newman@tufts.edu>

	** Fix for bug #549964

	* gui/widgets/eab-gui-util.c (eab_load_error_dialog),
	(eab_search_result_dialog): Fix for a few erroneous strings. 

2008-12-05  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #332629

	* gui/widgets/addresstypes.xml:
	Use dynamically created list of categories in the option's widget.

2008-12-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #263268

	* gui/widgets/e-addressbook-view.c: (search_activated),
	(make_suboptions): Be able to search for contacts without category.

2008-12-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #348299

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	Use category completion in the Categories field.

2008-11-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #557818

	* gui/component/addressbook-view.c:
	ESourceSelector now handles most of the drag-and-drop signals.
	We just have to listen for the new "data-dropped" signal and
	deal with it.  Gets rid of a lot of duplicate logic.

2008-11-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #558322

	* gui/component/addressbook-view.c (rename_addressbook_cb):
	New "Rename" item in the source selector pop-up menu calls
	the recently added e_source_selector_edit_primary_selection().
	Still need to bind the "F2" key to this action, but I'm not
	sure how whether EPopup supports that.

2008-10-30  Matthew Barnes  <mbarnes@redhat.com>

	* gui/contact-editor/test-editor.c:
	* gui/widgets/e-minicard-label.c:
	* gui/widgets/e-minicard-view-widget.c:
	* gui/widgets/test-reflow.c:
	Only include the toplevel GTK+ header.

2008-10-17  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #511918

	* tools/evolution-addressbook-export-list-cards.c:
	(struct _EContactCSVFieldData), (csv_field_data[]),
	(e_contact_csv_get_data_type), (e_contact_csv_get):
	Use TRUE/FALSE texts for boolean values and do not
	free returned value for them, otherwise it crashes.

2008-10-14  Sankar P  <psankar@novell.com>

License Changes

	* conduit/address-conduit.c:

2008-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #555494

	* gui/widgets/e-addressbook-view.c (generate_viewoption_menu):
	Category icons are not themed.  Load by file, not by icon name.

2008-10-03  Sankar P  <psankar@novell.com>

License Changes

	* gui/widgets/eab-contact-display.c:

2008-10-01  Sankar P  <psankar@novell.com>

License Changes

	* gui/component/addressbook-config.c:
	* gui/widgets/e-minicard.c:
	* importers/evolution-ldif-importer.c:
	* importers/evolution-vcard-importer.c:

2008-09-30  Sankar P  <psankar@novell.com>

License Changes

	* gui/component/addressbook.c:

2008-09-29  Sankar P  <psankar@novell.com>

License Changes

	* gui/component/addressbook-view.c:

2008-09-25  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #553148

	* gui/contact-editor/contact-editor.glade:
	* gui/contact-editor/e-contact-editor-im.c: Standardise "GroupWise"
	usage in translatable strings.

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* gui/contact-editor/e-contact-editor.c:
	* gui/contact-editor/e-contact-quick-add.c:
	* gui/widgets/e-addressbook-view.c:

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* gui/widgets/e-addressbook-model.c:
	* gui/widgets/eab-gui-util.c:
	* gui/widgets/eab-vcard-control.c:

2008-09-24  Philip Withnall  <philip@tecnocode.co.uk>

	** Fixes bug #553479

	* gui/component/ldap-config.glade: String capitalisation improvements.

2008-09-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #553273

	* gui/component/addressbook-view.c: (delete_addressbook_folder),
	(delete_addressbook_cb):
	* gui/widgets/eab-gui-util.c: (save_it):
	* gui/contact-list-editor/e-contact-list-model.c:
	(e_contact_list_model_add_email):
	* gui/contact-list-editor/e-contact-list-editor.c:
	(contact_list_editor_contact_exists):
	Always end e_error_run/e_error_new calls with NULL parameter.

2008-09-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #552575

	* gui/widgets/eab-gui-util.c: (eab_send_contact_list_as_attachment):
	Register default callbacks to composer to be able to send/save draft.

2008-09-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #272391

	* gui/component/apps_evolution_addressbook.schemas.in:
	* gui/component/autocompletion-config.c: (struct AutocompletionConfig),
	(config_control_destroy_notify), (add_section),
	(show_address_check_toggled_cb), (autocompletion_config_control_new):
	New UI for Edit->Preferences->Autocompletion, with the checkbox for
	the key "/apps/evolution/addressbook/completion/show_address" to be
	able to setup whether show mail address for the autocompleted contact.

2008-09-19  Sankar P  <psankar@novell.com>

License Changes

	* gui/widgets/e-minicard-label.c:
	* tools/evolution-addressbook-export.c:

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* gui/component/addressbook-component.c:
	* gui/contact-editor/eab-editor.c:

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* gui/component/addressbook-migrate.c:

2008-09-08  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #361413

	* gui/widgets/eab-gui-util.c: (eab_load_error_dialog):
	Print detailed error also for LDAP backends.

2008-09-06  Michael Meeks  <michael.meeks@novell.com>

	* gui/component/openldap-extract.h: License fixes.

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* gui/widgets/e-minicard-view.c:
	* gui/widgets/eab-popup-control.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* gui/component/addressbook-config.h:
	* gui/component/addressbook.h:
	* gui/component/autocompletion-config.c:
	* gui/component/autocompletion-config.h:
	* gui/component/component-factory.c:
	* gui/contact-editor/e-contact-editor-address.c:
	* gui/contact-editor/e-contact-editor-address.h:
	* gui/contact-editor/e-contact-editor-fullname.c:
	* gui/contact-editor/e-contact-editor-fullname.h:
	* gui/contact-editor/e-contact-editor-im.c:
	* gui/contact-editor/e-contact-editor-im.h:
	* gui/contact-editor/e-contact-editor.h:
	* gui/contact-editor/e-contact-quick-add.h:
	* gui/contact-editor/test-editor.c:
	* gui/contact-list-editor/e-contact-list-editor.c:
	* gui/contact-list-editor/e-contact-list-editor.h:
	* gui/contact-list-editor/e-contact-list-model.c:
	* gui/merging/eab-contact-compare.c:
	* gui/merging/eab-contact-merging.c:
	* gui/merging/eab-contact-merging.h:
	* gui/widgets/e-addressbook-reflow-adapter.c:
	* gui/widgets/e-addressbook-table-adapter.c:
	* gui/widgets/e-addressbook-view.h:
	* gui/widgets/e-minicard-label.h:
	* gui/widgets/e-minicard-view-widget.c:
	* gui/widgets/e-minicard-view-widget.h:
	* gui/widgets/e-minicard.h:
	* gui/widgets/eab-config.c:
	* gui/widgets/eab-contact-display.h:
	* gui/widgets/eab-menu.c:
	* gui/widgets/eab-popup.c:
	* gui/widgets/gal-view-factory-minicard.c:
	* gui/widgets/gal-view-minicard.h:
	* importers/evolution-csv-importer.c:
	* printing/e-contact-print-style-editor.c:
	* printing/e-contact-print-style-editor.h:
	* printing/e-contact-print-types.h:
	* printing/e-contact-print.c:
	* printing/e-contact-print.h:
	* printing/test-contact-print-style-editor.c:
	* printing/test-print.c:
	* tools/evolution-addressbook-export-list-cards.c:
	* util/eab-book-util.c:
	* util/eab-book-util.h:

2008-09-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #448435

	* gui/component/addressbook-config.c: (eabc_general_host):
	Keep UI consistent, disable SSL method for 636 port.

2008-09-01  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #548827

	* gui/widgets/eab-gui-util.c: (eab_error_dialog):
	Check bounds of the string array before accessing elements.
	* gui/widgets/e-addressbook-view.c: (delete_contacts_cb):
	Show more detailed error message if available.

2008-08-30  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #548348

	* printing/Makefile.am:
	Add a libecontactprint_la_LIBADD stanza so we link to the
	correct libemiscwidgets and libeutil.

2008-08-27  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #534762

	* addressbook.error.xml:
	* conduit/address-conduit.c:
	* gui/widgets/eab-gui-util.c: (eab_load_error_dialog),
	(eab_search_result_dialog):
	* gui/widgets/eab-vcard-control.c: (eab_vcard_control_new):
	* tools/evolution-addressbook-export-list-folders.c:
	(action_list_folders_init):
	* tools/evolution-addressbook-export.c: Change "addressbook" to
	"address book" in translatable strings.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* gui/component/addressbook-component.h:
	* gui/component/addressbook-migrate.h:
	* gui/component/addressbook-view.h:
	* gui/component/openldap-extract.h:
	* gui/contact-editor/eab-editor.h:
	* gui/contact-list-editor/e-contact-list-model.h:
	* gui/merging/eab-contact-compare.h:
	* gui/widgets/e-addressbook-model.h:
	* gui/widgets/e-addressbook-reflow-adapter.h:
	* gui/widgets/e-addressbook-table-adapter.h:
	* gui/widgets/e-minicard-view.h:
	* gui/widgets/eab-config.h:
	* gui/widgets/eab-gui-util.h:
	* gui/widgets/eab-menu.h:
	* gui/widgets/eab-popup-control.h:
	* gui/widgets/eab-popup.h:
	* gui/widgets/eab-vcard-control.h:
	* gui/widgets/gal-view-factory-minicard.h:
	* gui/widgets/gal-view-minicard.c:
	* importers/evolution-addressbook-importers.h:
	* tools/evolution-addressbook-export-list-folders.c:
	* tools/evolution-addressbook-export.h:

2008-08-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #508732

	* gui/component/addressbook-component.c (impl_createView):
	Add a "select_item" argument for crash recovery, which the
	addressbook component does not use.

2008-08-14  Matthew Barnes  <mbarnes@redhat.com>

	* gui/contact-editor/e-contact-editor.c:
	Use e_display_help() for displaying help.

2008-08-12  Matthew Barnes  <mbarnes@redhat.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	Fix a typo.  (#547369)

	* gui/component/addressbook-migrate.c:
	Fix TeX-style quotes.  (#547372)

2008-08-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #547308

	* gui/component/addressbook.c: (load_source_auth_cb):
	Do not try to authenticate to the server more than twice when knows
	the password and it didn't fail because of wrong user name/password.
	* gui/widgets/eab-gui-util.c: (const char *status_to_string[]):
	New string for new status code.
	* gui/widgets/eab-gui-util.c: (eab_load_error_dialog):
	Include detailed error in generic failure error, if available and is
	not a repository offline error.

2008-08-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546892

	* gui/contact-editor/e-contact-editor-fullname.c:
	* gui/contact-editor/e-contact-editor-im.c:
	* gui/contact-editor/e-contact-editor-address.c:
	Prefer gtk_window_set_icon_name() over gtk_window_set_icon_list().

	* gui/contact-editor/e-contact-editor-im.c:
	Prefer gtk_image_new_from_icon_name() over e_icon_factory_get_image().

	* gui/component/addressbook-view.c:
	e_activity_handler_operation_started() no longer takes a GdkPixbuf.
	It was ignoring the pixbuf anyway ever since we added a spinner icon.

2008-08-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #324203

	* gui/component/ldap-config.glade:
	* gui/component/addressbook-config.c: (canbrowse_toggled_cb),
	(eabc_details_limit): New check box to be able to set LDAP
	address books browseable until reaches given limits.

2008-08-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #249844

	* gui/component/addressbook-component.c:
	(impl__get_userCreatableItems): Do not let compiler claim.

2008-08-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #546263

	* gui/widgets/e-minicard.c: (add_field), (add_email_field), (remodel):
	Add 'width' property as the last one for 'new' item, thus it will know
	all the information to properly calculate column widths. Also don't
	set field names for the contact-lists. Both changes prevents messing
	of minicard painting for changed contact-lists.

2008-08-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #249844

	* gui/component/addressbook-component.c
	(impl__get_userCreatableItems): 
	Use C_() macro instead of Q_() macro. 
	Use fully qualified names for "New" submenu entries. 

2008-08-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546057

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	* gui/contact-list-editor/contact-list-editor.glade:
	Use "x-office-address-book" icon name instead of "stock_addressbook".

2008-07-30  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #211267

	* printing/e-contact-print.c: (struct _EContactPrintContext),
	(e_contact_print_letter_heading), (e_contact_start_new_page),
	(e_contact_print_contact), (contact_draw_page),
	(e_contact_print): Report correct number of pages to print
	and print them as requested.

2008-07-30  Takao Fujiwara  <takao.fujiwara@sun.com>

	Reviewed by Andre Klapper <a9016009@gmx.de>

	** Fix for bug #545300

	* gui/merging/eab-contact-duplicate-detected.glade:
	Add a translatable tag in "_Merge" string.

2008-07-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #544383

	* gui/contact-list-editor/e-contact-list-editor.c:
	(e_contact_list_editor_get_contact): Put list members in reverse order,
	because 'e_vcard_add_attribute' uses prepend, thus changes order on
	every single save of the contact list.

2008-07-20  Andre Klapper  <a9016009@gmx.de>

	* addressbook.error.xml: Fix some strings. See bug #543753.

2008-07-13  Keith Packard  <keithp@keithp.com>

	** Fix for bug #541355

	* conduit/address-conduit.c:
	The pilot link code does call free_match on data returned from the 
	for_each method, which the evolution conduits aren't prepared to 
	handle. This patch removes any freed objects from the 'locals' list in 
	each conduit which otherwise frees them again when the conduit is closed.

2008-07-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #228725

	* gui/widgets/e-minicard-view.h: (struct _EMinicardView):
	* gui/widgets/e-minicard-view.c: (set_empty_message),
	(stop_state_changed), (e_minicard_view_set_property),
	(e_minicard_view_dispose), (e_minicard_view_init):
	Show different message in a view when searching.

2008-07-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #540152

	* gui/component/addressbook-component.c: (ensure_sources):
	Unref source only when we created it - the list owns the pointer now.

2008-06-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #539755

	* importers/evolution-csv-importer.c: (parseLine):
	Do not leak (introduced in bug #440818).
	* importers/evolution-csv-importer.c: (add_to_notes),
	(parseLine), (getNextCSVEntry): Do not access memory beyond
	the columns array.

2008-06-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #440818 (patch by Rodrigo Castro)

	* importers/evolution-csv-importer.c: (parseLine): Convert line
	to UTF-8 if not a valid one. Pretend it to be an ISO-8859-1 line.
	* importers/evolution-csv-importer.c: (getNextCSVEntry):
	Append char-by-char and check for EOF too.

2008-06-13  Tor Lillqvist  <tml@novell.com>

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	Link with the bootstrap libevolution-mail library on Windows.

2008-06-13  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #304029
	
	* gui/widgets/addresstypes.xml: changed description of default
	search filter from "Name begins with" to "Name contains"
	* gui/widgets/e-addressbook-view.c: (search_activated):
	same in a filter search query itself

2008-06-10  Matthew Barnes  <mbarnes@redhat.com>

	* gui/component/addressbook-component.c:
	Use <glib/gi18n.h> instead of <bonobo/bonobo-i18n.h>.

2008-06-03  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/merging/eab-contact-merging.c: (mergeit):
	Use non-deprecated gtk+ api.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* conduit/address-conduit.c:
	* gui/contact-editor/e-contact-editor.c:
	* gui/widgets/e-addressbook-view.c:
	* gui/widgets/e-minicard-view-widget.c:
	* gui/widgets/e-minicard.c:
	* gui/widgets/eab-contact-display.h:
	* printing/e-contact-print-style-editor.c:
	* printing/e-contact-print-style-editor.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-04-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #316390

	* gui/widgets/e-addressbook-view.c: (categories_changed_cb),
	(get_master_list), (eab_view_dispose), (eab_view_new),
	(search_activated), (make_suboptions):
	Listen for changes in categories setup and propagate them to UI.

2008-04-28  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #529768

	* gui/widgets/eab-gui-util.c (eab_send_to_contact_and_email_num_list):
	Setup default callbacks for the newly created EMsgComposer widget.

2008-04-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #529254

	* gui/widgets/eab-gui-util.c: (save_it):
	Prototype and return value of e_write_file_uri has been changed.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #529465

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	Prefer "popup" to "pop-up" per the GNOME Documentation Style Guide.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* gui/contact-editor/e-contact-editor.c: Do not include gnome-vfs.

2008-04-02  Matthew Barnes <mbarnes@redhat.com>

	* gui/widgets/Makefile.am:
	Remove CORBA rules for the old composer.

	* gui/widgets/eab-gui-util.c (eab_send_to_contact_and_email_num_list),
	(eab_send_contact_list_as_attachment):
	Adapt to new Bonobo-less composer widget.

2008-03-31  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #521562

	* gui/contact-editor/e-contact-editor-address.c: (countries []):
	Small typo fix.

2008-03-31  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #506347

	* gui/widgets/eab-contact-display.c:
	(eab_contact_display_render_compact):
	Inherit background colors from actual theme, do not use hardcoded one.

2008-03-31  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #404241

	* gui/widgets/e-minicard.c: (get_email_location), (add_email_field):
	* gui/widgets/eab-contact-display.c: (get_email_location):
	Never return NULL, rather return "Other" as default.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #438613

	* addressbook.error.xml:
	Improved "contact-delete-error-perm" secondary text.

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #316572

	* gui/component/ldap-config.glade: Do not translate unused text.

2008-03-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #511952

	* gui/contact-list-editor/e-contact-list-editor.c:
	(contact_list_editor_create_name_selector):
	Marking text for translation.

2008-03-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #273177

	* gui/contact-editor/e-contact-quick-add.h:
	(e_contact_quick_add_vcard):
	* gui/contact-editor/e-contact-quick-add.c: (struct _QuickAdd),
	(quick_add_unref), (quick_add_set_vcard), (clicked_cb),
	(build_quick_add_dialog), (e_contact_quick_add_vcard):
	Allow adding also whole vCard with this dialog.
	* gui/widgets/eab-popup-control.h: (struct _EABPopupControl):
	* gui/widgets/eab-popup-control.c: (eab_popup_control_set_vcard),
	(eab_popup_control_cleanup), (eab_popup_control_set_vcard),
	(eab_popup_control_no_matches), (set_prop), (get_prop),
	(eab_popup_control_new):
	New property 'vcard', if set, has higher precedence than name/email.

2008-03-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #513951

	* gui/component/addressbook-component.c (ensure_sources):
	* gui/component/addressbook-migrate.c (addressbook_migrate):
	Adapt to new meaning of xxx_component_peek_base_directory().

	* gui/component/addressbook-component.c (addressbook_component_init):
	* gui/component/addressbook-migrate.c (create_groups):
	Use e_get_user_data_dir() instead of constructing the full path.

2008-02-22  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #514836

	* gui/contact-list-editor/e-contact-list-editor.c:
	(contact_list_editor_add_destination):
	Obsoleting EVC_X_DEST_EMAIL and EVC_X_DEST_NAME.

2008-02-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #517458

	* gui/widgets/e-addressbook-reflow-adapter.c:
	(addressbook_compare): Handle broken UIDs.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* gui/component/addressbook-migrate.c: (get_source_name):
	Memory leak fix.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/merging/eab-contact-merging.c: (mergeit): Upstream patch from
	OpenSUSE.

2008-02-14  Matthew Barnes  <mbarnes@redhat.com>

	* gui/component/addressbook.c (addressbook_authenticate):
	Don't allow newlines in the password dialog title.  Use a fixed
	string instead.  (#516279)

2008-02-10  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #510642

	* addressbook.error.xml: Improved string for read-only-addressbook
	error-message. 

2008-01-29  Matthew Barnes  <mbarnes@redhat.com>

	* gui/widgets/e-minicard.c:
	* gui/widgets/gal-view-minicard.c:
	Replace G_GNUC_FUNCTION (deprecated) with G_STRFUNC.

2008-01-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #512020

	* gui/widgets/e-addressbook-view.c: (get_master_list):
	Use only searchable categories, like in calendar.

2008-01-23  Djihed Afifi  <djihed@gmail.com>

	** Fix for bug #391408

	* gui/widgets/e-minicard-label.c:
	(e_minicard_label_resize_children):
	* gui/widgets/e-minicard.c: (add_field), (add_email_field):
	Fix contact minicards for RTL languages.

2008-01-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #503551

	* gui/widgets/e-minicard-view-widget.c: (selection_row_change):
	Emit selection changed signal even when unselecting, because
	we enable/disable menu items on selection change.

2008-01-21  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #324604 inspired by patch of makuchaku (Mayank)

	* gui/widgets/eab-gui-util.h:
	* gui/widgets/eab-gui-util.c: (eab_parse_qp_email),
	(eab_parse_qp_email_to_html): New helper functions for decoding
	email addresses from RFC822 or RFC2047 form to UTF-8.
	* gui/widgets/e-minicard.c: (add_email_field):
	* gui/widgets/eab-contact-display.c: (render_contact_list),
	(render_contact), (eab_contact_display_render_compact):
	* gui/widgets/e-addressbook-table-adapter.c:
	(struct _EAddressbookTableAdapterPrivate), (addressbook_dispose),
	(addressbook_value_at), (addressbook_set_value_at), (remove_contacts),
	(modify_contact), (model_changed), (eab_table_adapter_construct):
	* gui/widgets/eab-gui-util.c: (get_email),
	(eab_send_contact_list_as_attachment):
	Ensure the print of the email is transformed from RFC822 or RFC2047.

2008-01-20  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/widgets/e-addressbook-view.etspec: Revert my last patch.

2008-01-20  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/widgets/e-addressbook-view.etspec: Take off the cursor/focus.
	Now we have a nice cairo rendered message list row.

2008-01-15  Djihed Afifi  <djihed@gmail.com>

	** Fix for bug #507564

	* gui/widgets/eab-contact-display.c: Fix contact view for RTL
	languages.

2008-01-14  David Turner  <cillian64@googlemail.com>

	** Partial fix for bug #498095

	* gui/contact-editor/contact-editor.glade: Changed mnemonics on
	"Categories" and "Nickname" to fix a clash. 

2008-01-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #488213

	* gui/contact-editor/e-contact-editor.c: (extract_simple_field):
	Use global function e_icon_factory_pixbuf_scale for scaling pixbufs.

2008-01-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #448441

	* addressbook.error.xml: New message "error-read-only" added.
	* gui/contact-editor/e-contact-quick-add.c: (struct _QuickAdd),
	(merge_cb), (sanitize_widgets), (source_changed),
	(build_quick_add_dialog):
	Disable "OK" and "Edit Full" buttons if no source is selected.
	Also set always book from combo, do not use the new created.

2008-01-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #339813

	* gui/contact-editor/e-contact-editor.c: (e_contact_editor_create_date):
	Setting new option 'e_date_edit_set_twodigit_year_can_future' to FALSE.

2008-01-06  Michael Monreal  <michael.monreal@gmx.net>

	** Fix for bug #492188

	* gui/component/addressbook-view.c:

	Use the new Tangoized icons instead of deprecated icons from 
	gnome-icon-theme.

2008-01-06  Christian Krause  <chkr@plauener.de>

	** Fix for bug #506772

	* tools/evolution-addressbook-export.c: (main): Not-NULL check for a 
	string array before finding its length. 

2007-12-11  Sankar P  <psankar@novell.com>

	** Fix for bug #501969

	* gui/component/addressbook.c: (load_source_auth_cb):
	Passwords should not be forgotten on all errors

2007-12-06  David Turner  <cillian64@googlemail.com>

	** Fix for bug #468277

	* gui/component/addressbook-config.c: (eabc_general_offline):
	Added a mnemonic to "Copy book content locally for offline operation"

2007-12-05  Lucky Wankhede  <wlakke@novell.com>

	** Fix for bug #409121

	* gui/component/addressbook-view.c:
	* gui/widgets/e-addressbook-view.c: (save_as), (eab_view_save_as):
	* gui/widgets/eab-gui-util.c:
	(eab_send_contact_list_as_attachment):
	* gui/widgets/eab-vcard-control.c: (toggle_full_vcard),
	(eab_vcard_control_new):
	* importers/evolution-vcard-importer.c:
	(evolution_vcard_importer_peek): Corrected misspelled instances
	of vCard

2007-11-28  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #489652

	Migrate the contact list editor from ETable to GtkTreeView and
	fix some HIG issues.

	* gui/contact-list-editor/Makefile.am:
	Remove e-contact-list-editor.etspec
	Remove e-contact-list-editor-marshal.list

	* gui/contact-list-editor/contact-list-editor.glade:
	Fix some HIG issues and give all the widgets proper names.

	* gui/contact-list-editor/e-contact-list-model.c:
	* gui/contact-list-editor/e-contact-list-model.h:
	EContactListModel is now a subclass of GtkListStore.

	* gui/contact-list-editor/e-contact-list.c:
	* gui/contact-list-editor/e-contact-list.h:
	Use a GtkTreeView instead of an ETable for displaying members.
	Refactor everything; see bug #489652 for more details.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #495711

	* gui/contact-editor/e-contact-editor.h: (struct _EContactEditor):
	* gui/contact-editor/e-contact-editor.c: (full_name_response),
	(full_name_clicked), (e_contact_editor_init):
	Keep track of previously created Full Name dialog and reuse it.

2007-11-18  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	** Fix bug #495875

	* gui/component/addressbook-view.c:
	right click menu reordering

2007-11-03  Matthew Barnes  <mbarnes@redhat.com>

	** Remove dead files from source control.  The dates below
	   indicate when the file was removed from Makefile.am.
	   Fixes part of bug #478704.

	* printing/e-contact-print-envelope.c	(Apr 2007)
	* printing/e-contact-print-envelope.h	(Apr 2007)
	* tools/evolution-addressbook-abuse.c	(May 2004)
	* tools/evolution-addressbook-import.c	(no history)

2007-10-31  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #484064

	* gui/component/addressbook-view.c:
	* gui/widgets/e-addressbook-view.c:
	Use mail-message-new instead of mail-send for composing
	mail to contact, contacts or group.

2007-10-29  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/contact-editor/e-contact-editor.c:
	Remove unneeded include.

2007-10-26  Matthew Barnes  <mbarnes@redhat.com>

	* conduit/address-conduit.c (local_record_to_pilot_record):
	Zero out the GnomePilotRecord struct to silence a compiler warning.

2007-10-25  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #489661

	* gui/widgets/gal-view-treeview.c:
	* gui/widgets/gal-view-treeview.h:
	* gui/widgets/gal-view-factory-treeview.c:
	* gui/widgets/gal-view-factory-treeview.h:
	* gui/widgets/e-addressbook-treeview-adapter.c:
	* gui/widgets/e-addressbook-treeview-adapter.h:
	Remove these dead files from SCM.

	* gui/widgets/e-addressbook-view.h:
	* gui/widgets/e-addressbook-view.c:
	* gui/widgets/Makefile.am:
	Remove dead WITH_ADDRESSBOOK_VIEW_TREEVIEW code.

2007-10-23  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/contact-editor/e-contact-editor-address.c:
	* gui/contact-editor/e-contact-editor-fullname.c:
	* gui/contact-editor/e-contact-editor-im.c:
	* gui/contact-editor/e-contact-editor.c: (save_contact),
	(app_delete_event_cb), (e_contact_editor_set_property),
	(e_contact_editor_create_date):
	* gui/contact-list-editor/e-contact-list-model.c:
	(e_contact_list_model_new):
	* gui/merging/eab-contact-merging.c: (mergeit), (response):
	* gui/widgets/e-minicard.c: (e_minicard_event), (add_field),
	(get_email_location), (add_email_field), (remodel),
	(e_minicard_reflow), (e_minicard_compare):
	* gui/widgets/eab-config.c: (eab_config_new):
	* gui/widgets/eab-gui-util.c: (eab_load_error_dialog),
	(file_exists), (save_it), (contact_added_cb),
	(eab_send_to_contact_and_email_num_list):
	* gui/widgets/eab-menu.c: (eab_menu_new):
	* gui/widgets/eab-popup.c: (eab_popup_new):
	* importers/evolution-csv-importer.c: (parseLine),
	(getNextCSVEntry):
	* printing/e-contact-print-style-editor.c:
	* printing/test-contact-print-style-editor.c:
	* printing/test-print.c:
	* util/eab-book-util.c: (eab_get_config_database):

	Warning fixes:
	- mixing code and declarations
	- NULL vs 0 vs FALSE/TRUE
	- mark code static
	- some coding style fixes
	- if vs ifdef
	- Remove some unused bits
	- ANSIfication of declarations

2007-10-23  Tobias Mueller  <tobiasmue@svn.gnome.org>
	Patch by Michael Monreal <michael.monreal@gmx.net>
	
	** Fixes bug #486406

	* gui/component/addressbook-component.c:
	Use addressbook-new icon instead of stock_addressbook

2007-10-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #417999

	* gui/contact-editor/e-contact-editor.c:
	* gui/contact-editor/contact-editor.glade:
	* gui/contact-editor/e-contact-quick-add.c:
	* gui/contact-list-editor/contact-list-editor.c:
	* gui/contact-list-editor/contact-list-editor.glade:
	Use ESourceComboBox instead of ESourceOptionMenu (deprecated).

2007-10-18  Tobias Mueller  <tobiasmue@svn.gnome.org>
	Patch by Michael Monreal <michael.monreal@gmx.net>
	
	** Fixes bug #482603

	* gui/component/addressbook-view.c:
	Use document-properties icon instead of stock_folder-properties
	
2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* conduit/address-conduit.c:
	* gui/contact-editor/e-contact-editor.c:
	* gui/component/addressbook-config.c:
	* gui/widgets/eab-gui-util.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* gui/component/addressbook-view.c:
	Use "edit-copy" icon for the FolderCopy verb.

2007-10-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #331421

	* gui/widgets/eab-contact-display.c:
	(eab_contact_display_render_normal): Make contact list name clickable.

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* importers/evolution-ldif-importer.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #337539

	* gui/widgets/e-minicard.c: (get_left_width), (remodel):
	Omit left column when showing list of contacts.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #474000

	* importers/evolution-ldif-importer.c:
	Remove redundant Base64 codec implementation.  Use GLib's.

2007-09-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #461195

	* util/eab-marshal.list:
	* gui/contact-list-editor/e-contact-list-editor-marshal.list:
	* gui/contact-editor/e-contact-editor-marshal.list: Remove
	needless marshalers.
	* gui/contact-editor/eab-editor.c:
	* gui/widgets/e-minicard-view-widget.c:
	* gui/widgets/eab-marshal.list:
	* gui/widgets/e-minicard.c:
	* gui/widgets/e-minicard-label.c:
	* gui/widgets/e-addressbook-model.c:
	* gui/widgets/e-addressbook-view.c: Use GObject's marshalers.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* gui/component/addressbook-component.c:
	* gui/component/addressbook-view.c:
	* gui/contact-editor/e-contact-editor-address.c:
	* gui/contact-editor/e-contact-editor-fullname.c:
	* gui/contact-editor/e-contact-editor-im.c:
	* gui/widgets/e-addressbook-view.c:
	* gui/widgets/eab-contact-display.c:
	Use standard icon names where applicable.

2007-09-21  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #411125

	* gui/widgets/e-addressbook-view.etspec:
	* gui/contact-list-editor/e-contact-list-editor.etspec:
	Uses 'compare="collate"' instead of 'compare="string"' to handle UTF
	characters correctly.

2007-09-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476231

	* gui/widgets/eab-gui-util.c:
	Remove non-USE_GTKFILECHOOSER code.
	GtkFileChooser has been around since 2004.

2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473903

	* gui/merging/eab-contact-merging.c: (mergeit):
	Fixes serious compiler warning.

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/component/addressbook-config.c: (source_to_uri_parts): Fix for a
	build break.

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 (Move away from assert to g_ret)

	* gui/component/addressbook-config.c: (ldap_unparse_auth),
	(ldap_unparse_scope), (ldap_unparse_ssl), (source_to_uri_parts):
	* gui/component/addressbook-view.c: (control_activate_cb):
	* gui/contact-list-editor/e-contact-list-editor.c:
	(e_contact_list_editor_close):
	* gui/widgets/e-addressbook-view.c: (table_double_click),
	(treeview_row_activated):
	* gui/widgets/eab-gui-util.c: (eab_search_result_dialog):
	* gui/widgets/eab-popup-control.c: (set_prop), (get_prop):
	* printing/e-contact-print.c: (contact_compare):

2007-08-27  Johnny Jacob <jjohnny@novell.com>
	 
	Committed on behalf of Ushveen Kaur <kushveen@novell.com>
	
 	** Fixes bug #352358
 
 	* gui/merging/eab-contact-commit-duplicate-detected.glade: Label
 	string of GtkLabel,id="label1" harmonised.
 	* gui/component/addressbook-view.c (rename-addressbook-folder):
 	Error tag changed from 'addressbook:no-rename-folder' to 
 	'addressbook:no-rename-folder-exists' so that error messages 
 	are harmonised.
 
2007-08-24  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #440328

	* gui/merging/eab-contact-duplicate-detected.glade:
	* gui/merging/eab-contact-merging.c: (mergeit): Missing mnemonics for 
	the 'Merge' buttons in two separate dialogs.

2007-08-23  Anand V M  <avmuttagi@gmail.com>
 
       ** Fix for bug #353462
 
       * gui/widgets/eab-gui-util.c:Changing the labels of buttons from 
       "Yes/No" to "Display All Contacts/Don't Display" to make them HIG 
       compliant.

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #412732

	* printing/e-contact-print.c: (load_contacts):
	Disconnecting previously connected signal handlers.

2007-08-06  Milan Crha  <mcrha@redhat.com>

	** Partial fix for bug #313221

	* gui/component/addressbook-migrate.c
	(migrate_contacts), (migrate_company_phone_for_local_folders):
	changes as part of fixing bug #313221,
	looping through all param values, not only testing first one

2007-08-06  Milan Crha  <mcrha@redhat.com>

	** Partial fix for bug #427469

	* importers/evolution-vcard-importer.c: (vcard_import_contact):
	if HOME or WORK isn't specified for EMAIL, add TYPE=OTHER

2007-08-02  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #462007

	* gui/contact-editor/e-contact-editor.c: (update_preview_cb): Plugged
	memory leak.

2007-07-31  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #462002

	* gui/contact-editor/e-contact-editor.c: (extract_simple_field): Save
	resizing image as its original format.

2007-07-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gui/widgets/e-minicard.c: (add_email_field): Use g_strdup() instead
	of g_strdup_printf() for duplication of a string

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gui/contact-editor/e-contact-editor.c:
	(e_contact_editor_create_source_option_menu):
	* gui/contact-editor/e-contact-quick-add.c: (build_quick_add_dialog):
	* gui/component/addressbook-config.c: (addressbook_config_edit_source):
	Plugged memory leaks.

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gui/widgets/e-minicard.c: (add_email_field): Plugged memory leak.

2007-07-20  Claude Paroz  <claude@2xlibre.net>

	* tools/evolution-addressbook-export.c: Minor typo.

2007-07-09  Matthew Barnes  <mbarnes@redhat.com>

	* gui/widgets/e-addressbook-view.c: (init_collection)
	Abort if ETable specification file fails to load.

2007-07-07  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	** Fix for bug #448568

	* gui/contact-editor/contact-editor.glade:
	* gui/contact-editor/e-contact-editor.c: (setup_tab_order):
	cleanup alignement mess and set correct tabbing order. Thanks
	to vinod for the initial glade patch.

2007-07-06  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #337787

	* gui/widgets/e-address-view.c: (contact_display_has_selection),
	(eab_view_copy): Copy selection string in contact preview if the
	preview widget has selection string.

2007-06-20  Laszlo (Laca) Peter  <laca@sun.com>

	** Fix for bug #433732

	* tools/Makefile.am: expand @PERL@ in evolution-addressbook-clean.in
	* tools/csv2vcard: rename to csv2vcard.in
	* tools/csv2vcard.in: make the path to perl configurable
	* tools/evolution-addressbook-clean.in: make the path to perl
	  configurable

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #445793 from Gilles Dartiguelongue  

	* conduit/Makefile.am:

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for bug #448223 from Gilles Dartiguelongue

	* gui/widgets/e-addressbook-view.c: (generate_viewoption_menu):

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for bug #445812 from Gilles Dartiguelongue

	* gui/widgets/eab-contact-display.c:

2007-06-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325882

	* gui/contact-editor/im.glade:
	* gui/contact-editor/fulladdr.glade:
	* gui/merging/eab-contact-commit-duplicate-detected.glade:
	* printing/e-contact-print.glade:
	Changed GTK_WIN_POS_NONE to GTK_WIN_POS_CENTER_ON_PARENT.

2007-06-12  Wang Xin  <jedy.wang@sun.com>

	Fixes #444248.

	* addressbook/gui/widgets/e-minicard.c

2007-06-06  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* Makefile.am:
	
	Reverted automake 1.6 breakage. Fixes bug 444747. 
	Patch by Patch by Daniel Gryniewicz <dang@nemesis.fprintf.net>.

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #386503 from Matthew Barnes

	* gui/contact-editor/e-contact-editor.c: (show_help_cb):

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for version removal from Installed files from Gilles Dartiguelongue 

	* Makefile.am:
	* conduit/Makefile.am:
	* gui/component/Makefile.am:

2007-06-02  Gilles Dartiguelongue  <dartigug@esiee.fr>

	* conduit/address-conduit.c: (local_record_to_pilot_record):
	* gui/component/addressbook-config.c: (query_for_supported_bases),
	(eabc_commit):
	* gui/component/addressbook-migrate.c: (get_integer_child),
	(migrate_ldap_servers), (migrate_completion_folders):
	* gui/component/addressbook-view.c:
	(selector_tree_drag_data_received):
	* gui/contact-editor/e-contact-editor.c: (fill_in_simple_field),
	(extract_simple_field):
	* gui/contact-editor/e-contact-quick-add.c:
	* gui/contact-list-editor/e-contact-list-editor.c:
	(table_drag_data_received_cb), (extract_info), (fill_in_info):
	* gui/merging/eab-contact-merging.c: (dialog_map),
	(dropdown_changed), (mergeit), (check_if_same), (response),
	(match_query_callback):
	* gui/merging/eab-contact-merging.h:
	* gui/widgets/e-addressbook-view.c: (table_drag_data_get),
	(make_suboptions), (eab_view_delete_selection), (selection_get),
	(selection_received):
	* gui/widgets/e-minicard-view.c: (e_minicard_view_drag_data_get):
	* gui/widgets/e-minicard.c: (add_email_field):
	* gui/widgets/eab-contact-display.c: (eab_selection_get),
	(on_url_requested), (render_contact):
	* gui/widgets/gal-view-minicard.c: (gal_view_minicard_load),
	(gal_view_minicard_save), (column_width_changed):
	* printing/e-contact-print.c: (e_contact_build_style):
	fixing casts and other compilation warnings

2007-05-30  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #333858 from Milan Crha

	* gui/contact-editor/e-contact-editor.c: (categories_response),
	(categories_clicked), (e_contact_editor_init):
	* gui/contact-editor/e-contact-editor.h:
	* importers/evolution-vcard-importer.c: (vcard_import_contacts),

2007-05-25  Matthew Barnes  <mbarnes@redhat.com>

	* gui/component/addressbook-component.c (ensure_sources):
	* gui/component/addressbook-migrate.c (ensure_sources):
	Don't assume the relative URI is non-NULL (#427232).

2007-05-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #424055 from Øystein Gisnås

	* gui/contact-list-editor/contact-list-editor.glade:

2007-05-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #417797 from Øystein Gisnås

	* gui/component/addressbook-view.c: (selector_tree_drag_motion),
	(selector_tree_drag_data_received):

2007-05-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #404239 from Øystein Gisnås

	* /addressbook/gui/widgets/e-minicard.c: 

2007-05-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #358250 from Javier F. Serrador

	* gui/widgets/e-addressbook-view.etspec:
	* gui/widgets/eab-contact-display.c: (render_contact):

2007-05-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #337616

	* Makefile.am: Add $(schema_DATA) to DISTCLEANFILES.

2007-05-11  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: Add Tango
	icons to preference window.

2007-05-08  Wang Xin  <jedy.wang@sun.com>

	* tools/evolution-addressbook-export-list-cards.c:
	Fixes 394932.

2007-04-23  Matthew Barnes  <mbarnes@redhat.com>

	* gui/contact-editor/e-contact-editor.c:
	* gui/widgets/e-addresbook-reflow-adapter.c:
	* gui/widgets/e-addresbook-view.c:
	Don't include e-contact-print-envelope.h.

2007-04-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #426816

	* gui/component/addressbook-view.c:
	* gui/widgets/e-addressbook-view.c:
	* gui/widgets/e-addressbook-view.h:
	* printing/e-contact-print.c:
	* printing/e-contact-print.h:
	* printing/e-contact-print-types.h:
	Refactor the printing infrastructure.
	Migrate off of libgnomeprint[ui] once and for all.

	* printing/test-print.c:
	Migrate off of libgnomeprint[ui] once and for all.

	* printing/e-contact-print-envelope.c:
	* printing/e-contact-print-envelope.h:
	This module is unused.  Disable it, but keep the logic around for
	future reference.

	* printing/Makefile.am:
	Remove e-contact-print-envelope.[ch].

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* tools/evolution-address-export.c:
	Migrate from popt to GOption.

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	Use gtk_window_set_icon_from_file() instead of
	gnome_window_icon_set_from_file().

	* gui/widgets/e-addressbook-table-adapter.c:
	* gui/widgets/e-addressbook-model.c:
	* gui/widgets/eab-gui-util.c:
	Include missing header file(s).

	* gui/widgets/eab-vcard-control.c (pstream_load), (book_open_cb),
	(free_struct):
	* gui/widgets/eab-gui-util.c (process_unref):
	* gui/widgets/e-addressbook-view.c (eab_view_print),
	(eab_view_print_preview), (eab_view_delete_selection),
	(eab_view_save_as), (eab_view_view), (eab_view_send),
	(eab_view_send_to):
	e_free_object_list() is dead; just do it manually.

	* gui/widgets/e-addressbook-view.c (eab_view_print),
	(eab_view_print_preview):
	* conduit/address-conduit.c (addrconduit_load_configuration):
	Use g_object_ref_sink() instead of gtk_object_sink().

	* conduit/address-conduit.c (e_addr_gui_new):
	Use gtk_menu_shell_append() instead of gtk_menu_append().

	* printing/e-contact-print.c (e_contact_build_style):
	Use g_build_filename() instead of g_concat_dir_and_file().

	* printing/e-contact-print-style-editor.c
	(e_contact_print_style_editor_new):
	Use g_object_new() instead of gtk_type_new().

2007-04-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Committed Contact Merging patch from Ebby Wiselyn

	* gui/merging/eab-contact-duplicate-detected.glade:
	* gui/merging/eab-contact-merging.c: (free_lookup), (dialog_map),
	(dropdown_changed), (mergeit), (check_if_same), (response),
	(match_query_callback), (eab_merging_book_add_contact),
	(eab_merging_book_commit_contact): 

2007-04-10  Elizabeth Greene <nerdygirl_ellie@yahoo.com>

        ** Fix for bug #426743.
	* addressbook/tools/evolution-addressbook-export.c:
	Corrected typo "asychronous".

2006-04-10  Andre Klapper  <a9016009@gmx.de>

	* gui/widgets/eab-contact-display.c: 
	change "E-Mail" to "Email". Fixes bug #404233.

2007-04-09  simon.zheng  <simon.zheng@sun.com>

	** Fix for bug #426487

	* gui/widgets/eab-contact-display.c: (accum_time_attribute):
	strftime() supplied by OS is subject to locale encoding, i.e. 
	ja_JP.PCK. Using g_date_strftime() instead, which works on a 
	UTF-8 format string and store a UTF-8 result.

2007-04-09  simon.zheng  <simon.zheng@sun.com>

	** Fix for bug #426829.

	* gui/contact-editor/eab-editor.c: (eab_editor_confirm_delete):
	* gui/widgets/eab-contact-display.c: (render_contact):
	To avoid printing a NULL char point, adding statements to
	check the return result of et_email_location() and e_contact_get().

2007-04-05  Matthew Barnes  <mbarnes@redhat.com>

	* gui/component/addressbook-config.c (addressbook_config_edit_source):
	Call gettext() on the EConfigItem labels.  (#406933)
	Patch from Jeff Cai.

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* gui/contact-editor/e-contact-editor.c:
	* gui/contact-editor/e-contact-quick-add.c:
	* gui/component/addressbook-component.c:
	* gui/component/addressbook-view.c:
	* gui/widgets/eab-contact-display.c:
	* gui/widgets/gal-view-minicard.c:
	* gui/widgets/e-addressbook-view.c:
	Don't mix declarations and code (#405495).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-03-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #360240

	* gui/widgets/e-addressbook-view.c (e_contact_print_button):
	* printing/e-contact-print.c (complete_sequence),
	(e_contact_build_style), (e_contact_print_response),
	(e_contact_print_contact_list_dialog_new):
	Remove unused variables.

2007-03-01  Tor Lillqvist  <tml@novell.com>

	* gui/widgets/e-addressbook-view.c (e_contact_print_button):
	* printing/e-contact-print.c (e_contact_print_response): 
	Bypass the body of these functions on non-G_OS_UNIX for now as
	they use gtk_print_unix_dialog_get_settings(). Gtk printing on
	Win32 needs work.

2007-02-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #232065

	* gui/widgets/e-addressbook-view.c: (eab_view_delete_selection): Fix
	for selection jump on delete from Ebby Wiselyn.

2007-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/contact-editor/contact-editor.glade: Fix critical warnings
	from typos in the glade file. Closes bug #397893. Patch
	from Wang Xin.

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Print migration updates from Ebby Wiselyn.

	* gui/component/addressbook-view.c: (print_cb), (print_preview_cb):
	* gui/widgets/e-addressbook-view.c: (print),
	(e_contact_print_button), (eab_view_print),
	(eab_view_print_preview):
	* printing/e-contact-print.c: (e_contact_print_contact),
	(complete_sequence), (book_view_loaded), (print_func),
	(e_contact_print_response), (e_contact_print_dialog_new),
	(e_contact_print_contact_dialog_new),
	(e_contact_print_contact_list_dialog_new), (contact_draw_page):

2007-02-08  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #332908

	* gui/contact-editor/e-contact-editor.c: (extract_simple_field): Dont
	popup if the size of the image is small

2007-02-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #400726

	* printing/e-contact-print.h: Declare e_contact_print_response().

2007-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** GtkPrint api migration from Ebby Wiselyn.

	* gui/component/addressbook-view.c: (print_cb):
	* gui/widgets/e-addressbook-view.c: (print),
	(e_contact_print_button), (contact_print_button_draw_page),
	(eab_view_print), (eab_view_print_preview):
	* gui/widgets/e-addressbook-view.h:
	* printing/e-contact-print.c: (e_contact_output),
	(e_contact_text_height), (e_contact_rectangle),
	(e_contact_print_letter_heading), (e_contact_start_new_page),
	(e_contact_get_contact_size), (e_contact_print_contact),
	(e_contact_start_new_column), (complete_sequence),
	(book_view_loaded), (e_contact_do_print_contacts),
	(e_contact_build_style), (e_contact_print_response),
	(e_contact_print_dialog_new), (e_contact_print_contact_dialog_new),
	(contact_draw_page):

2007-01-08  Veerapuram Varadhan  <vvaradhan@novell.com>

	Patch submitted by Nathan Owens <pianocomp81@yahoo.com> and 
	Jerry Yu <jijun.yu@sun.com>

	* conduit/address-conduit.c:  Add pilot-link 0.12 compatibility.
	
2006-12-04  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #357970

	* gui/contact-editor/e-contact-editor.c:
	* gui/widgets/e-minicard.c:
	* gui/widgets/eab-contact-display.c:
	Don't call deprecated GLib / GDK functions.

2006-11-11  Francisco Javier F. Serrador  <serrador@openshine.com>

	* gui/widgets/e-minicard.c: Fixed #358249
	* gui/widgets/eab-contact-display.c: Fixed #358249

2005-10-16  Devashish Sharma <sdevashish@novell.com>

	* gui/widgets/e-addressbook-view.c (display_view): Changed the
	parameter passed to gal_view_minicard_attach.
	
	* gui/widgets/gal-view-minicard.c (column_width_changed): Sets the
	horizontal scroll amount for the addresss card view to the current
	page size. 
	
	* gui/widgets/gal-view-minicard.h: Changed function prototype for
	gal_view_minicard_attach. Passing EABView instead of
	EMinicardViewWidget.
	Fixes Bug#218273

2006-10-16  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug#332908
	* addressbook.error.xml :
	* gui/contact-editor/e-contact-editor.c : Prompt-resize dialog
	options changed. Three options given now, "Resize", "Use as it is"
	and "Do not save".

2006-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/component/addressbook-component.c: Remove duplicate include.
	* gui/contact-editor/e-contact-editor.c: (extract_simple_field):
	Fix some compiler warnings.
	* gui/contact-editor/e-contact-quick-add.c:
	(build_quick_add_dialog): Cast away a compiler warning.
	* gui/widgets/e-addressbook-view.c: (generate_viewoption_menu):
	#if 0 out an unused array, fix 0 vs NULL initialization in some
	other arrays and remove an unused GSList.
	* gui/widgets/e-minicard.c: (add_email_field): Make a var const.
	* gui/widgets/eab-gui-util.c: (eab_contact_save),
	(eab_contact_list_save): Add some casts to fix compiler warnings
	and #if 0 out an unused function.
	* util/eab-book-util.c: (escape), (eab_contact_list_from_string):
	Some GString fixes. All of this from bug #332101.

2006-08-24  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #261062

	* addressbook.error.xml: Translator comments added.

2006-09-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #357811
	
	* gui/widgets/e-addressbook-view.c: (search_activated): Fix for search
	on any type to work.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #351332

	* gui/widgets/e-minicard.c:
	Fix implicit function declarations.

2006-09-12  Ushveen Kaur  <kushveen@novell.com>

	** Fixes bug #352353

	* gui/widgets/eab-gui-utils.c (file_exists): Translator comment 
	is added.

2006-08-21  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/widgets/e-addressbook-view.c: (string_without_underscores),
	(generate_viewoption_menu), (make_suboptions): Fixes a lot of search
	issues.

2006-08-17  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/component/addressbook-component.c: (impl_requestCreateItem):
	Plug a leak.

2006-08-09  Ushveen Kaur  <kushveen@novell.com>

	** Fixes bug #261239
	
	* gui/contact-editor/contact-editor.glade: Tab focus corrected in
	Mailing Address tab of Contact Editor.

2006-08-07  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/e-addressbook-view.c (eab_view_delete_selection): Added a
	callback function to handle the contact deletion error.
	(delete_contacts_cb): Added new, a callback function.

	* addressbook.error.xml: Added a error code contact-delete-error-perm
	and corresponding error string. Fixes #260403

	Original patch was submitted by "Vandana Shenoy .B"

2006-07-25  Johnny Jacob  <jjohnny@novell.com>
	
	* gui/widgets/e-addressbook-view.c: (search_activated),
	(query_changed), (make_suboptions) : Assign proper search item ids.

2006-07-24  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/e-addressbook-view.c (search_activated): Commented out
	reference to undefined function eab_search_dialog_new(). See #347910. 

2006-07-24  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c:
	* gui/contact-editor/e-contact-editor-im.c: Added support for gadu gadu im 
	in contact entry.

2006-07-22  Mikhail Zabaluev <mhz@altlinux.org>

	Reviewed by Harish Krishnaswamy <kharish@novell.com>

	* printing/Makefile.am: Add missing .la files
	Fixes #334206.	

2006-07-20  Boby Wang <boby.wang@sun.com>

	Reviewed by Harish Krishnaswamy <kharish@novell.com>
	
	** Fix bug #347381

	* gui/contact-editor/e-contact-editor.c: (image_clicked):
	Set the image chooser dialog to modal dialog, then we can focus back to
	the chooser dialog by <ALT + TAB>

2006-07-19  Devashish Sharma  <sdevashish@novell.com>

	* addressbook/gui/widgets/e-minicard.c :
	* addressbook/gui/widgets/eab-contact-display.c : In the minicard view
	and preview pane, show the type(home, work) of email instead of showing 
	email1,email2.
	Fixes Bug 343816.

2006-07-18  Ross Burton  <ross@openedhand.com>

	* addressbook/gui/contact-editor/e-contact-editor.c:
	* addressbook/gui/contact-list-editor/e-contact-list-editor.c:
	* addressbook/gui/widgets/eab-contact-display.c:
	Fix for EContactPhoto changes.  Partially fixed by Hiroyuki Ikezoe
	<poincare@ikezoe.net>, finished by myself.  (#347870).

2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* gui/contact-editor/contact-editor.glade: 
	* gui/contact-editor/fulladdr.glade: 
	* gui/contact-editor/fullname.glade: 
	* gui/contact-editor/im.glade: 
	* gui/contact-list-editor/contact-list-editor.glade: 
	remove "*" from translation. Fixes bug #331147.

2006-19-06 Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #332909
	
	* gui/contact-editor/e-contact-editor.[ch]: once asked for resizing, it 
	wont ask again.

2006-07-08  Aishwarya K  <aishkalyan@gmail.com>

	Fix for #332963
	* e-contact-editor.c: Set the mnemonic character for "No image"

2006-06-30  Johnny Jacob  <jjohnny@novell.com>
	* gui/cal-search-bar.c: (get_current_category),
	(get_category_sexp), (notify_e_cal_view_contains),
	(notify_category_is), (regen_query), (regen_view_query),
	(make_suboptions), (cal_search_bar_construct): Added/Removed code
	for new search ui.
	* gui/e-tasks.c: (search_bar_sexp_changed_cb):
	Added/Removed code for search ui.

2006-06-29  simon.zheng  <simon.zheng@sun.com>

	* gui/widgets/eab-gui-util.c: (file_exists): Convert filename
	from glib encoding to utf8 encoding.
	Fixes Bug #339151

2006-06-27  Devashish Sharma  <sdevashish@novell.com>

	* gui/widgets/eab-gui-util.c (do_delete) :Fix for 
	Bug #333691.

2006-06-16  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-list-editor/e-contact-list-editor.c :
	Fix for Bug #317511

2006-06-15  Devashish Sharma  <sdevashish@novell.com>

	* gui/component/addressbook-view.c : Drag-n-drop contacts now
	defaults to Moving the contact and the contacts moved will be 
	instantly removed from the source addressbook.
	Fixes Bug #337085 and #337086

2006-06-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #344227
	* gui/widgets/eab-contact-display.c:
	(eab_contact_display_render_compact): gdk_pixbuf_loader_close should
	be called before gdk_pixbuf_loader_get_pixbuf.

2006-06-13  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #342646
	* gui/widgets/e-addressbook-view.c: Plugged memory leak.
	* gui/widgets/e-minicard-view.c: Ditto.

2006-06-13  Oswald Rodrigues <ozzy_rodrigues@yahoo.com>

	* gui/contact-editor/e-contact-quick-add.c (build_quick_add_dialog):
	created patch to make _F,_m,_S mnemonics in contact-quick add 
	dialog work. Fixes bug #332347.

2006-06-12  simon.zheng  <simon.zheng@sun.com>

        Fix for #336453

	* gui/component/addressbook-config.c: (addressbook_ldap_init):
        Add SunLDAP library support - a variant of Netscape LDAP.

2006-06-12  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c : If company name
	is set and full name and file as are not set, set company name
	as full name and fle name.
	Fixes Bug #206320, 342903
	
2006-06-12  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-quick-add.c :Fix for Bug #341465

2006-06-09  Chris Heath <chris@heathens.co.nz>

	* gui/widgets/eab-popup-control.c (eab_popup_control_set_free_form): Fix
	memory leak
	* gui/contact-editor/e-contact-quick-add.c (quick_add_merge_contact): Ditto.
	Fixes bug #335423.

2006-05-25  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-editor/e-contact-quick-add.c : Right click add to
	contacts doesnt work on email addresses in received mails.

2006-05-25  Devashish Sharma  <sdevashish@novell.com>

	* gui/widgets/eab-contact-display.c : Name of some fields differ 
	when seen in preview pane and contact editor (Video Chat in contact
	editor and Video Conferencing in preview pane).

2006-05-25  Devashish Sharma  <sdevashish@novel.com>

	* gui/contact-list-editor/e-contact-list-editor.c : Contacts
	added to a contact list cant be added again.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	** Added code to save vcards/addressbooks to remote shares

	* gui/widgets/eab-gui-util.c: (save_it), (eab_contact_save),
	(eab_contact_list_save):

2006-05-17  Roozbeh Pournader  <roozbeh@farsiweb.info>

	Fix for gnome bug #341931, farsiweb #562
	* gui/contact-editor/e-contact-editor.c: Mark a few messages for
	  translation.

2006-05-12  simon.zheng  <simon.zheng@sun.com>

	** Fix for Bug 341521

	* gui/contact-editor/contact-editor.glade: Change the label
	name of categories button.

2006-04-27  Boby Wang <boby.wang@sun.com>

	** Fix for bug # 336470

	* gui/contact-editor/fullname.glade:
	Add labelled-by relationship to gtkcombo.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Patch from PR Suman to add icons missing in menu items.

	* gui/component/addressbook-view.c: Added icons for forward and send.

2006-02-18  M Victor Aloysius J <victoraloy@gmail.com>

	** Fixes bug #317512
	
	* gui/eab-contact-editot.c:
	* gui/eab-popup.h:
	* gui/eab-popup.c:
	Hyperlinked email-addresses and websites in preview pane support right 
	click mouse options. 

2006-04-21  Simon Zheng  <simon.zheng@sun.com>

	Fix for bug #337604
	* printing/e-contact-print.c: (e_contact_print_response):
	Should destory the print dialog window after clicking Print
	Preview button.

2006-04-21  Devashish Sharma  <sdevashish@novell.com>

	Fix for Bug 333869.
	* printing/e-contact-print-types.h: Remove member letter_tabs in
	struct _EContactPrintStyle.
	* printing/e-contact-print.c (e_contact_start_new_page),
	(e_contact_get_contact_size), (e_contact_print_contact),
	(e_contact_start_new_column), (complete_sequence),
	(e_contact_build_style), (e_contact_print_response),
	(e_contact_print_preview):
	To be consistent with minicard view, remove functions and data structure 
	associated with letter tab printing.
	Patch by Simon Zheng <simon.zheng@sun.com>.

2006-04-21  Devashish Sharma  <sdevashish@novell.com>

	Fix for Bug 336713
	* gui/merging/eab-contact-merging.c: (cancelit): After selecting 
	"cancel duplicate" when pasting contacts, can't remove those
	EContactMergingLookup. Make finished_lookup() available. 
	Patch by Simon Zheng <simon.zheng@sun.com>.

2006-03-29  Li Yuan <li.yuan@sun.com>

	Fix for bug #336454
	* gui/component/addressbook-view.c:
	(source_selector_key_press_event_callback):
	we should return false if it is not a del event to make gtktreeview
	deal the rest of keys.

2006-03-10  Devashish Sharma  <sdevashish@novell.com>

	* gui/component/ldap-config.glade : ldap port numbers
	were marked for translation. Fixes 331020.

2006-03-10  Devashish Sharma  <sdevashish@novell.com>

	Fix for bug #333855
	* gui/contact-editor/e-contact-editor.c (full_name_response),
	(full_name_key_press_event), (full_name_editor_delete_event_cb),
	(full_name_clicked):
	The fullname dialog should be non-modal as well as categories dialog.
	Patch by Simon Zheng <simon.zheng@sun.com>. Made some changes to the 
	patch and committed.

2006-03-06  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c (fill_in_address_textview):
	Fix for Bug 332915.

2006-03-06  Devashish Sharma <sdevashish@novell.com>

	* importers/evolution-ldif-importer.c (ldif_import):
	* importers/evolution-csv-importers.c (csv_import) :
	* importers/evolution-vcard-importer.c (vcard_import) :
	Fix for Bug 332136: Evolution fails to import contacts from a file into
	an addressbook if the addressbook is never opened.
	Patch by Xiurong Simon Zheng.

2006-03-05  Devashish Sharma <sdevashish@novell.com>

	* gui/widgets/e-addressbook-view.etspec : Fix for bug 268458.

2006-02-28  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c (extract_simple_field): Fix for Bug 
	#332811 crash adding an image to a contact.
	
2006-02-27  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c: Fix for Bug #332498: orphaned
	category editor crashes Evo.
	Close the category editor when the contact editor is closed.

2006-02-27  Devashish Sharma <sdevashish@novell.com>

	* gui/component/addressbook-view.c (selector_tree_drag_data_received) :
	Fix for Bug 322689: Cant copy contact to addressbook if addressbook 
	just created.
	
2006-02-23  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c (update_preview_cb) :
	Fixes Bug #332123 - crash while trying to add an image to a contact

2006-02-23  Devashish Sharma <sdevashish@novell.com>

	* gui/component/addressbook-component.c (impl_requestCreateItem) :
	New Contact should create contact on selected Addressbook.
	Fixes Bug # 326788 and 326721.

2006-02-22  Simon Zheng <simon.zheng@sun.com>

	Fix for 331993.

	* printing/medbook.ecps: Add "Regular" to the font name.

2006-02-14  Devashish Sharma  <sdevashish@novell.com>

	* e-contact-print.c : Use of pango for text handling when 
	printing address book.
	See Bug #269430.

2006-02-13  Andre Klapper  <a9016009@gmx.de>
 
	* ldap-config.glade: Fix the Security options to finally be 
	descriptive, rather than obscuring. Identical to the changes in
	mail/em-account-editor.c to fix the UI part of bug #321797.

2006-02-05  Karsten Bräckelmann  <guenther@rudersport.de>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: 
	Correcting "Addressbook" to properly read "Address Book".
	Fixes bug #326256.

	* gui/component/addressbook-config.c (addressbook_config_edit_source): 
	* gui/component/addressbook-component.c (impl_upgradeFromVersion): 
	Correcting "Addressbook" to properly read "Address Book".
	Fixes bug #326256.

2006-02-05  Andre Klapper  <a9016009@gmx.de>

	* gui/component/ldap-config.glade: fixing one typo.
	fixes #304996 partially.

2006-02-01  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c: File selector shows preview
	of the image when choosing picture of a contact.
	Fixes bug #300884.
	
2006-02-01  Devashish Sharma  <sdevashish@novell.com>

	* gui/widgets/e-minicard.c : (e_minicard_reflow) Fixed a bug which was
	causing addressbook view by address card getting all messed up.
	Fixes Bug #329315.

2006-01-30  Tor Lillqvist  <tml@novell.com>

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	Link with libefilterbar, too.

2006-01-30  Harish Krishnaswamy  <kharish@novell.com>

	* gui/component/addressbook-view.c:
	* gui/widgets/e-addressbook-view.c:
	Remove inclusion of unused header.

2006-01-30  Sushma Rai  <rsushma@novell.com>

	* gui/component/Makefile.am: Removed reference to "search" directory.
	Fixes the build issue.

2006-01-30  Devashish Sharma  <sdevashish@novell.com>

	* gui/widgets/e-addressbook-view.[ch]: Added save advanced search for 
	contacts.
	* gui/widgets/addresstypes.xml: Search types for contacts. Moved the file
	from search directory to here as that directory is no longer required.

2006-01-30  Elijah Newren  <newren@gmail.com>

	* gui/contact-editor/e-contact-editor.c: removed an unused variable.

2006-01-27  Kjartan Maraas  <kmaraas@gnome.org>

	reviewed by: Harish Krishnaswamy <kharish@novell.com>

	* gui/component/addressbook-component.c: (impl_requestCreateItem):
	Remove unused bits.
	* gui/component/addressbook-config.c: (eabc_general_type),
	(eabc_general_offline): Same here.
	* gui/component/addressbook-migrate.c: Remove unused static function.
	* gui/component/addressbook-view.c: (selector_tree_drag_motion):
	Remove unused static function and init uninitialized var.
	* gui/contact-editor/e-contact-editor-address.c:
	(fill_in_countries): Return early if setlocale() fails.
	* gui/contact-editor/e-contact-editor.c: (file_as_get_style),
	(extract_email), (extract_phone), (sensitize_phone_types),
	(extract_im), (sensitize_im_types), (init_simple):
	Mark some arrays static, remove unused variables, fix gcc warnings
	* gui/contact-list-editor/e-contact-list-editor.c: (fill_in_info):
	Remove unused var.
	* gui/merging/eab-contact-compare.c: (eab_contact_compare_name):
	Remove unused static function and unused vars.
	* gui/search/e-addressbook-search-dialog.c:
	(eab_search_dialog_dispose): Remove unused vars.
	* gui/widgets/e-addressbook-model.c: (get_view): Add comment.
	* gui/widgets/e-addressbook-view.c: (eab_view_class_init),
	(eab_view_delete_selection): Remove unused var
	* gui/widgets/e-addressbook-view.h: Remove extra semi-colon.
	* gui/widgets/e-minicard-label.c: (e_minicard_label_unrealize):
	Remove unused var.
	* gui/widgets/e-minicard.c: (e_minicard_unrealize),
	(e_minicard_event), (add_field), (remodel), (e_minicard_reflow):
	Remove unused vars. s/if/ifdef in some places, use passed in parameter
	instead of redeclaring the thing locally.
	* gui/widgets/eab-contact-display.c: (accum_address),
	(eab_contact_display_render_compact): s/if/ifdef.
	* gui/widgets/eab-gui-util.c: (eab_select_source): Comment out unused var.
	* gui/widgets/eab-popup-control.c: (eab_popup_control_cleanup): s/if/ifdef
	* printing/e-contact-print-style-editor.c:
	(e_contact_print_style_editor_class_init),
	(e_contact_print_style_editor_set_arg),
	(e_contact_print_style_editor_get_arg): Remove unused vars.
	* util/eab-book-util.c: s/if/ifdef

2006-12-7 M Victor Aloysius J <victoraloy@gmail.com>

       * gui/contact-editor/e-contact-editor.c (style_makes_sense): 
         (name_to_style):Added feature for missing middle name.             
         Fixes #237297 

2006-01-25  Devashish Sharma  <sdevashish@novell.com>

	* gui/component/addressbook-view.c : 
	* gui/widgets/e-addressbook-view.[ch] :
	Added functions for handling callbacks from the folder menu items and
	modified some existing functions.

2006-01-25  Simon Zheng  <simon.zheng@sun.com>

	** Fixes #327203

	* gui/contact-editor/e-contact-editor.c (app_delete_event_cb):
	Checking the validity of contact editor should be done after
	extracting all fields. This's done in save_contact().
	* gui/contact-editor/eab-editor.c
	(eab_editor_prompt_to_save_changes): To avoid repeating free memory,
	delete eab_editor_close(). In fact, eab_editor_save_contact() has
	done it before.

2006-01-23  Devashish Sharma  <sdevashish@novell.com>

	* importers/evolution-csv-importer.c : Made some changes for solving some 
	bugs in csv and tab file import. Mainly changes made to file parsing 
	mechanism.

2006-01-23  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-editor/e-contact-quick-add.c : Added source selector to
	the quick add dialog so that the user can choose the addressbook also
	while storing the contact. Earlier it automatically went to the
	default addressbook.

	* gui/widgets/eab-popup-control.c : It now directly tries to quick add
	the contact to the selected addressbook. All the duplicate detected and
	merging contacts logic is then handled by duplicate contact detected
	dialog. So removed the searching and merging code from the file.
	Earlier it added the contact to the default addressbook and checked
	for duplicated there only. 

2006-01-23  Sushma Rai  <rsushma@novell.com>

	* addressbook/gui/component/addressbook.c (addressbook_authenticate):
	Checking for the property user and username. Fixes #327819.

2006-01-16  Harish Krishnaswamy  <kharish@novell.com>

	* gui/component/addressbook-component.c:
	(impl__get_userCreatableItems):
	remove shortcut keys (UI Hackfest -
	See http://go-evolution.org/Shortcut_Keys_Review).

2005-01-16  Devashish Sharma  <sdevashish@novell.com>
	
	* importers/evolution-csv-importer.c : Added support for CSV and TAB
	file import.
	
2006-01-16  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c (full_name_clicked) : Setting
	the default response for categories dialog.
	Fixes #317283

2006-01-16  Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c (full_name_clicked) : Setting
	the default response for contact full name dialog.
	Fixes #317282

2006-01-16  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c : Fixed the default focus in
	the contact editor dialog.
	
2006-01-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #326268
	
	* gui/widgets/e-addressbook-view.c: Adds mnemonics to Advanced Search
	menu item in contacts view.

2006-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:

	Changes Contacts View accel from Control+F2 to Control+2.	

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* gui/widgets/eab-gui-util.c:use e_filename_make_safe() in 
	evolution-data-server/libedataserver/e-data-server-util.c
        instead of the copy in evolution/e-util/e-util.c.

2006-01-09  Ali Akcaagac  / Andre Klapper <a9016009@gmx.de>
	* tools/evolution-addressbook-clean.in: changing old evo1.4 path to
	current path. Fixes bug 307513.
	Committing on behalf of Ali Akcaagac.

2006-01-06  Andre Klapper <a9016009@gmx.de>
	* evolution/addressbook/gui/widgets/eab-gui-util.c:
	changing "cancelled" (British English)
	to "canceled" (American English). Fixes bug 325334.

2006-01-04  Shi Pu  <shi.pu@sun.com>

	* gui/component/addressbook-config.c (eabc_details_search): add a not
	NULL-pointer check before using lud->scope.

2005-12-22  Srinivasa Ragavan <sragavan@novell.com>

	* gui/search/addresstypes.xml: Modified the categories to option menu
	format in advanced search
	
2005-12-21  Not Zed  <NotZed@Ximian.com>
 
 	* gui/component/addressbook-component.c (impl_createView): changed
 	from createControls for new shell apis.

	Committed on behalf of Notzed - partha
 
2005-12-17  Tor Lillqvist  <tml@novell.com>

	* gui/component/addressbook-migrate.c
	* importers/evolution-vcard-importer.c
	* tools/evolution-addressbook-export-list-folders.c: Use gstdio
	wrappers. Use GDir API instead of dirent. Use GLib to convert file
	names to URIs and back. Open files in binary mode.

	* gui/widgets/gal-view-minicard.c
	* printing/e-contact-print.c: Use libedataserver's
	e_xml_parse_file() and e_xml_save_file() instead of calling libxml
	functions directly, as they don't understand the GLib file name
	encoding (UTF-8) on Win32.

	* tools/evolution-addressbook-export-list-cards.c: Use gstdio
	wrappers. No fork() on Windows, but the fork-to-background
	functionality doesn't seem essential?

2005-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	* gui/search/e-addressbook-search-dialog.c: (dialog_response): Added
	code to set the color from the theme to indicate advance search
	presence.

2005-12-14  Sushma Rai  <rsushma@novell.com>

	* importers/evolution-ldif-importer.c (ldif_import): Proceeding with
	the import activity only if the book is writable. 

	* importers/evolution-vcard-importer.c (vcard_import): Similar.
	Fixes #266003

2005-12-10  Sushma Rai  <rsushma@novell.com>

	* gui/contact-editor/e-contact-editor.c (fill_in_address_textview):
	Not inserting new line at the end and also, placing the cursor at
	the beginning of the widget. Fixes #300300.

2005-12-06  Veerapuram Varadhan <vvaradhan@novell.com>
	
	* conduits/addressbook-conduit.c: (pre_sync):
	Authenticate by reading the store-password for calendars that has
	"auth" property set.
	* conduits/addressbook-conduit.c: (addressbook_authenticate):
	Implement authentication using e-passwords.
	
2005-11-26  Tor Lillqvist  <tml@novell.com>

	* gui/contact-editor/e-contact-editor.c
	* gui/contact-editor/e-contact-editor-address.c
	* gui/contact-editor/e-contact-editor-fullname.c
	* gui/contact-editor/e-contact-editor-im.c
	* gui/contact-list-editor/e-contact-list-editor.c
	* gui/merging/eab-contact-merging.c
	* gui/widgets/e-addressbook-view.c
	* printing/e-contact-print.c
	* printing/e-contact-print-style-editor.c: Include
	e-util-private.h to get redefinition of compile-time pathnames as
	calls to functions on Windows. Construct the pathnames of files
	and directories under the installation prefix at run-time to
	enable install-anywhere on Windows. No effect on functionality on
	Unix.

2005-11-25  Tor Lillqvist  <tml@novell.com>

	* gui/component/openldap-extract.h: New file. Contains various
	things lifted from OpenLDAP for use on Windows where we use
	Microsoft's LDAP implementation. The same file is also in
	e-d-s/backends/ldap.

	* gui/component/Makefile.am: Distribute openldap-extract.h.

	* gui/component/addressbook-config.c: Include openldap-extract.h on
	Windows. Include e-util-private.h to get redefinition of
	EVOLUTION_GLADEDIR (as a call to a function) on Windows.
	(query_for_supported_bases, eabc_general_name, eabc_general_host,
	eabc_general_auth, eabc_details_search, eabc_details_limit,
	addressbook_config_edit_source): Construct the path of the glade
	file at run-time to enable install-anywhere on Windows.

	* gui/component/addressbook-view.c (control_activate): Include
	e-util-private,h to get redefinition of EVOLUTION_UIDIR (as a call
	to a function) on Windows. Construct the path of the xml file at
	run-time to enable install-anywhere on Windows.

	* importers/evolution-ldif-importer.c (ldif_import)
	* gui/widgets/eab-gui-util.c (eab_load_error_dialog): Use
	g_filename_from_uri() instead of just stripping off the "file://"
	prefix for Win32 portability.

	* importers/evolution-ldif-importer.c (ldif_import): Use gstdio
	wrappers for better non-ASCII filename support on Windows.
	
	* gui/component/addressbook-component.c (ensure_sources): Use
	g_filename_to_uri() instead of just prefixing "file://" for Win32
	portability.

2005-11-24  Sushma Rai  <rsushma@novell.com>

	* addressbook.error.xml: Added new error id "gw-book-list-init" and 
	corresponding warning message.

2005-10-04  Srinivasa Ragavan <sragavan@novell.com>

	* gui/component/addressbook-view.c (abv_source_popups): 
	* gui/widgets/e-addressbook-view.c (eabv_popup_items):
	Added 	keyboard accelerators for contacts.
	
2005-11-11 Evan Yan <evan.yan@sun.com>

	* pinting/e-contact-print.c (e_contact_build_style):
	Add a config argument to get the actual page size and set it to style.
	(e_contact_print_response): modify the call to e_contact_build_style
	accordingly.
	e_contact_print_preview): modify the call to e_contact_build_style
	accordingly.
	Fixes # 316280

2005-10-26   Devashish Sharma <sdevashish@novell.com>

	* gui/contact-editor/e-contact-editor.c: Sets the focus to the 
	corresponding ntry field after changing dropdown menus for phone, im
	and e-mail fields in contact editor. Fixes #229972.

2005-10-22  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/eab-gui-util.c (eab_send_contact_list_as_attachment): 
	Marked subject line for translation. Fixes #317753

2005-10-22  Sushma Rai  <rsushma@novell.com>

	* gui/component/addressbook-config.c: Storing the search filter entered
	at configuration dialog.
	(addressbook_ldap_init)(source_to_uri_parts): Handling search filter.
	(eabc_details_search): Storing the serch filter value and added 
	callback to handle search filter changes.
	(search_filter_changed_cb)(url_changed): Store search filter in LDAP 
	url.
	(from_ldap_search_filter): If search filter entered is missing 
	parenthesis, adds them. 
	
	* gui/component/ldap-config.glade: Added an entry for entering the 
	search filter.
	Fixes #311884   	

2005-10-04   Devashish Sharma <sdevashish@novell.com>

	* gui/widgets/e-addressbook-view.etspec: Changed the compare type for
	"Organization" to stringcase. This new type has been defined for
	performing case insensitive locale sensitive UTF8 string compares.
	Fixes #207110. 

2005-10-04   Devashish Sharma <sdevashish@novell.com>

	* gui/widgets/e-addresbook-view.etspec: Changed the compare type for
	"File As" to "collate", so that proper lexicographical sorting (based
	on users locale)is employed. Fixes #271594, #273870. 

2005-10-04   Devashish Sharma <sdevashish@novell.com>

	* gui/contact-list-editor/e-contact-list-editor.etspec: Set the
	sorting column so that the contacts are alphabetically sorted in 
	contact list editor.  Fixes #265353.

2005-10-03   Devashish Sharma <sdevashish@novell.com>

	*  gui/widgets/e-addressbook-view.c (eab_view_print): Get selected 
	contacts list and forward it. Earlier list was not being sent so no 
	chance of printing the selected contacts.
	(eab_view_print_preview): Same as for print above.

	* printing/e-contact-print.c (e_contact_print_dialog_new): uses_book was
	being set in every case. removed that and set contact list which is now
	being passed to it from eab_view_print.
	(e_contact_print_preview): It was generating preview for the whole 
	book in all cases. Now if there is a list of selected contacts it
	generates preview for only those contacts and if the list is NULL (no
	selected contacts), it generates preview for the whole book.
	(e_contact_print_response): Checks the current range selected (All or
	selection) and prints the contacts based on that. If All is selected 
	all contacts are printed and if Selection is selected only the selected
	contacts are printed.

	* printing/e-contact-print.h: Changed the function prototype for 
	e_contact_print_dialog_new and e_contact_print_preview, both of them 
	now accept a list of selected contacts. 
	Fixes #248624, #274285, #209354, #202201
	
2005-09-30   Devashish Sharma <sdevashish@novell.com>

	* gui/merging/eab-contact-compare.c
	(name_fragment_match_with_synonyms): Changed name compare logic where
	it matches names with starting part same. (it matches rob and robert).
	Fixes #315034.

2005-09-30  Sarfraaz Ahmed <asarfraaz@novell.com>

	* gui/component/addressbook.c (remove_parameters_from_uri) : This now
	takes care to escape any auth mechanism in the uri.

2005-09-30  Sushma Rai  <rsushma@novell.com>

	* importers/evolution-ldif-importer.c: Added some missing attrbutes and
	mozilla specific attributes.
	(populate_contact_address): Forms the address and also formats it.
	(parseLine): Handling the work address, home address, wants to receieve
	html mail option, aim screen name.
	(getNextLDIFEntry): Handling work and home addresses.
	Fixes #316373.

2005-09-28  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-list-editor/e-contact-list-editor.c
	(table_drag_data_received_cb): Added a check that the contact received
	through drag contains an email-id. There is no point in adding a
	contact to the contact-list if the contact has no email-id. This was 
	causing a crash also.

	* gui/widgets/eab-contact-display.c
	(eab_contact_display_render_compact): Added a check for catching null
	email-ids, in case of contact-lists, so that null ids are not passed
	for rendering, which was causing a crash.
	
2005-09-28  Devashish Sharma  <sdevashish@novell.com>

	* gui/component/addressbook-view.c (addressbook_view_init): Added a
	callback, source_selector_key_press_event_callback() so that the
	contact folder can be removed with Del/Delete Key.
	Fixes #233424.

2005-09-28  Tor Lillqvist  <tml@novell.com>

	* gui/component/addressbook.c (get_remember_password): Use
	g_ascii_strcasecmp() instead of strcasecmp(). We are comparing to
	the literal "true", just casefolding ASCII is enough. Also better
	for portability.

2005-09-14  Sushma Rai  <rsushma@novell.com>

	* gui/contact-list-editor/e-contact-list-editor.etspec: Set selection 
	mode to multiple. Related to the patch submitted already to fix #235038.

2005-08-26  Devashish Sharma <sdevashish@novell.com>

	* gui/widgets/e-addressbook-view.etspec: In ETableSpecification source
	column and field name were not in proper order. Because of this all the
	values in view by phone list and view by company were shown in wrong
	columns. Fixes #313124.

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook.c (addressbook_authenticate):
	de-constify uri, and fix its creation logic.
	(load_source_cb): cast for warning.

	* gui/widgets/e-addressbook-view.c: more missing a11y include.

	* gui/widgets/e-minicard-view.c: another missing a11y include.

	* gui/widgets/e-minicard.c: include missing a11y include.
	(e_minicard_activate_editor): fix cast.

	* gui/widgets/eab-popup-control.c (eab_popup_control_display_contact): remove unused.

	* gui/widgets/eab-gui-util.c (eab_contact_save): fix conditional build.
	(eab_send_to_contact_and_email_num_list): fix boolean conversion.

	* gui/widgets/eab-contact-display.c (eab_contact_display_init): cast.

	* gui/contact-list-editor/e-contact-list-editor.c (fill_in_info): constify file_as.

	* gui/contact-editor/e-contact-editor.c (init_im_record_location):
	fix warnings for conditional building.
	(fill_in_simple_field): do proper boolean conversion.
	(extract_simple_field): do proper boolean conversion.
	(response): constify categories, and dont bother initialising it.
	(image_clicked): remove warnings for conditional build.
	(e_contact_editor_is_valid): constify text.
	(e_contact_editor_create_web): cast.

2005-08-22  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/eab-contact-display.c 
	(eab_contact_display_render_normal): Using e_contact_get() instead of
	e_contact_get_const() for E_CONTACT_IS_LIST. Patch to fix #314152, by
	"ross@burtonini.com (Ross Burton)".
	Also fixed some compile time warnings.
	(eab_contact_display_render_compact): Fixed some compile time warnings.

2005-08-22  Devashish Sharma <sdevashish@novell.com>
	
	* gui/contact-editor/e-contact-editor.c (categories_clicked): Makes Edit
	categories dialog non-modal.
	Fixes Bug #241219

2005-08-22  Sushma Rai  <rsushma@novell.com>

	* tools/evolution-addressbook-export-list-cards.c
	enum _EContactFieldCSV: Handling four e-mail ids.
	enum _EContactCSVFieldData: Similar.
	set_pre_defined_field: Similar.
	Fixes the crash which was happening because list of email ids for a
	contact was handled as a one email id value. Fixes #269870

2005-08-22  Sushma Rai <rsushma@novell.com>

	*  gui/contact-list-editor/e-contact-list-editor.c (remove_entry_cb):
	Changes contact-list-editor so that multiple items can be selected and
	removed at once. Fixes #235038. 
	Patch submitted by "sean.gao@sun.com (Sean Gao)" and patch was
	corected by "Devashish Sharma <sdevashish@novell.com>"

2005-08-22  Devashish Sharma <sdevashish@novell.com>

	* gui/widgets/eab-contact-compare.c (match_email_hostname): This
	function was never returning true and the comparison was also not
	proper. Fixed this.

2005-08-17  Devashish Sharma <sdevashish@novell.com>

	*  gui/merging/eab-contact-compare.c (use_common_book_cb): When
	adding/modifying a contact list there is no need to check if the emails
	in the list are there in existing contact lists or contacts. Also there
	is no need for comparing EContactName in case of contact list. Added a 
	condition to check this.
	(eab_contact_compare): Added a check to skip email comparison in case
	of contact list.
	Fixes #312554.

2005-08-17  Devashish Sharma <sdevashish@novell.com>

	* gui/merging/eab-contact-compare.c (eab_contact_compare): Add an email
	which is not there in any contact to a contact list, now if you want
	to add a contact with that email id it gives you duplicate detected. So
	while checking for duplicates when adding a new contact emails should
	not be compared with existing contact lists email.

2005-08-17  Devashish Sharma <sdevashish@novell.com>

	*  gui/merging/eab-contact-merging.c (response): If the Duplicate
	Contact Detected Dialog is closed by clicking the cross on the dialog
	window the contact-list-editor or contact-editor dialog become unusable
	and cant be closed. Added a case for catching GTK_RESPONSE_DELETE_EVENT.

2005-08-17  Devashish Sharma <sdevashish@novell.com>

	* gui/merging/eab-contact-duplicate-detected.glade: In case of a 
	duplicate contact list if the list is big the Cancel and Add buttons of
	the Duplicate Contact Detected Dialog were going out of the screen 
	scope. Added a scrollbar to the Dialog to fix this problem.

2005-08-17  Tor Lillqvist  <tml@novell.com>

	* gui/widgets/Makefile.am (libeabwidgets_la_SOURCES): Add
	eab-popup.c back which apparently was accidentally removed.

2005-08-15  Christian Kellner  <gicmo@gnome.org>

	* gui/widgets/Makefile.am: Install missing e-plugin header
	eab-config.h, eab-menu.h and eab-popup.h. Fixes bug: #313585.

2005-08-13  Sushma Rai  <rsushma@novell.com>

	* gui/component/addressbook-config.c (do_ldap_root_dse_query): Checking
	for naming context value.

2005-08-10  Tor Lillqvist  <tml@novell.com>

	* importers/Makefile.am: Use privsolib instead of privlib (no
	difference on Unix, on Win32 privsolib means lib). Use
	NO_UNDEFINED. Link with libeabutil.la.

2005-08-05  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/eab-contact-display.c (render_contact): Using 
	gtk_html_stream_printf() with format specifier. Vulnerability patch
	submitted by "Sitic Vulnerability Advisory <sitic@pts.se>"

2005-08-05  Sushma Rai  <rsushma@novell.com>

	* importers/evolution-ldif-importer.c (ldif_import): Initialize gci->size to
	the file size, which is used for indicationg the import progress. Fixes the
	crash due to devide by zero, while importing more than fifty contacts.

2005-08-03  Jules Colding  <colding@omesc.com>

	* gui/component/addressbook-view.c: Added forward references to functions that were
	used before being defined.

2005-08-03  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/eab-gui-util.c (eab_transfer_contacts): Initialize the
	flag status to FALSE.
	(got_book_cb): Set status to TRUE on loading the address book.
	(contact_added_cb): Set status to FALSE on error or cancel operation.
	Set status to true on success. Call process_unref always.
	(delete_contacts): Delete the contacts only on success.
	Fixes #311133, #273716.	

2005-08-03  Srinivasa Ragavan <sragavan@novell.com>

	* gui/widgets/eab-gui-util.c (eab_load_error_dialog): Made the error dialog
	for load-error nonmodal, since it blocks the UI along with popup menu.

	* gui/component/addressbook-view.c (load_uri_for_selection) 
	(primary_source_selection_changed_callback) (addressbook_view_init):
	Checks whether 	the book is already selected. If so it doesn't reselect 
	it on a right-click. Fixes the bug #309247

2005-08-03  Frank Arnold  <farnold@cvs.gnome.org>

	* addressbook.error.xml: Marked string for translation
	and removed trailing space. Fixes bug #254923 again.

2005-08-01  Devashish Sharma  <sdevashish@novell.com>

	* gui/contact-editor/eab-editor.c (sensitize_ok): fixes the behaviour 
	of OK button. OK is not enabled until both Full name and File Under are
	specified. Fixes #258257.

2005-07-29  Srinivasa Ragavan <sragavan@novell.com>

	* gui/contact-editor/eab-editor.c: (eab_editor_prompt_to_save_changes)
	(eab_editor_request_close_all) Fixes the bug #309416

2005-07-29  Srinivasa Ragavan <sragavan@novell.com>

	* tools/evolution-addressbook-export-list-cards.c: (output_n_cards_file)
	Fixes the bug #269870. Commiting Michael Meeks patch.

2005-07-29  Srinivasa Ragavan <sragavan@novell.com>

	* gui/contact-editor/e-contact-editor.c: (extract_simple_field) 
	(image_selected): Fixed in a genereic way, the resizing of contact 
	photos.

2005-07-26  Harish Krishnaswamy  <kharish@novell.com>

	* gui/component/Makefile.am: fix make distcheck issues.
	* gui/component/addressbook-config.c: remove duplicate
	 inclusion of header

2005-07-25  Srinivasa Ragavan <sragavam@novell.com>

	* addressbook.error.xml: Added a string for resize popup
	* gui/contact-editor/e-contact-editor.c: (image_selected) Added
	code to check the size of image and prompt for resize.

2005-07-25  Arunprakash <arunp@novell.com>

	* gui/contact-editor/e-contact-editor.c (file_as_entry_changed)
	(fill_in_simple) : Modified the way of constructing the title
	for the contact editor to facilitate proper translation.

2005-07-22  Sushma Rai  <rsushma@novell.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: Using 
	autocompletion stock icon instead of contacts icon, for 
	autocompletion. Fixes #257329.	

2005-07-22  Arunprakash <arunp@novell.com>

	* gui/contact-editor/e-contact-editor.c (name_entry_changed): Modified
	to reset the title of the contact editor when the name is deleted
	completely.
	(file_as_entry_changed) : Modified to update the title with the new
	file_as name.
	(fill_in_simple) : Modified to set the title initially with the file_as
	name. Fixes #235830.

2005-07-21  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/e-addressbook-view.[ch] (eab_view_delete_selection):
	Prompt for confirmation only while deleting the contact, and not for
	cut operation.
	(delete)(eab_view_cut): Using the flag to inidicate delete/cut.

	* addressbook/gui/component/addressbook-view.c (delete_contact_cb):
	Similar. Fixes #311090

2005-07-19  Arunprakash <arunp@novell.com>

	* gui/widgets/eab-gui-util.c: Added two new entries in array 
	status_to_string for two left out values of EBookStatus. Fixes #310343.
	(eab_error_dialog): Marked status_str for translation.

2005-07-15  Sushma Rai  <rsushma@novell.com>

	* gui/component/addressbook-migrate.c (migrate_contacts): unref query.
	(migrate_contact_lists_for_local_folders): Similar.
	(migrate_company_phone_for_local_folders): Similar. 

	* util/eab-book-util.c: using e_book_query_unref instead of 
	g_object_unref.

2005-07-13  Sushma Rai  <rsushma@novell.com>

	* addressbook/importers/evolution-vcard-importer.c (vcard_supported):
	Return false in the source URI does not start with "file://".

	* addressbook/importers/evolution-ldif-importer.c 
	(ldif_import_contacts): Using the proper file pointer.
	(ldif_supported): Return false in the source URI does not start with 
	"file://".
	(ldif_import_done): Close the file opened.
	(ldif_import): Opening the proper file.

2005-07-09  Veerapuram Varadhan <vvaradhan@novell.com>
	
	* gui/component/addressbook-component.c: (impl_createControls):
	* gui/component/addressbook-view.[c,h]: (addressbook_view_edit_contact):
	(impl_handleURI): Handle contacts:// uris.
	
2005-07-08  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/eab-gui-util.c (eab_load_error_dialog): Including the
	file path in the error string. Fixes #309624

2005-07-07  Frederic Crozat  <fcrozat@mandriva.com>

	* gui/component/addressbook-component.c: (ensure_sources):
	* gui/component/addressbook-migrate.c: (create_groups):
	Enable autocompletion on personal addressbook when creating it
	(Mandriva bug #16427).

2005-07-06  Vivek Jain <jvivek@novell.com>
	
	* gui/component/addressbook-view.c: (popup_event_callback)
	* gui/widget/e-addressbook-view.c :(do_popup_menu)
	added comments about the hookpoints

2005-07-06  Srinivasa Ragavan <sragavan@novell.com>
	* gui/widgets/eab-gui-util.c: (contact_added_cb): Fixed for bug 
	309245.
	* /gui/widgets/e-addressbook-view.c:  Fixes the bug 206774, 242154.
	* gui/widgets/eab-popup.c: (eab_popup_target_new_select)  Fixes the
	bug 206774, 242154.
	* gui/widgets/eab-popup.h: Fixes the bug 206774, 242154.

2005-07-06  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (SUBDIRS): build importers before the gui code.

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	link to importer plugin builtins.

	* importers/Makefile.am: just build a shared library with all the
	importers in it, we dont install a plugin, it is just linked to
	the main app for simplicity.

	* importers/GNOME_Evolution_Addressbook_VCard_Importer.server.in.in: 
	* importers/GNOME_Evolution_Addressbook_LDIF_Importer.server.in.in:
	removed.

	* importers/evolution-vcard-importer.c: ported
	to eimport, simplified some logic (why test extensions and then test
	file content anyway), fixed some memory leaks, etc.

	* importers/evolution-ldif-importer.c (ldif_import): remove
	progress dialog stuff, move to update e-import api.

2005-07-01  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-component.c
	(addressbook_component_init): hookup the builtin importer
	'plugins'.

	* importers/*: fix for importers->eplugin, also added a
	window/progress dialog and cancel button.

2005-06-25  Harish Krishnaswamy <kharish@novell.com>

	* gui/contact-list-editor/Makefile.am: The previous commit breaks
	the build by introducing a circular dependancy. Revert the
	changes.
	
2005-06-25  Sushma Rai  <rsushma@novell.com>

	* gui/component/addressbook-migrate.c (migrate_contacts): Setting 
	TYPE=OTHER default parameter to email attribute. Fixes #240756.

2005-06-25  Sushma Rai  <rsushma@novell.com>

	* gui/contact-list-editor/Makefile.am: Linking to 
	libevolution-addressbook.

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* gui/component/Makefile.am
	* gui/contact-editor/Makefile.am
	* gui/contact-list-editor/Makefile.am
	* gui/merging/Makefile.am
	* gui/search/Makefile.am
	* gui/widgets/Makefile.am: Prune unnecessary and nonexistent
	directories from the -I options. Prune pathname macros not used in
	the sources in that directory from the -D options.

	* gui/component/Makefile.am
	* gui/contact-editor/Makefile.am
	* gui/contact-list-editor/Makefile.am
	* util/Makefile.am: Use NO_UNDEFINED. Link with all necessary
	libraries.

	* gui/component/Makefile.am: Use Win32-specific hack to work
	around MSYS feature in the gconftool invocation.

	* gui/contact-editor/Makefile.am
	* gui/contact-list-editor/Makefile.am: Use bootstrap library
	libevolution-addressbook on Win32.

	* gui/contact-editor/Makefile.am
	* gui/contact-list-editor/Makefile.am
	* util/Makefile.am: Use privsolib_LTLIBRARIES instead of
	privlib_LTLIBRARIES (see ../ChangeLog).

	* gui/component/GNOME_Evolution_Addressbook.server.in.in
	* importers/GNOME_Evolution_Addressbook_LDIF_Importer.server.in.in
	* importers/GNOME_Evolution_Addressbook_VCard_Importer.server.in.in: 
	Use SOEXT.

2005-06-09  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/e-addressbook-view.c: 
	Patch submitted by Hans Petter Jansson  <hpj@novell.com>, for
	Removing the references to the old wombat master category list, 
	replacing them with e-categories from libedataserver.

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* moved e-error to e-util

	* Makefile.am: renamed error xml file & u18n stuff.

2005-05-16  Srinivasa Ragavan <sragavan@novell.com>

	* gui/components/GNOME_Evolution_Addressbook.server.in.in: Added tooltips
	
2005-05-12  Ulrich Neumann  <uli@myuli.com>
 
 	* gui/contact-editor/contact-editor.glade:
	Fixed wrong xalign of Zip/Postal Code. This
 	was very ugly in languages like german, dutch etc.
 
2005-05-11  Srinivasa Ragavan <sragavan@novell.com>
	* gui/widgets//e-minicard.c: (add_field), (remodel):
	Fixed the bug 209416. It shows a different view for contact lists
	
	
2005-05-09  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/eab-gui-util.c (eab_contact_save)(eab_contact_list_save):
	Finding if multiple contacts or a single contact has been selected for
	saving, and storing it in SaveAsInfo structure.
	(save_it): Depending on selected contacts, forming a part of error
	message. 

	* addressbook-errors.xml: Changed the save-error message, to read
	string contact/contacts.
	Fixes #261969.

2005-05-09  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/e-addressbook-view.c (eab_view_delete_selection): Checking
	if single or multiple contacts/contact lists are being deleted. Also
	finding the name, if the single contact/contact list is being deleted. 

	* gui/contact-editor/eab-editor.c (eab_editor_confirm_delete): Forming
	the display messages based on the contact/contact list and number of
	contacts/contact lists being deleted. 
	Fixes #222599

2005-05-06  Chenthill Palanisamy  <pchenthill@novell.com>
	
	Fixes #301459
	* gui/contact-list-editor/contact-list-editor.glade: Corrected 
	the spelling for addresses and address.

2005-05-06  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #272464
	* addressbook-errors.xml:
	* addressbook-errors.xml.h: Changed the primary and secondary
	to make it more clear.

2005-04-28  Ross Burton  <ross@burtonini.com>

	* gui/widgets/e-addressbook-view.c:
	* gui/widgets/eab-contact-display.c:
	Fix some memory leaks.

2005-04-21  Mengjie Yu  <meng-jie.yu@sun.com>

	* gui/widgets/e-minicard-view-widget.c:
	(e_minicard_view_widget_class_init),
	(e_minicard_view_widget_real_focus_in_event):
	Add focus_in_event function.

	Fixes #300968 (gnome bugzilla bugID)

2005-04-17  Mengjie Yu  <meng-jie.yu@sun.com>

	* gui/widgets/e-minicard.c: (e_minicard_event):
	We should incarnate the reflow item if it doesn't exist.

	Fixes #300970 (gnome bugzilla bugID)

2005-04-04  Sivaiah Nallagatla <snallagatla@novell.com>

       * gui/component/addressbook.c (load_source_auth_cb)
        (addressbook_authenticate) : get the uri from Ebook
       instead of Esource. e_source_get_uri returns NULL when
       it does not have a reference to source group with it
       which happens when the source list from which this source
       was taken is destroyed but Ebook has reference to that source.
       e_book_get_uri returns the same uri and it will be always present
       Fixes #73330

2005-04-03  Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/eab-gui-util.c (do_copy) :
	use eab_merging_book_add_contact instead of 
	e_book_async_add_contact to take care of duplicate
	checking 
	Fixes #74255

2005-03-16  Li Yuan  <li.yuan@sun.com>

	* gui/widgets/gal-view-minicard.c: (gal_view_minicard_class_init):
	remove the edit function.

	Fixes #40762

2005-03-16  Mengjie Yu  <meng-jie.yu@sun.com>

	* gui/widgets/e-addressbook-view.c: (search_menu_activated):
	make the search field consistent with the Search Dialog.

	Fixes #73270


2005-03-03   Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/component/addressbook.c (load_source_auth_cb):
	Make sure LoadSourceData has call back installed
	before calling it. cb is NULL when called from 
	auth_required_cb 
	Fixes #73206 
	
2005-02-26   Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/e-addressbook-view.c :
	Change the e-popup item type for "Cut"
	from E_POPUP_BAR to E_POPUP_ITEM
	
	Fixes #73013

2005-02-25   Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/conact-editor/eab-editor.c 
	(eab_editor_prompt_to_save_changes) : Just close 
	the editor when user presees cancel or closes the editor
	when there are no changes. Seems to be broken 
	by earlier Change for #70371

	Fixes #73005
	 

2005-02-24  Sushma Rai  <rsushma@novell.com>

	* gui/component/addressbook-config.c (addressbook_config_edit_source):
	Removed the hack, setting absolute URI to NULL. Fixes #72715

2005-02-23  Hans Petter Jansson  <hpj@novell.com>

	* gui/component/addressbook-view.c:
	* gui/component/addressbook.c: Include
	<libedataserverui/e-passwords.h>.

2005-02-19  Sivaiah Nallagatla <snallagatla@novell.com>

       * gui/contact-editor/eab-editor.c
       (eab_editor_prompt_to_save_changes) : close
       the editor here in case of save and discard
       so that callers need not worry about closing

       * gui/contact-list-editor/e-contact-list-editor.c
       (closed_cb) (app_delete_event_cb) : don't close
       the editor here as that is handled by _save_changes
       call. Also no need to check for return value of that
       function as it does not matter here.

       Fixes #70371

2005-02-19  Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/component/addressbook-component.c 
	(ensure_sources) : update the base uri 
	of the "On This Computer" group when user home dir 
	changes. Also unref personal source if created here.

	Fixes #67724  
	
2005-02-09  Sivaiah Nallagatla <snallagatla@novell.com>
                                                                                
        * gui/component/addressbook-config.c
        (eabc_details_limit) : connect to "value_changed"
        signal of spin button instead of "changed"
                                                                                
        Fixes #72369

2005-02-09  Hans Petter Jansson  <hpj@novell.com>

	* gui/contact-editor/Makefile.am:
	* gui/contact-list-editor/Makefile.am:
	* util/Makefile.am: Install shared libraries to privlibdir.

2005-02-08  Christophe Fergeau <teuf@users.sourceforge.net>

	* importers/evolution-vcard-importer.c (has_bom)
	(fix_utf16_endianness) (utf16_to_utf8) 
	guess_vcard_encoding) : New functions which peeks at 
	the conents of the file and guesses the encoding and 
	to convert UTF-16 strings to UTF-8.
	(load_file_fn) : check the encoding of the file
	and convert UTF-16 and locale encoding to UTF-8

	Fixes #54825 

2005-02-07  JP Rosevear  <jpr@novell.com>

	* gui/component/apps_evolution_addressbook.schemas.in.in: clean up
	descriptions

2005-01-06  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-minicard.c (remodel) : changed the loop
	termination check to E_CONACT_LAST_SIMPLE_STRING -1
	so that we will avoid displaying revision field
	value in the minicard 

2005-01-04 vivek jain <jvivek@novell.com>
	
	* gui/component/addressbook.c (load_source_auth_cb):
	display a warning dialog if the server version is not proper

	* addressbook-errors.xml: added warning message for
	 invalid server version

2004-02-02  Hans Petter Jansson  <hpj@ximian.com>

       * gui/component/addressbook-component.c (ensure_sources): Implement
       based on the create_groups () function in addressbook-migrate.c.
       (addressbook_component_init): Call ensure_sources (). This will create
       the necessary addressbook source groups if they somehow disappeared
       from GConf.

       * gui/component/addressbook-config.c (addressbook_config_edit_source):
       If we can't get any source groups, just issue a console warning and
       return NULL. Creating sources without groups is meaningless.
	Work around for #67411

2005-02-02  Rodney Dawes  <dobey@novell.com>

	* gui/component/ldap-config.glade: Fix a small spacing issue in the
	Display section's children, to be HIG compliant

2005-01-31  Hans Petter Jansson  <hpj@novell.com>

	* gui/widgets/eab-config.c (_EABConfigPrivate): Use guint instead of
	ulong for signal ID.

2004-01-29 Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* addressbook/gui/contact-list-editor/e-contact-list-editor.c
	 (save_contact) : call the eab_merging_* functions instead of
	 e_book_sync* directly. The merging function check for duplication. 
	 The following functions have been called:
	 1. eab_merging_book_add_contact for adding a new entry
	 2. eab_merging_book_commit_contact for commiting a modified entry
	
	 Fixes bug #57819

2005-01-29  Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/contact-editor/e-contact-editor.c 
	(sensitize_im_types) : new function to sensitize
	im types based on supported fields
	
	(sensitize_im_record) : call sensitize_im_types
	for each record 
	(sensitize_im) : if none of the im types 
	are supported disable the im entries 
	Fixes #68799

2005-01-28  Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/eab-vcard-control.c (pstream_load) :
	Changed a string to make it complete and clear
	for transaltion 
	Fixes #61067 

2005-01-26  Sivaiah Nallagatla <snallagatla@novell.com>
                                                                                                                             
        * gui/component/addressbook.c (addressbook_authenticate) :
        Remove leading "%s" from the transalatable string
        Fixes #36137

2005-01-26  Sivaiah Nallagatla <snallagatla@novell.com>

       * util/eab-book-util.c (strstrcase) :
       case insesitive version of strstr. Used
       from camel

       (eab_contact_list_from_string) : do case in sensitive
       search for "BEGIN:VCARD" and "END:VCARD" to
       take care of broken vcards

       Fixes #70339


2005-01-26 Hao Sheng  <hao.sheng@sun.com>

	* gui/contact-list-editor/e-contact-list-editor.c:
	(setup_name_selector): add access key to 'Member' Button.

2005-01-25  Rodrigo Moya <rodrigo@novell.com>

	* gui/contact-editor/e-contact-editor.c (categories_clicked): use the
	new ECategoriesDialog widget.

2005-01-21  JP Rosevear  <jpr@novell.com>

	Fixes #70622
	
	* gui/widgets/eab-contact-display.c (eab_contact_display_init):
	construct the html widget

2005-01-21 Sivaiah Nallagatla <snallagatla@novell.com>

       * gui/widgets/e-addressbook-model.[ch]
       (eab_model_class_init) : renamed the signal
       CONTACT_REMOVED to CONTACTS_REMOVED and chaned
       the param type POINTER from INT
       (remove_contact) : delete all the contacts
       from the model and emit CONATCTS_REMOVED
       signal instead of emitting it many times

       * gui/widgets/e-addressbook-reflow-adpater.c
       (e_addressbook_reflow_adapter_construct)
       (remove_contacts) : renamed remove_contact to remove_contacts
       and when number of conacts is more than 1 use _model_changed
       instead of _remove_item

       * gui/widgets/e-addressbook-table-adapter.c
       (eab_table_adapter_construct)
       (remove_contacts) : ditto

       * gui/widgets/e-addressbook-view.c
       (eab_view_new) :
       (contacts_removed) : renamed contact_removed
       to contacts_removed and traverese over indices
       to find displayed contact indiex

       fixes #71448

2005-01-21  Rodney Dawes  <dobey@novell.com>

	* gui/contact-editor/e-contact-quick-add.c (build_quick_add_dialog):
	Change the xpad and ypad to 0 here, we don't need the extra padding
	Add the GTK_DIALOG_NO_SEPARATOR flag for creating the dialog
	Set proper border widths on some dialog containers for the HIG
	Set the row/column spacings for the table widget
	Create the labels outside of the table packing calls and set the proper
	alignment for them to be HIG compliant
	Set the border width of the table widget to 12 for HIG compliance
	
	* gui/widgets/eab-popup-control.c (edit_contact_info_cb): Removed
	(eab_popup_control_display_contact): Just go ahead and open the
	editor, no need to have an intermittent window with a button for it
	(add_contacts_cb): Remove this as we don't need it any more
	(eab_popup_control_no_matches): Just go straight to the quick-add
	dialog, and don't pop up an intermittent window with a button

	Fixes #41210 #60852 

2005-01-21  Rodney Dawes  <dobey@novell.com>

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	Call gtk_widget_ensure_style to ensure that we set the border widths
	of some dialog containers properly for HIG compliance

2005-01-21  Rodney Dawes  <dobey@novell.com>

	* gui/merging/eab-contact-duplicate-detected.glade:
	Fix some spacing and remove the separator for HIG compliance
	* gui/merging/eab-contact-merging.c (match_query_callback): 
	Set proper border widths on some dialog containers for the HIG

	Fixes #41228

2005-01-21  JP Rosevear  <jpr@novell.com>
	
	Fixes #46404	
	
	* gui/widgets/e-addressbook-view.c (eab_view_print): just show the
	dialog, not show all (margin settings aren't supposed to be used);
	use e_print to get the dialog
	(eab_view_print_preview): use e_print config for previewing

	* printing/e-contact-print.c (e_contact_print_preview): get the
	e_print config for previewing
	(e_contact_print_contact_dialog_new): use e_print to get the
	print dialog

	* printing/e-contact-print-envelope.c
	(e_contact_print_envelope_dialog_new): use e_print to get the
	print dialog

2005-01-21  Hans Petter Jansson  <hpj@novell.com>

	* gui/contact-editor/e-contact-quick-add.c (quick_add_set_name)
	(quick_add_set_email): Don't set properties on the contact immediately.
	(clicked_cb): Set the properties on the contact immediately before
	passing it on. This way, the FULL_NAME will only be set once, and so
	the FILE_AS field will be updated here.

2005-01-21 Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/component/addressbook-config.c 
	(eabc_commit) : in case of new book
	set the uid of the source as the relative 
	uri. 

2005-01-19  Hao Sheng <hao.sheng@sun.com>

	* gui/contact-editor/contact-editor.glade:
	add accessable key to the contact editor UI.
	* gui/contact-list-editor/contact-list-editor.glade:
	add accessable key to the contact list editor UI.

2005-01-18  Hao Sheng <hao.sheng@sun.com>

	* gui/component/addressbook-view.c:
	(addressbook_view_init): add a11y name for the contact's
	treeview.

2005-01-18 Hao Sheng <hao.sheng@sun.com>

	* gui/contact-editor/contact-editor.glade:
	add a11y names for widgets named "Image","Anniversary" and "Birthday".
	* gui/contact-editor/e-contact-editor.c:
	(e_contact_editor_create_date): add string1 as entry's a11y name.

2005-01-17 Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/contact-editor/e-contact-editor.c 
	(fill_in_email_record) : show "other" when email 
	does not carry "TYPE"
	(fill_in_email) : pass deafult email 
	types instead of -1 when clearing fields 
	
	Fixes #70922 
	
2005-01-17 Hao Sheng  <hao.sheng@sun.com>

	* gui/contact-editor/contact-editor.glade:
	add the a11y name for arrow-button named "Telephone".

2005-01-12  JP Rosevear  <jpr@novell.com>

	Fixes #61973
	
	* gui/widgets/e-addressbook-view.etspec: add translator comment for TTYTDD 

2005-01-11  Not Zed  <NotZed@Ximian.com>

	* util/eab-book-util.c (eab_name_and_email_query): cast length
	specifier to int.

2005-01-10  Hans Petter Jansson  <hpj@novell.com>

	* gui/widgets/e-minicard.c (e_minicard_activate_editor): When spawning
	an editor, set the initial editability from the target book, not from
	the minicard's own (usually stale, useless) editable state.

2005-01-06  JP Rosevear  <jpr@novell.com>

	* gui/component/Makefile.am: install schemas properly

2004-12-21  Andre Klapper <a9016009@gmx.de>
       
       * tools/evolution-addressbook-export.c:
       Fixing bug 61068 (removing a white space in a string).

2004-12-23  Sivaiah Nallagatla <snallagatla@novell.com>

	Part of merge from offline branch 
	
	* gui/widgets/addresbook-config.c (eabc_general_offline) :
	fix some compile warings
	(offline_status_changed_cb) : set "0" instead of NULL
	as e-source property when offline is not checked  
		
2004-11-23  Sivaiah Nallagatla <snallagatla@novell.com>
                                          
        Part of merge from offline brnach 
                                                                        
        * gui/widgets/eab-gui-util.c (eab_load_error_dialog) :
        added message which gets prompted when user tries
        to access a book which is not available in offline mode
                                                                                                                             
        * gui/component/addressbook-config.c (eabc_general_offline)
        (offline_status_changed_cb) : added a new check box
        to properties page to mark a book for offline usage
                                                                                                                             
        * gui/component/addressbook.c (load_source_cb) : do no try to
        authenticate in case of offline mode.
        (auth_required_cb) : new call back which gets called
        when backend sends notification for  password to client
	
2004-12-23  Hans Petter Jansson  <hpj@novell.com>

	This is the last we see of ESelectNames.

	* gui/component/select-names/Evolution-Addressbook-SelectNames.idl
	* gui/component/select-names/GNOME_Evolution_Addressbook_SelectNames.server.in.in
	* gui/component/select-names/Makefile.am
	* gui/component/select-names/e-select-names-bonobo.c
	* gui/component/select-names/e-select-names-bonobo.h
	* gui/component/select-names/e-select-names-completion.c
	* gui/component/select-names/e-select-names-completion.h
	* gui/component/select-names/e-select-names-config-keys.h
	* gui/component/select-names/e-select-names-config.c
	* gui/component/select-names/e-select-names-config.h
	* gui/component/select-names/e-select-names-factory.c
	* gui/component/select-names/e-select-names-factory.h
	* gui/component/select-names/e-select-names-manager.c
	* gui/component/select-names/e-select-names-manager.h
	* gui/component/select-names/e-select-names-marshal.list
	* gui/component/select-names/e-select-names-model.c
	* gui/component/select-names/e-select-names-model.h
	* gui/component/select-names/e-select-names-popup.c
	* gui/component/select-names/e-select-names-popup.h
	* gui/component/select-names/e-select-names-section.etspec
	* gui/component/select-names/e-select-names-table-model.c
	* gui/component/select-names/e-select-names-table-model.h
	* gui/component/select-names/e-select-names-text-model.c
	* gui/component/select-names/e-select-names-text-model.h
	* gui/component/select-names/e-select-names.c
	* gui/component/select-names/e-select-names.etspec
	* gui/component/select-names/e-select-names.h
	* gui/component/select-names/recipient.glade
	* gui/component/select-names/select-names.glade: Begone.

2004-12-23  Hans Petter Jansson  <hpj@novell.com>

	* gui/component/Makefile.am (SUBDIRS): No more select-names.
	(libevolution_addressbook_la_LIBADD): Remove libeselectnames.la.

	* gui/component/component-factory.c (factory): Remove the select-names
	component.

	* gui/contact-list-editor/Makefile.am (IDL)
	(IDL_GENERATED_H)
	(selectnamesdir): No longer needed, so removed.

2004-12-22  Hans Petter Jansson  <hpj@novell.com>

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_dispose): Unref the name selector.
	(e_contact_list_editor_save_contact): Fix a warning.
	(add_to_model): Take a list instead of a vector of destinations.
	(select_names_ok_cb): Adapt to new name selector.
	(setup_corba): Renamed to setup_name_selector () and adapted.
	(select_cb): Adapt to new name selector.

	* gui/contact-list-editor/e-contact-list-editor.h: Adapt to new
	name selector and remove CORBA/Bonobo.

	* gui/widgets/eab-popup.c (eabp_target_free)
	(eabp_popup_target_new_select_names): #ifdef out code that
	depended on the old name selector.

2004-12-17  Not Zed  <NotZed@Ximian.com>

	* util/ea-popup.c (emp_standard_menu_factory): 

	* gui/component/select-names/e-select-names.c (section_right_click_cb): 

	* gui/component/addressbook-view.c (popup_event_callback): 

	* gui/widgets/e-addressbook-view.c (do_popup_menu): api changes.

2004-12-21  JP Rosevear  <jpr@novell.com>

	Fixes #61975
	
	* gui/widgets/test-reflow.c: kill translated strings that were #if
	0'd anyhow

2004-12-21  JP Rosevear  <jpr@novell.com>
	
	* gui/search/e-addressbook-search-dialog.c: convert to
	G_DEFINE_TYPE
	
	* gui/widgets/gal-view-factory-minicard.c: ditto

	* gui/widgets/gal-view-factory-treeview.c: ditto

2004-12-13  Vivek Jain <jvivek@novell.com>

	* gui/component/addressbook-config.c (addressbook_config_edit_source): set the
	window title based upon the source

2004-12-08  Hans Petter Jansson  <hpj@novell.com>

	* gui/component/addressbook-migrate.c
	* gui/component/select-names/e-select-names-completion.c
	* gui/component/select-names/e-select-names-manager.c
	* gui/component/select-names/e-select-names-model.h
	* gui/contact-list-editor/e-contact-list-editor.h
	* gui/contact-list-editor/e-contact-list-model.h
	* gui/widgets/e-minicard.c
	* gui/widgets/eab-gui-util.c
	* importers/evolution-ldif-importer.c
	* importers/evolution-vcard-importer.c: Include
	<libebook/e-destination.h> from evolution-data-server.
	* util/Makefile.am: Remove e-destination.[ch] from here.
	* util/e-destination.[ch]: Removed.

2004-12-08  S. Caglar Onur  <caglar@uludag.org.tr>

	* evolution-2.0.2/addressbook/gui/contact-editor/e-contact-editor.c
	(get_ui_slot_param)
	(get_attributes_named): some strcasecmp() calls changed with
	g_ascii_strcasecmp() for Turkish character conversiton problems
	[ http://www.i18nguy.com/unicode/turkish-i18n.html ]

2004-12-06  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-config.c (eabc_general_type): set the
	active item based on the current group.

2004-12-01  Sivaiah Nallagatla <snallagatla@novell.com> 

	* gui/contact-editor/e-contact-editor.c (save_contact) :
	save the uid and set it again in the contact. Otherwise, there is
	possibility we trying to save the contact wiht out UID, as we destory the 
	contact and create new one when data is wrong  

	 
2004-11-28  Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/contact-editor/e-contact-editor.h : Define
	new list for storing required fields

	* gui/contact-editor/e-contact-editor.c 
	(e_contact_editor_class_init) : install new REQUIRED_FIELDS
	property 
	(e_contact_editor_set_property)
	(e_contact_editor_get_property) : added handling 
	for new RQUIRED_FIELDS_PROPERTY
	(e_contact_editor_dispose) : unref the new 
	required_fields member 
	(required_fields_cb) : call back to set required fields into
	contact editor
	(is_non_string_field) : new method to detect
	whether a particular field in contact is a string or not
	(e_contact_editor_is_valid) : check for presence of 
	all required fields
	(save_contact) : extract all the data before 
	calling e_contact_editor_is_valid so that
	it can check for required fields. Clean up the contact
	if there is an error
	
2004-11-27  Sushma Rai  <rsushma@novell.com>

	* gui/widgets/e-minicard-view.c (set_empty_message):
	Checking for the static capability "do-initial-query",
	and setting the relevent empty addressbook message.

2004-11-26  JP Rosevear  <jpr@novell.com>

	* gui/component/select-names/e-select-names-popup.c
	(populate_popup_contact): get image directly from icon factory

	* gui/contact-editor/e-contact-editor-im.c
	(setup_service_optmenu): ditto
	
2004-11-25  Hao Sheng  <hao.sheng@sun.com>

	* gui/contact-editor/contact-editor.glade:
	add "labelled by" between entry and label,
	make accessbility work.
	* gui/contact-editor/e-contact-editor.c:
	(e_contact_editor_create_web): add accessible name to e_url_entry.

2004-11-22  Joan Sanfeliu  <joan@fibranet.com>

	* gui/component/apps_evolution_addressbook.schemas.in.in:
	* gui/component/ldap-config.glade : Evolution product name spelled
	with an uppercase E

	Fixes #61065

2004-11-22  Rodney Dawes  <dobey@novell.com>

	* importers/GNOME_Evolution_Addressbook_VCard_Importer.server.in.in:
	Fix name attribute values to be identical

	Fixes #61976

2004-11-21  Sivaiah Nallagatla <snallagatla@novell.com>

	* rever last commit , it is supposed to for offline 
	branch not to HEAD 

2004-11-21  Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/eab-gui-util.c (eab_load_error_dialog) : 
	added message which gets prompted when user tries 
	to access a book which is not available in offline mode

	* gui/component/addressbook-config.c (eabc_general_offline) 
	(offline_status_changed_cb) : added a new check box
	to properties page to mark a book for offline usage 

	* gui/component/addressbook.c (load_source_cb) : do no try to
	authenticate in case of offline mode. 
	(auth_required_cb) : new call back which gets called
	when backend sends notification for  password to client
	
2004-11-07  Sivaiah Nallagatla <snallagatla@novell.com>

       * util/eab-book-util.c (eab_name_and_email_query) :
       When name is NULL query against complete email id instead of
       user name part to take care of users@foo.org not matching
       against users@bar.org . Also include query based on name always

       Fix for  #67656


2004-11-16  Not Zed  <NotZed@Ximian.com>

	* util/Makefile.am (libeabutil_la_LIBADD): remove camel, add
	ADDRESSBOOK_LIBS.

	* conduit/Makefile.am (libeaddress_conduit_la_LIBADD): remove
	camel.

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	remove camel.

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* *.c: Moved various things from e-util to libedataserver, where
	appropriate.

2004-11-08  Andre Klapper  <a901600@gmx.de>

	Fixes bug #61966.

	* addressbook-errors.xml: Add a missing word to a string.

2004-11-08  Steven Zhang <steven.zhang@sun.com>

	* gui/widgets/e-minicard.c: (e_minicard_activate_editor): 
	rename and make it a public function.
	(e_minicard_event): change accordingly.
	* gui/widgets/e-minicard.h: ditto.

2004-11-04  Sivaiah Nallagatla <snallagatla@novell.com>
	
	* gui/contact-editor/e-contact-editor.c (save_contact) :
	populate contact only afte we are sure that data is valid 
	and we can create that.
	Fixes #69079

2004-11-07  Rodney Dawes  <dobey@novell.com>

	* gui/contact-editor/e-contact-editor.c
	(init_email_record_location, init_im_record_location):
	Translate the category pretty names that we pass for creation of
	new menu item entries for the E-Mail and IM dropdown selections

	Partially fixes bug #66854
	
2004-11-04  mengjie yu  <meng-jie.yu@sun.com>

	fix for bugzilla #44876

	* gui/component/select-names/e-select-names-manager.c:
       (e_select_names_manager_entry_new):add a atk name for the entry.

2004-11-2   Hao Sheng  <hao.sheng@sun.com>

	* gui/widgets/e-minicard-view.c: popup right-click menu after
	pressing Shift+F10.

2004-11-01  Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/eab-gui-util.c 
	(added_cb) (_modified_cb) : Don't show
	error dialogs when status code is E_BOOK_ERROR_CANCELLED. We don't
	wabt to show "Error adding contact,  Cancelled" dialogs when user 
	cancels duplicated contact detected dialog.   	  
	
2004-10-27  Andre Klapper  <a9016009@gmx.de>

       * tools/evolution-addressbook-export.c: 
       Fixing a typo (bug 61069).

2004-10-26  Andre Klapper <a9016009@gmx.de>

	Fixes #61972.

	* addressbook/gui/contact-editor/e-contact-editor-address.c:
	Typo in country name: was "Grena-dines", now "Grenadines".

2004-10-25  Nat Friedman  <nat@novell.com>

	* gui/widgets/eab-contact-display.c (accum_multival_attribute):
	Display mutlivalued contact attributes in the preview.
	(render_contact): Render all IM fields using the new multival
	function.

2004-10-21  JP Rosevear  <jpr@novell.com>

	* gui/widgets/eab-config.c (ecph_class_init): correct hook name
	typo

	* gui/component/addressbook-view.c: add appropriate popup icons

2004-10-21  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-config.c
	(addressbook_config_edit_source): fix a past-o for no-ldap case.

2004-10-20  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-component.c
	(addressbook_component_init): register config hook.

	* gui/component/addressbook-config.c: mostly re-written to use econfig.
	(query_for_supported_bases): convert to gtktreeview.

	* gui/widgets/eab-config.c (ecp_set_target): hook onto source changed.
	(ecp_source_changed): propagate changed state info.
	(ecp_class_init): setup private data.

2004-10-19  Not Zed  <NotZed@Ximian.com>

	* gui/widgets/eab-menu.c (eabm_target_free): don't unref null
	book.

2004-10-19  JP Rosevear  <jpr@novell.com>

	* gui/component/addressbook-view.c,
	gui/component/select-names/e-select-names.c,
	gui/widgets/e-addressbook-view.c, gui/widgets/eab-menu.c,
	gui/widgets/eab-popup.c: convert to org.gnome hook names
	
2004-10-15 Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/e-addressbook-view.c : add EAB_POPUP_SELECT_ANY
	mask instead of EAB_POPUP_SELECT_MANY, so that 
	all the options like Save as, Forward etc are enabled even 
	single contact is selected. 

2004-10-15 Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/eab-contact-display.c : uncomment 
	HANDLE_MAILTO_INTERNALLY define so that we will
	launch composer through bonobo  instead of using 
	gnome_url_show	
	
2004-10-15  Not Zed  <NotZed@Ximian.com>

	* gui/widgets/eab-popup.c: added an any select mask and updated
	the hook maps.

	* gui/component/addressbook-component.c
	(addressbook_component_init): register the addressbook hooks.

	* gui/component/addressbook-view.c (addressbook_view_init): setup
	the menu manager.
	(control_activate_cb): activate the menu manager.
	(update_command_state): and update the menu manager.

	* gui/widgets/eab-menu.[ch]: Added menu manager class.

2004-10-13  JP Rosevear  <jpr@novell.com>

	* importers/evolution-vcard-importer.c: find source selector and
	option menu in libedataserverui

	* importers/evolution-ldif-importer.c: ditto

	* gui/widgets/eab-popup.c: ditto

	* gui/widgets/eab-gui-util.c: ditto

	* gui/contact-list-editor/e-contact-list-editor.c: ditto

	* gui/contact-editor/e-contact-editor.c: ditto

	* gui/component/select-names/e-select-names.h: ditto

	* gui/component/autocompletion-config.c: ditto

	* gui/component/addressbook-view.c: ditto

2004-10-11  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-view.c (source_list_changed_cb): Don't
	unref the view - removing it from the hash table will do this for us.
	Remove from hash table after removing the notebook page.
	(addressbook_view_init): Unref views when removed from the hash
	table.

2004-10-06  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-view.c (popup_event_callback): 
	* gui/component/select-names/e-select-names.c (section_right_click_cb):
	* gui/widgets/e-addressbook-view.c (do_popup_menu): fix for
	e-popup api changes.  Moved all mask specifiers to visible rather
	than enable in the menu table.

2004-10-06  Not Zed  <NotZed@Ximian.com>

	* gui/contact-editor/e-contact-editor.c: removed
	gnome-popup-menu.h (unused).

	* gui/widgets/e-addressbook-reflow-adapter.c: 
	* gui/widgets/eab-popup-control.c: remove e-popup-menu.h (unused).

	* gui/component/select-names/e-select-names.c
	(section_right_click_cb): use e-popup.  Somewhat overengineered
	for this use ...
	(remove_cb): api changes.

	* gui/widgets/eab-popup.c (eab_popup_target_new_select_names):
	added pretty useless wrapper for the select names popup.  Added to
	hook maps.

2004-10-01  Not Zed  <NotZed@Ximian.com>

	* gui/widgets/e-addressbook-view.c (do_popup_menu): convert to
	using EABPopup.
	(sources): remove dead code.
	(has_email_address_1, get_has_email_address): removed now
	redundant code.
	(save_as, send_as, send_to, print, copy, paste, cut, delete) 
	(copy_to_folder, move_to_folder, new_card, new_list): new api.
	(free_popup_info): dead.
	(print_envelope): not pining.
	(get_contact_list): take a popup target instead, don't ref.
	(get_contact_list_1): not required no more.
	(contact_and_book_free): same.
	(delete): call eab_view_delete_selection.
	(eab_view_delete_selection): do the actual delete here.

	* gui/widgets/eab-popup.c (eab_popup_target_new_select): implement.

2004-10-01  Not Zed  <NotZed@Ximian.com>

	* gui/widgets/eab-popup.[ch]: addressbook popup driver.

	* gui/component/addressbook-view.c (delete_addressbook_cb): use
	e-error for the message prompt.  don't bother keeping it around,
	it can never be re-sensitised anyway.
	(book_removed): no longer destroy the original dialogue.

	* addressbook-errors.xml: add ask-delete for deleting
	addressbooks.

	* gui/component/addressbook-view.c (addressbook_view_init):
	connect to popup_event rather than fill_popup_menu now.
	(fill_popup_menu_callback): renamed to popup_event_callback,
	changed to use epopup.
	(add_popup_menu_item): remove, no longer needed.

2004-09-29  Not Zed  <NotZed@Ximian.com>

	Fixes bug #66520.

	* gui/widgets/e-addressbook-view.c (eab_view_dispose): don't unref
	the contact_display_window, it will be destroyed by being
	parented.

2004-09-29  Hans Petter Jansson  <hpj@ximian.com>

	Fixes bug #66369.

	* util/eab-book-util.c (eab_contact_list_from_string): Make the
	vcard splitter work with any amount of blank lines between vcards.

2004-09-29  Hans Petter Jansson  <hpj@ximian.com>

	Fixes bug #65537.

	* gui/merging/eab-contact-compare.c (query_cb): Protect against NULL
	UIDs, and make fewer calls to e_contact_get_const () as a bonus.

2004-09-24  Hao Sheng  <hao.sheng@sun.com>
	
	Fix for #66523

	* gui/contact-list-editor/e-contact-list-model.c:
	(e_contact_list_model_add_email): estimate the same mail address
	and popup a warning dialog.
	* addressbook-errors.xml: add the question message for the warning
	dialog.

2004-09-23  Pamplona Hackers <gnome-desarrollo@es.gnome.org>

	Fixes #61978

	* tools/evolution-addressbook-export.c (main): use more
	meaningful error message.

2004-09-23  Fazlu & Hannah <hannah_lins@yahoo.co.in>

	* tools/evolution-addressbook-export.c (main):
	Changed the string into proper grammar 'In normal mode, there
	should not need size option.' to 'In normal mode, there is no need
	for the size option.'

2004-09-23  JP Rosevear  <jpr@novell.com>
 
 	* conduit/address-conduit.c (ecard_from_remote_record): only set
 	the file as address to the company if no full name exists
 	(delete_record): don't bail out if the record simply isn't found
 
 	Fixes #59725
 	
 	* conduit/address-conduit.c (local_record_from_uid): remove
 	extraneous semicolon
 
2004-09-21  William Jon McCann  <mccann@jhu.edu>

	* gui/component/component-factory.c (factory): Quiet debug messages.

	* gui/widgets/e-addressbook-view.c (eab_view_new): Remove
	unnecessary label widget placeholder.  Make vertical scrollbar
	policy automatic.  Use gtk_paned_add2 instead of
	gtk_container_add.

	* gui/component/apps_evolution_addressbook.schemas.in.in: Add
	missing show_preview schema.  Add missing long descriptions.

2004-09-13  Rodney Dawes  <dobey@novell.com>

	* gui/contact-editor/e-contact-editor.c (show_help_cb):
	Point at the correct XML file for documentation

2004-09-13 Sivaiah Nallagatla <snallagatla@novell.com>

       * gui/contact-editor/e-contact-editor.c
       (sensitize_address) : check for _LABEL
       type address fields also in supported fileds
       while sensitizing the address fields

2004-09-03  JP Rosevear  <jpr@novell.com>
 
 	Fixes #63191
 	
 	* gui/contact-list-editor/contact-list-editor.glade: set the title
 	properly
	
2004-09-08  Not Zed  <NotZed@Ximian.com>

	** See bug #64080.

	* gui/component/Makefile.am (libevolution_addressbook_la_LIBADD):
	link addressbook to camel.

2004-09-04 Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/widgets/e-addressbook-view.h : add
	new widget variable contact_dsiplay_window to _EABView strcut
	to store. Remove unused scrolled varible
	* gui/widgets/e-addressbook-view.c (eab_view_init)
	(eab_view_dispose) : initialize and unref the new widget
	added 
	(eab_view_new) : remove the loca variable scrlled_window 
	instead use eav->contact_display_window
	(eab_view_show_contact_preview) : show/hide contact_display_window 
	instead of contact_display
	Fixes #64024 


2004-08-27  Not Zed  <NotZed@Ximian.com>

	** See bug #62856 (workaround).

	* gui/component/addressbook.c (addressbook_authenticate): add
	online flag to password request.

	** See bug #64011.

	* gui/component/addressbook-view.c (edit_addressbook_cb): Remove
	double ;; in declaration section (c99 extension).  From Vincent
	Noel <vnoel@cox.net>.

2004-08-26  Hans Petter Jansson  <hpj@ximian.com>

	Really fixes #61833 and #63697.

	* gui/component/select-names/e-select-names.etspec: Fetch values from
	column 86 (NAME_OR_ORG), instead of 2 (FILE_AS).

2004-08-26  Chris Toshok  <toshok@ximian.com>

	[ patch for the rest of 60889 ]
	* gui/merging/eab-contact-merging.c (add_lookup): new function,
	either start up the query or add it to the queue if we're over the
	number of simultaneous queries.
	(finished_lookup): start up enough pending queries to get us to
	our limit again.
	(free_lookup): free lookup->avoid.
	(final_id_cb): call finished_lookup.
	(eab_merging_book_add_contact): set lookup->avoid to NULL and
	replace call to eab_contact_locate_match_full with add_lookup.
	(eab_merging_book_commit_contact): set lookup->avoid to the
	contact, and make the same
	s/eab_contact_locate_match_full/add_lookup/ replacement.

2004-08-26  Christian Neumair  <chris@gnome-de.org>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	Don't mark component menu accel for translation.

2004-08-25  Sivaiah Nallagatla <snallagatla@novell.com>

       * gui/component/addressbook-config.c (source_to_dialog) :
       disbale the display name widget in case of groupwise as we can not handle renames as
       of now
       (dialog_to_source) also copy "use_ssl" property to new source so that
       new books also use ssl

2004-08-25  Hans Petter Jansson  <hpj@ximian.com>

	May fix #61833.

	* gui/component/select-names/e-select-names-table-model.c
	(fill_in_info): Get E_CONTACT_NAME_OR_ORG (first found from File As,
	Full Name, Organization, Email 1) for the "name" field. Hopefully
	will prevent most cases of blank entries.

2004-08-25  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gui/component/addressbook-view.c: (delete_addressbook_cb):
	Don't call gtk_dialog_set_has_separator on Gtk Message Dialog
        with GTK+ >= 2.4.0.

2004-08-20  Chris Toshok  <toshok@ximian.com>

	* gui/component/component-factory.c (factory): remove the dead
	ldap config control stuff.

2004-08-20  Hans Petter Jansson  <hpj@ximian.com>

	Fixes bug #62715.

	* gui/contact-editor/e-contact-editor.c
	(fill_in_address_label_textview): Implement.
	(fill_in_address_field): If structured address information is not
	available, try putting the "label" blob in the free-form field.

2004-08-19  Hans Petter Jansson  <hpj@ximian.com>

	Makes the contact image selector use GtkFileChooser if available.

	* gui/contact-editor/e-contact-editor.c (image_selected_cb): Take just
	the editor as an argument, so we can call from other places without
	having to supply dummy args. Rename to image_selected, since it's no
	longer strictly a callback. Include optional code to use the new
	GtkFileChooser.
	(image_cleared_cb): Ditto. Rename to image_cleared.
	(file_chooser_response): Optional response handling for GtkFileChooser.
	(image_clicked): Include optional code to use the new GtkFileChooser.
	Move common strings to variables. For GtkFileSelection, swap callback
	parameters for the modified image_selected () and image_cleared ().

2004-08-19  Chris Toshok  <toshok@ximian.com>

	[ likely fixes #61500 ]
	* addressbook-errors.xml (remove-addressbook): remove the
	secondary text, since we don't have the gerror text to supply it
	anymore.

	* gui/component/addressbook-view.c (book_removed): new function,
	move the error handling here.
	(delete_addressbook_cb): create a closure with necessary data, and
	call the e_book_async_remove instead of e_book_remove.

2004-08-18  Sivaiah Nallagatla <snallagatla@novell.com>
	
	* gui/component/select-names/e-select-names.c (e_select_names_init) :
	select names dialog can not be modal as password dialogs can come up while 
	user is in this dialog for address books which require authentication
	like groupwise and LDAP
	FIxes #63257 

2004-08-11  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (app_delete_event_cb):
	Remove the custom prompt-to-save dialogs from here - use
	eab_prompt_save_dialog (), and then only if the contact actually
	changed.

2004-08-16  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-gui-util.c (eab_show_multiple_contacts):
	reinstate the ngettext patch that was part of the #53464 commit of
	2004-03-24 by dsegan@gmx.net.

2004-08-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gui/widgets/eab-gui-util.c: Optionally use GtkFileChooser if
	compiled against Gtk+ >= 2.4.0

2004-08-10  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook.c (addressbook_authenticate): e
	passwords api change/reprompt if we need to.

2004-08-12  Sivaiah nallagatla <snallagatla@novell.com>

	* gui/compoent/addressbook.c : just revering a local change 
	gone in in the commit i just made 

2004-08-12  Sivaiah Nallagatla <snallagatla@novell.com>
	
	* gui/component/addresbook.c (load_source_auth_cb) :
	when user cancels auth dialog send the anonoymous query
	only in case of ldap 
	*gui/component/addresbook-view.c (book_open_cb) : no need to
	display the error dialog when user cancels that

2004-08-04  Rodney Dawes  <dobey@novell.com>

	* gui/widgets/eab-popup-control.c: #include <gtk/gtkvbox.h>

2004-08-02  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #60529.

	* gui/contact-list-editor/e-contact-list-editor.c
	(table_drag_drop_cb): Make sure to get the text/x-vcard target.

2004-08-02  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #62085.

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_class_init): Set the save_contact method.
	(e_contact_list_editor_save_contact): Implement.

2004-08-02  JP Rosevear  <jpr@novell.com>

	* conduit/address-conduit.c (addrconduit_load_configuration): get
	source uid
	(addrconduit_dupe_configuration): copy source_uid
	(addrconduit_destroy_configuration): free source_uid
	(e_addr_context_new): get the source list
	(e_addr_context_destroy): unref the source list
	(pre_sync): open the source that was set earlier
	(fill_widgets): set the source option menu value
	(create_settings_window): pass source list to pilot settings
	(save_settings): save source uid

	* conduit/Makefile.am: link to and include misc. widgets

2004-08-02  Rodney Dawes  <dobey@novell.com>

	* gui/component/ldap-config.glade: Make the main dialog here be
	an actual GtkDialog instead of a GtkWindow
	Fix up a few small spacing issues with the UI
	Change "Contacts Group" to "Address Book"

	* gui/component/addressbook-config.c (query_for_supported_bases):
	Use gtk_widget_ensure_style instead of gtk_widget_realize
	(addressbook_add_server_dialog):
	Use gtk_widget_ensure_style on the dialog and fix the spacing and
	border width of the dialog containers

	Fixes #61365

2004-07-30  Chris Toshok  <toshok@ximian.com>

	[ fixes #61365 and other misc issues with the addressbook source
	editors ]
	
	* gui/component/ldap-config.glade: change the
	supported-bases-dialog to be initially hidden.

	* gui/component/addressbook-view.c (editor_weak_notify): new
	function, remove the editor from our hash.
	(source_list_changed_cb): destroy the editors for given sources if
	they're up when the source disappears.
	(edit_addressbook_cb): add the editor (and some other misc info we
	need) to our uid_to_editor hash so we can look it up later.  only
	create the editor if one doesn't exist for the given source.
	(destroy_editor): GHFunc that destroys the widgets.
	(addressbook_view_dispose): destroy uid_to_editor.
	(addressbook_view_init): init uid_to_editor.

	* gui/component/addressbook-config.h: change return values for
	_edit_source and _new_source - they both return GtkWidget*s now.

	* gui/component/addressbook-config.c (addressbook_ldap_init):
	attempt set the protocol version to LDAPv3.  This makes the
	ldap_auth stuff work if the server requires v3.
	(addressbook_root_dse_query): we don't need the separate window
	arg, since all of this now happens *before* the supported bases
	dialog is shown.  we just use the source dialog's window for the
	various error dialogs.
	(do_ldap_root_dse_query): same.
	(query_for_supported_bases): same, and set the supported bases
	dialog as transient-for the source dialog, and make it modal.
	Lastly, don't make the editor modal.
	(addressbook_config_edit_source): return the editor's window.
	(addressbook_config_create_new_source): same.

2004-07-26  JP Rosevear  <jpr@novell.com>
 
 	* gui/component/ldap-config.glade: change contacts group to
 	address book
 
 	* gui/component/addressbook-component.c
 	(impl__get_userCreatableItems): ditto
	
2004-07-19  Radek Doulik  <rodo@ximian.com>

	* gui/widgets/eab-vcard-control.c (eab_vcard_control_new): but
	buttons to button box, use vbox instead of table

	* gui/widgets/eab-contact-display.c: base this widget directly on
	gtkhtml

	* gui/widgets/e-addressbook-view.c (eab_view_new): put contact
	display in scrolled window

2004-07-20  Not Zed  <NotZed@Ximian.com>

	* gui/widgets/eab-contact-display.c: 
	* gui/contact-editor/eab-editor.c: 
	* gui/component/addressbook-migrate.c: include config.h #61395.

2004-07-21  Chris Toshok  <toshok@ximian.com>

	[ fixes #60508 ]
	
	* gui/component/addressbook-config.h: reorder the Scopes so that
	they match the option menu.

	* gui/component/ldap-config.glade: change the scope option menu to
	only display One and Sub, and also set the Login field to Lo_gin
	in both dialogs.  Add accelerators for the details page as well.

2004-07-21  Rodney Dawes  <dobey@novell.com>

	* gui/contact-editor/contact-editor.glade:
	Give a reasonable name to the widget for the _Where label

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	Set the mnemonic widget for the _Where label

	Fixes #61544

2004-07-20  JP Rosevear  <jpr@novell.com>

	* gui/component/autocompletion-config.c
	(autocompletion_config_control_new): don't set the toggle
	selection

2004-07-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (contact_added_cb)
	(save_contact)
	(app_delete_event_cb): Check source book writeability directly instead
	of relying on stored state.
	(e_contact_editor_init): Don't init source_editable.
	(e_contact_editor_dispose): We don't listen for source writeability
	anymore.
	(writable_changed): Source writeability doesn't affect widget
	status; remove code to check for it.
	(e_contact_editor_set_property): Do nothing if book being set is
	the same as currently set book; previously we would end up
	unreffing then reffing it. Don't watch for source writeability, but
	do so for target; fixes a warning. Only call sensitize_all() if
	writeability on target changed.

	* gui/contact-editor/e-contact-editor.h (EContactEditor): We don't
	need the source_editable and source_editable_id vars anymore.

2004-07-14  Chris Toshok  <toshok@ximian.com>

	[ fixes #60873, and possibly other crashes ]
	
	* gui/widgets/e-addressbook-model.c (get_view): don't call
	free_data before potentially making an async call.  Or rather,
	don't call free_data without ensure we'll be emitting
	MODEL_CHANGED shortly after.

2004-07-14  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/.cvsignore: ignore
	Evolution-Addressbook-SelectNames.h.

	* gui/contact-list-editor/e-contact-list-editor.c: include our
	local (in this directory) generated
	Evolution-Addressbook-SelectNames.h

	* gui/contact-list-editor/Makefile.am: add stuff to generate (and
	clean up) the select names header we need to include.

2004-07-13  Rodney Dawes  <dobey@novell.com>

	[ fixes #56657 ]

	* gui/component/addressbook-migrate.c (get_source_by_uri):
	Replace this call with get_source_by_name ()
	(migrate_completion_folders): Fix the non-local folder migration
	to look up sources for the migrated folders based on name, instead
	of using the URI

2004-07-12  Chris Toshok  <toshok@ximian.com>

	[ fixes #61299 ]

	* gui/component/addressbook.c (addressbook_load_default_book):
	don't pass @closure to load_source_cb, since that expects to get a
	LoadSourceData*. also, don't always call e_book_async_open.  only
	do that when the book is non-NULL.

2004-07-12  Chris Toshok  <toshok@ximian.com>

	[ part of fix for bug #56520 ]
	
	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_init): init allows_contact_lists to TRUE.
	(list_deleted_cb): nuke, it's unused.
	(e_contact_list_editor_set_property): check if the book supports
	contact lists, and desensitize things if it doesn't.
	(select_names_ok_cb): this isn't valid C.  declarations must come
	before code.
	(set_editable): the editable state of the dialog depends on
	whether or not the backend supports contact lists.
	(command_state_changed): the ok button needs to depend on
	allows_contact_lists.
	(extract_info): quiet compiler warning.

	* gui/contact-list-editor/e-contact-list-editor.h (struct
	_EContactListEditor): add allow_contact_lists.

2004-07-08  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gui/component/Makefile.am:
	tarball should ship .schemas.in.in files, not generated files.

	* gui/component/apps_evolution_addressbook.schemas.in.in:
	Don't set empty default value on an int, this causes gconf warning.
	(bug #60859)

2004-09-04  Not Zed  <NotZed@Ximian.com>

	* util/e-destination.c: include gnome-i18n.h since camel-object no
	longer does(!).

2004-07-02  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c
	(command_state_changed): Set the source option menu sensitivity here.

2004-06-30  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_dispose): disconnect source/target_editable
	signal ids.
	(e_contact_editor_set_property): disconnect/connect editable
	signals.
	(writable_changed): new function - we need this since writable
	status is generally communicated asynchronously with the async
	interface.

	* gui/contact-editor/e-contact-editor.h (struct _EContactEditor):
	add source/target_editable_id slots.

2004-06-29  Rodney Dawes  <dobey@novell.com>

	* tools/Makefile.am (bin_PROGRAMS): Change to privlibexec_PROGRAMS

	Fixes #60832

2004-06-28  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-component.c
	(impl__get_userCreatableItems): fix shortcuts. #56746

2004-06-25  Hans Petter Jansson  <hpj@ximian.com>

	* gui/meging/eab-contact-compare.[ch] (eab_contact_compare_file_as):
	Implement.
	(eab_contact_compare_name): Don't leak if only one of the strings is
	NULL.
	(use_common_book_cb): Include file_as in query.

2004-06-25  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (fill_in_address_textview): Add
	a newline between street line and rest of extended address.
	(extract_address_textview): Omit the newline trailing the street line.

2004-06-24  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (address_labels): Add table.
	(append_to_address_label): Implement.
	(set_address_label): Implement.
	(extract_address_record): Set the address label fields.

2004-06-24  Hans Petter Jansson  <hpj@ximian.com>

	* util/eab-book-util.c (eab_contact_list_from_string): Don't accept
	input that doesn't have at least a "BEGIN:VCARD" in it.

2004-06-24  Radek Doulik  <rodo@ximian.com>

	* gui/component/select-names/e-select-names-model.c
	(e_select_names_model_get_textification): do not limit the text
	len to 2047 characters

	See bug #60366

2004-06-23  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Set window to be invisible
	initially.

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init): Set
	the type hint to "normal", and show the window after init.

2004-06-23  Not Zed  <NotZed@Ximian.com>

	* gui/widgets/eab-gui-util.c
	(eab_send_contact_list_as_attachment): use memcpy not strcpy to
	copy to memory buffer.  Fixes a UMW.  See #60532.

2004-06-23  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-view.c: Add an x-source-vcard target entry
	that includes the source book URI.
	(destroy_merge_context): Implement.
	(removed_contact_cb): Implement.
	(merged_contact_cb): Implement.
	(selector_tree_drag_data_received): Get the source and target books,
	and see if we need to remove contacts from source after they're added
	to target. Copy contacts sequentially, not in parallel, with a
	callback.

	* gui/widgets/e-addressbook-view.c: Add an x-source-vcard target entry
	that includes the source book URI.
	(table_drag_data_delete): Remove. This is handled by the drag target.
	(table_drag_data_get): Handle more than one contact. Supply source.
	(create_table_view): Don't connect to the delete signal.

	* gui/widgets/e-minicard-view.c: Add an x-source-vcard target entry
	that includes the source book URI.
	(e_minicard_view_drag_data_delete): Remove. This is handled by the
	drag target.
	(e_minicard_view_drag_data_get): Handle x-source-vcard target.
	(e_minicard_view_drag_begin): Don't connect to the delete signal.
	(e_minicard_view_dispose): Don't disconnect from the delete signal.
	(e_minicard_view_init): Don't init delete_id.

	* gui/widgets/e-minicard-view.h: Remove delete_id from struct.

	* util/eab-book-util.[ch] (eab_contact_list_from_string): Skip the
	source URI if present.
	(eab_book_and_contact_list_from_string): Create the source book from
	the provided URI, if present.
	(eab_book_and_contact_list_to_string): Include the book URI in
	generated string.

2004-06-23  Rodney Dawes  <dobey@novell.com>

	* gui/component/select-names/select-names.glade:
	Move the search bar to the top and add a label _Search so that the
	entry has a mnemonic for keyboard accessibility

	Fixes #52914 and #58448

2004-06-22  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Name the labels.

	* gui/contact-editor/e-contact-editor.c (sensitize_email_record)
	(sensitize_phone_record)
	(sensitize_im_record)
	(sensitize_address_textview)
	(sensitize_address_field)
	(simple_field_map)
	(sensitize_simple_field): Make entries uneditable and labels
	insensitive, if field is disabled or read-only.

2004-06-22  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #59622.

	* gui/widgets/e-minicard-view.c (e_minicard_view_init): Clear drag_list
	and canvas_drag_data_delete_id.
	(e_minicard_view_dispose): Clear drag_list. Disconnect drag_data_delete
	signal if connected.
	(e_minicard_view_drag_begin): Set up drag_data_delete signal if
	necessary. Clear old data before drag starts.
	(clear_drag_data): Implement.
	(e_minicard_view_drag_data_delete): Implement.
	(e_minicard_view_drag_data_get): Don't clear drag_list here.

2004-06-22  Chris Toshok  <toshok@ximian.com>

	[ should fix #60495, #58635 ]
	* gui/widgets/eab-popup-control.c (name_only_query_cb): don't free
	the list of contacts - libebook still owns it.
	(query_cb): same.

2004-06-22  Larry Ewing  <lewing@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c (add_email_cb):
	don't set the changed flag unless we actually add something.

2004-06-21  Federico Mena Quintero  <federico@ximian.com>

	* gui/contact-editor/contact-editor.glade: Make the scrolled
	windows around text views use GTK_SHADOW_IN, for consistency with
	the GtkEntries.

2004-06-21  Chris Toshok  <toshok@ximian.com>

	* gui/component/ldap-config.glade: remove the auth-entry-notebook
	in the edit dialog, and rename the auth entry to... auth-entry.

	* gui/component/addressbook-config.c (source_to_dialog_new): nuke
	- it's identical to source_to_dialog.
	(dialog_to_source): we only have one auth entry now.  fill it in
	properly.
	(source_to_dialog): fill in the auth entry properly based on the
	auth type, and remove auth_entry_notebook references.
	(auth_optionmenu_activated): remove auth_entry_notebook
	references.
	(setup_general_tab): same, and use auth-entry instead of
	email-entry/dn-entry.
	(general_tab_check): use auth_principle instead of email/binddn.
	(add_folder_modify): same.
	(addressbook_add_server_dialog): put setup_connecting_tab inside
	the ifdef HAVE_LDAP, and call source_to_dialog instead of
	source_to_dialog_new.
	(addressbook_config_edit_source): always call setup_general_tab.

	* gui/component/addressbook-config.h (AddressbookLDAPScopeType):
	reorder to match order in option menu (we should really remove
	BASE altogether.. it's useless for searching.)

	* gui/component/addressbook-view.c (update_command_state):
	macroize this, annoying seeing the same 4 lines repeated 15 times.

2004-06-21  Jeffrey Stedfast  <fejj@novell.com>

	* conduit/address-conduit.c (local_record_from_uid): Make sure the
	UIDs match. Should fix bug #59725.

2004-06-19 Sivaiah Nallagatla <snallagatla@novell.com>

       * gui/component/addressbook-config.c (dialog_to_source) : 
       set auth-domain property on groupwise sources, so that 
       newly created contact groups can share remembered passwords 

2004-06-18  Jeffrey Stedfast  <fejj@novell.com>

	* conduit/address-conduit.c (ecard_from_remote_record): Always set
	the File_As attribute in case the pilot attrib changed. Fixes bug
	#59723.

2004-06-18  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-model.c
	(e_select_names_model_load_contacts): only go through the process
	of creating/loading the EBook if the model has some data in it.

2004-06-18  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #59376 ]

	* gui/component/addressbook-view.c (fill_popup_menu_callback):
	make this work with absolute uris in sources.  Thanks to Sushma
	Rai for the initial patch to fix this.

2004-06-17  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #58696 ]
	
	* gui/widgets/eab-gui-util.c (eab_transfer_contacts): use
	addressbook_load instead of e_book_async_open, so we do auth stuff
	for the destination book.

2004-06-17  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_new):
	EBookFieldsCallback -> EBookEListCallback.
	(e_contact_editor_set_property): same.

2004-06-17  Chris Toshok  <toshok@ximian.com>

	* util/eab-book-util.c (eab_name_and_email_query):
	EBookContactsCallback -> EBookListCallback.
	(eab_nickname_query): same.

	* printing/e-contact-print.c: e-book-async.h -> e-book.h

	* gui/widgets/eab-vcard-control.c: e-book-async.h -> e-book.h.

	* gui/widgets/e-addressbook-model.h: e-book-async.h -> e-book.h.

	* gui/widgets/eab-popup-control.h: e-book-async.h -> e-book.h.

	* gui/widgets/eab-popup-control.c: remove e-book-async.h include.
	
	* gui/merging/eab-contact-merging.h: e-book-async.h -> e-book.h.

	* gui/contact-editor/e-contact-editor.h: e-book-async.h ->
	e-book.h.

	* gui/contact-editor/e-contact-editor.h: same.

	* gui/contact-list-editor/e-contact-list-editor.h: same.
	
	* gui/contact-list-editor/e-contact-list-model.h: remove include
	of e-book-async.h
	
	* gui/component/select-names/e-select-names-completion.h: include
	e-book.h, not e-book-async.h
	
	* gui/component/select-names/e-select-names-model.c: same.

	* gui/component/select-names/e-select-names.c: same.

	* gui/component/addressbook-migrate.c: include e-book.h, not
	e-book-async.h

	* gui/component/addressbook-view.c: same.

	* gui/component/addressbook.h: same.

	* gui/component/addressbook.c: remove include e-book-async.h.

2004-06-17  Sivaiah Nallagatla <snallagatla@novell.com>

        * gui/widgets/e-addressbook-view.etspec : update
        the model column numbers as new fields like E_CONTACT_EMAIL_4
        are added to EContact
        Fixes #59621

2004-06-16  Not Zed  <NotZed@Ximian.com>

	* gui/component/autocompletion-config.c
	(autocompletion_config_control_new): set the source selector to be
	able to toggle the current selection.  Fix for #55614.

2004-06-16  Sivaiah Nallagatla <snallagatla@novell.com>
	
	* gui/contact-editor/e-contact-editor.c (full_name_clicked) :
	compare old and new full names and if it is different set the new 
	the name using gtk_entry_set_text instead of set_entry_text
	as this function blocks siganls hence preventing ok button being 
	enabled

2004-06-14  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (extract_im_record): set
	things to HOME, since we don't offer TYPE=OTHER IM attributes
	through the EContact api, and one choice is just as good as
	another if we aren't displaying it anyway.

	* gui/widgets/eab-contact-display.c (render_contact): move the IM
	stuff out of home/work, since we don't allow people to edit
	location for them anymore.  Also, change the IM accounts we look
	up to "HOME", since that's what we hardcode them to in the contact
	editor.

2004-06-14  Not Zed  <NotZed@Ximian.com>

	* importers/evolution-ldif-importer.c (parseLine): handle LIST
	field types.
	(ldif_fields[]): Add a list type. E_CONTACT_EMAIL is a list field
	type.  See #58855.

2004-06-08  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-model.c (get_view_idle): new
	function. do the get_view in an idle handler.
	(eab_model_set_property): don't call get_view directly from any
	setter block.  instead just add the idle handler (if it's not
	already added.)  This keeps us from duplicating queries when both
	"book" and "query" are set using the same g_object_set.

	* gui/widgets/e-addressbook-model.h: add book_view_idle_id.
	
2004-06-07  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #58921.

	* gui/contact-editor/e-contact-editor.c (extract_address_record):
	Also check if the po box field is non-empty.

2004-06-07  Jon Oberheide  <jon@focalhost.com>

	* gui/contact-list-editor/e-contact-list-model.c: disable editing
	of cells in the contact table.

2004-06-07  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #57795.

	* gui/component/addressbook-migrate.c (migrate_contacts): Change
	the "POSTAL" address in 1.4 to "OTHER" in 1.5.

2004-06-07  Hans Petter Jansson  <hpj@ximian.com>

	* gui/Makefile.am (SUBDIRS): Fix order of dependencies.

2004-06-07  H P Nadig  <hpnadig@pacific.net.in>

	* gui/contact-list-editor/e-contact-list-editor.h: Added few
	headers needed for select names dialog.

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_init): Added select button handler.
	(select_cb): The callback function for Select Button.
	(setup_corba): To setup corba for select names dialog.	
	(select_names_ok_cb): Handle Select names dialog entries.
	(add_to_model): Adds cards to the model. 

	* gui/contact-list-editor/contact-list-editor.glade: New 'Select'
	Button. Tooltips added for buttons in button Box.

2004-06-07  Dan Winship  <danw@novell.com>

	* gui/component/addressbook-view.c: s/stock_save_as/stock_save-as/

2004-06-04  Larry Ewing  <lewing@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c: remove bonobo
	menus and cruft add ok/cancel buttons.

	* gui/contact-list-editor/e-contact-list-editor.h: add buttons for
	ok/cancel.

	* gui/contact-list-editor/contact-list-editor.glade: add fields for
	ok/cancel reparent to GtkDialog, other minor adjustments.

2004-06-04  JP Rosevear  <jpr@novell.com>

	Fixes #55945
	
	* importers/*.server.in.in: ditto

	* importers/evolution-ldif-importer.c: fix OAFIIDs

	* importers/evolution-vcard-importer.c: ditto

2004-06-04  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-model.c
	(name_and_email_simple_query_cb): only resolve destinations
	against persons, not contact lists.

2004-06-03  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #53643 and #26903.

	* gui/search/addresstypes.xml: category -> category_list

	* gui/search/e-addressbook-search-dialog.c (get_widget): Get
	filter rule from parent view.
	(eab_search_dialog_set_property): Implement.
	(eab_search_dialog_get_property): Impleent.
	(eab_search_dialog_class_init): Set up property methods.
	(get_query): Get filter rule from parent view.
	(eab_search_dialog_init): Don't get the filter widget here,
	wait until parent view property is set.
	(eab_search_dialog_new): Don't poke the parent view in, set it
	as a property instead.
	(eab_search_dialog_dispose): No longer needs to unref rule.

	* gui/search/e-addressbook-search-dialog.c: EABSearchDialog no
	longer needs to keep rule internally.

	* gui/widgets/Makefile.am: Set SEARCH_RULE_DIR define.

	* gui/widgets/e-addressbook-view.c (eab_view_new): Set up filter
	rule and context.
	(eab_view_peek_search_context): Implement.
	(eab_view_peek_search_rule): Implement.

	* gui/widgets/e-addressbook-view.h: Keep track of filter rule
	and context. Add protos for added API.

2004-06-03  Jeffrey Stedfast  <fejj@novell.com>

	* conduit/address-conduit.c (set_status_cleared): Protect against
	a NULL uid. Fixes bug #57619.
	(ecard_from_remote_record): Set the full_name of the contact so
	that we can use that as the FILE_AS rather than the company name,
	which sucked. Fixes a bug I may or may not have reported months
	ago. Ahah, fixes bug #57620.

2004-06-02  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-migrate.c
	(migrate_contact_folder_to_source): Add missing negation that caused
	a crash.

2004-06-02  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (addressbook_migrate):
	remove hidden field migration, and add in a phase to clear the
	absolute_uri properties on ESources.

2004-06-02  Rodney Dawes  <dobey@novell.com>

	* gui/component/addressbook-config.c (focus_help, add_focus_handler):
	Don't need these two functions any more
	(source_to_dialog, auth_optionmenu_func):
	Don't try to change the notebook page or set the widget sensitive,
	for a notebook that doesn't exist any more
	(reparent_to_vbox): Don't need this function any more, as the
	widgets are all contained in the same dialog in the glade now
	(setup_general_tab, setup_connecting_tab, setup_searching_tab):
	We don't need to do the focus-based "tooltip" stuff any more
	We just use tooltips on the widgets now
	(ssl_optionmenu_selected, add_ssl_activate_cb):
	We don't need the ssl_optionmenu_selected callback any more, as the
	tooltips are just set on the necessary widgets now
	(query_for_supported_bases): Set the border widths on the dialog's
	vbox and action_area to be compliant with the HIG
	(addressbook_add_server_dialog): Unref the GConfClient object
	(addressbook_config_edit_source): Create the source_list so that
	we can actually save the changes that we make here
	Create the GladeXML with only the widget subtree that we need to
	use here, to avoid popping up other visible dialogs
	Set the border widths on the dialog's vbox and action_area to be
	compliant with the HIG
	We don't need to reparent widgets to vboxes any more, as the widgets
	are now part of the dialog's widget tree
	If we are without LDAP or not in LDAP mode, then hide the notebook
	borders, and change the border size of its child to appear as though
	we are a normal non-LDAP dialog
	We don't need to set the type hint on the window as we are no a
	real GtkDialog

	* gui/component/ldap-config.glade: Update the properties dialogs to
	be compliant with the HIG layout
	Get rid of some of the extra windows and put their children in the
	appropriate places in the properties dialog
	Make the properties dialog be a real GtkDialog

	Fixes #41141

2004-06-01  Larry Ewing  <lewing@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c: Add in a source
	option menu to the dialog and make is sensitive only on new lists.

	* gui/contact-list-editor/e-contact-list-editor.h: add load_book
	fields for async book loading.
	
	* gui/contact-list-editor/contact-list-editor.glade: add the new
	source selector in a table reorder some of the other widgets.
	
2004-05-28  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-contact-display.c (render_contact): render all
	email addresses, not just the first 3.
	(eab_contact_display_class_init): use a C comment, not C++.

2004-05-28  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_set_property_fn): call e_select_names_model_load_contacts
	after setting text/addresses/destinations.

	* gui/component/select-names/e-select-names-model.c
	(name_and_email_simple_query_cb): new function, ripped from the
	1.4 e-destination stuff.
	(book_opened): new function, fire off eab_name_and_email_query for
	each item in our model (that doesn't represent a contact already).
	(e_select_names_model_load_contacts): new function, open the
	default addressbook (yeah yeah, i know we should open something
	different/more.)
	(e_select_names_cancel_contacts_load): new (unimplemented, and how
	do we implement it?) function.

	* gui/component/select-names/e-select-names-model.h: add
	prototypes for e_select_names_model_load_contacts and
	e_select_names_cancel_contacts_load.

	* gui/component/select-names/e-select-names.c (set_book): call
	get_query_string and set the book and query in a single call to
	g_object_set, just because we can/should.
	(update_query): reimplement in terms of get_query_string.
	(get_query_string): new function, build up the query string.

	* gui/component/select-names/Makefile.am (INCLUDES): add
	$(top_srcdir)/addressbook/util to INCLUDES.

2004-05-28  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Add back office, spouse,
	web log fields. Allow for 8 phone numbers, of which 4 can be hidden.

	* gui/contact-editor/e-contact-editor.c (phones_default): Add more
	defaults.
	(im_service_default): Add more defaults.
	(expand_phone): Implement.
	(fill_in_phone_record): Expand if we have any records past 4.
	(init_im_record_location)
	(fill_in_im_record)
	(extract_im_record)
	(sensitize_im_record): Remove location.
	(simple_field_map): Add spouse, office, web log.
	(expand_phone_toggle): Implement.
	(e_contact_editor_init): Hook up expander button.

2004-05-28  Christophe Fergeau  <teuf@gnome.org>

	* gui/component/addressbook-config.c: added missing #ifdef HAVE_LDAP

2004-05-26  Radek Doulik  <rodo@ximian.com>

	* gui/widgets/e-addressbook-view.c (e_contact_print_button): call
	gnome_print_beginpage
	(e_contact_print_button): call gnome_print_beginpage

	Fixes #58977

2004-05-25  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_activate_obj): reenable this function,
	in a slightly broken manner.  we don't have e_contact_get_book
	anymore (well, we never had it really... but we lost
	e_card_get_book).  load the system addressbook and supply that to
	the editors.  shouldn't be a problem, since it's a read-only
	editor anyway.

2004-05-25  Chris Toshok  <toshok@ximian.com>

	[ fixes #58654 ]
	
	* gui/component/select-names/e-select-names.c (update_query):
	build up the query using e_book_query calls so we're insulated
	from field name changes.  also, conjoin if we have more than 1
	query element, not more than 2 (i *hope* this was an off by 1
	error...)

2004-05-25 Sivaiah Nallagatla   <snallagatla@novell.com>

        * gui/component/addressbook.c (load_source_auth_cb )
        (load_source_auth_cb ) : read the "auth-domain" property
        from e-source and use it as the component name for e_password_*
        calls if it exists

2004-05-25  Jeffrey Stedfast  <fejj@novell.com>

	* Makefile.am: Generate the addressbook-errors.xml.h file and
	install the xml file and all that jazz.

	* addressbook-errors.xml: New error xml file.

	* gui/widgets/e-addressbook-view.c (backend_died): Use
	e_error_run().

	* gui/widgets/eab-gui-util.c (eab_error_dialog): Use
	e_error_run().
	(eab_load_error_dialog): Same.
	(eab_search_result_dialog): Same.
	(eab_prompt_save_dialog): Same.
	(save_it): Same.

	* gui/contact-editor/e-contact-editor.c (categories_clicked): Use
	e_error_run().
	(e_contact_editor_is_valid): Same.
	(save_contact): Same.

	* gui/component/addressbook-view.c (delete_addressbook_cb): Use
	e_error_run().

	* gui/component/addressbook-config.c (addressbook_ldap_init): Use
	e_error_run().
	(addressbook_ldap_auth): Same.
	(addressbook_root_dse_query): Same.
	(do_ldap_root_dse_query): Same.
	(do_schema_query): Same.

2004-05-24  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (SUBDIRS): add tools back to the build.

2004-05-24  Chris Toshok  <toshok@ximian.com>

	* tools/Makefile.am: fix this for current build foo.

	* tools/evolution-addressbook-export-list-folders.c,
	* tools/evolution-addressbook-export-list-cards.c, 
	* tools/evolution-addressbook-export.c:  revive this.

2004-05-24  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #32194 ]
	
	* importers/evolution-vcard-importer.c (process_item_fn): make
	sure all ADR attributes have HOME/WORK/OTHER.

2004-05-24  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #40013 ]
	
	* importers/evolution-vcard-importer.c (process_item_fn): for TEL
	attribute that don't specify a location (HOME/WORK/OTHER), default
	to "OTHER".  For TEL attributes that *only* specify a location,
	default to "VOICE".

2004-05-21  H P Nadig  <hpnadig@pacific.net.in>

	Fixes #58516.

	* gui/contact-editor/contact-editor.glade: 'Job Title' is now called
	'Title'.

2004-05-20  Hans Petter Jansson  <hpj@ximian.com>

	* importers/evolution-ldif-importer.c (add_to_notes): Add helper
	func.
	(process_item_fn): Add undisplayed fields to notes.

	* importers/evolution-vcard-importer.c (add_to_notes): Add helper
	func.
	(process_item_fn): Add undisplayed fields to notes.

2004-05-20  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-migrate.c (add_to_notes): Implement.
	(migrate_contacts_hidden_fields): Implement.
	(migrate_contacts): Copy fields that are now hidden in the UI,
	to the notes field.

2004-05-20  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c (impl_requestCreateItem):
	use the new ebook api here.  missed this one in my earlier commit.

2004-05-20  Radek Doulik  <rodo@ximian.com>

	* printing/e-contact-print.c (complete_sequence): finish pages
	printing by gnome_print_job_close call before showing preview or
	calling gnome_print_job_print

	See #54482

	* gui/widgets/e-addressbook-view.c (eab_view_print_preview): added
	call to begin page, ref printable and sink it to avoid finalizing of
	floating object
	(eab_view_print): ref and sink printable to avoid finalizing of
	floating object

	Fixes #46658

2004-05-19  Chris Toshok  <toshok@ximian.com>

	* importers/evolution-vcard-importer.c (load_file_fn): use the new
	e_book_new and e_book_open apis.

	* importers/evolution-ldif-importer.c (load_file_fn): use the new
	e_book_new and e_book_open apis.

	* gui/widgets/eab-gui-util.c (eab_transfer_contacts): use the new
	e_book_new and e_book_async_open apis.

	* gui/contact-editor/e-contact-editor.c (cancel_load):
	addressbook_load_source_cancel -> addressbook_load_cancel.
	(source_selected): use the new e_book_new and addressbook_load.

	* gui/component/select-names/e-select-names.c
	(addressbook_model_set_source): use the new e_book_new and
	addressbook_load.

	* gui/component/select-names/e-select-names-manager.c
	(update_completion_books): use the new e_book_new and
	addressbook_load.

	* gui/component/addressbook.h: rename
	addressbook_load_source{_cancel} to addressbook_load{_cancel}, and
	remove the source arg.

	* gui/component/addressbook.c (addressbook_load): rename since we
	aren't passing a source anymore.
	(addressbook_load_cancel): same.
	(addressbook_load_default_book): use the new e_book_new_* apis.

	* gui/component/addressbook-view.c (delete_addressbook_cb): just
	use e_book_new, not e_book_load_source.
	(selector_tree_drag_data_received): switch to new
	e_book_new_*/e_book_open apis.
	(activate_source): same, and addressbook_load_source ->
	addressbook_load.

	* gui/component/addressbook-migrate.c
	(migrate_contact_folder_to_source): switch to new
	e_book_new_*/e_book_open apis.
	(migrate_contact_lists_for_local_folders): same.
	(migrate_company_phone_for_local_folders): same.

	* conduit/address-conduit.c (pre_sync): switch to new
	e_book_new_*/e_book_open apis.

2004-05-19  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (sensitize_email): Check
	if individual email fields are supported.

2004-05-19  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (extract_simple_field):
	Remove debug output.
	(real_save_contact): Separate out actual save logic from
	save_contact ().
	(save_contact): If the user wants to move the contact from one
	address book to another, but the source is read-only, as to
	save a copy instead.
	(e_contact_editor_is_valid): The dialog should be an error dialog.
	(app_delete_event_cb): If the target book is read-only, prompt
	to discard. If the user wants to move but cannot, prompt to save
	a copy. Also validate.

	* gui/contact-editor/eab-editor.c (eab_editor_prompt_to_save_changes):
	Remove comment about invalid data dialog, it's not handled here
	anymore.

2004-05-19  Hans Petter Jansson  <hpj@ximian.com>

	Fixes a number of bugs, adds some unimplemented functionality, and
	makes code more structured.

	* gui/contact-editor/e-contact-editor.h: Eliminate company,
	fullname_editable, address_editable fields from EContactEditor.

	* gui/contact-editor/e-contact-editor.c
	(enable_writable_fields): Removed.
	(set_editable): Removed.
	(fill_in_info): Removed.
	(extract_field): Removed.
	(extract_info): Removed.
	(set_fields): Removed.
	(command_state_changed): Removed.
	(widget_changed): Removed.
	(enable_widget): Removed.
	(nonempty): Invert and rename to STRING_IS_EMPTY().
	(STRING_MAKE_NON_NULL): Impl.
	(is_field_supported): Implement.
	(file_as_get_style): Eliminate editor->company.
	(file_as_set_style): Ditto. Also don't set empty fields in combo.
	(update_file_as_combo): Implement.
	(sensitize_ok): Implement.
	(object_changed): Implement.
	(image_chooser_changed): Don't call widget_changed() from here.
	(set_option_menu_history): Implement.
	(init_email_record_location): Hook up signals after init.
	(init_phone_record_type): Ditto.
	(init_im_record_location): Ditto.
	(init_im_record_service): Ditto.
	(init_address_textview): widget_changed -> object_changed
	(init_address_field): Ditto.
	(fill_in_email_record): Use set_option_menu_history(), blocking
	signals.
	(fill_in_im_record): Ditto.
	(fill_in_address_field): Use set_entry_text(), blocking signals.
	(alloc_ui_slot): nonempty -> STRING_IS_EMPTY
	(extract_email): Ditto.
	(fill_in_phone_record): Ditto.
	(extract_im): Ditto.
	(extract_address_record): Ditto.
	(sensitize_email_record): Implement.
	(sensitize_email): Implement.
	(sensitize_phone_types): Implement.
	(sensitize_phone_record): Impleent.
	(sensitize_phone): Implement.
	(sensitize_im_record): Implement.
	(sensitize_im): Implement.
	(sensitize_address_textview): Implement.
	(sensitize_address_field): Implement.
	(sensitize_address_record): Implement.
	(sensitize_address): Implement.
	(simple_field_map): Add all simple fields/widgets to a table with
	attributes saying how to handle sensitivity and data transfer.
	(init_simple_field): Implement.
	(fill_in_simple_field): Implement.
	(extract_simple_field): Implement.
	(sensitize_simple_field): Implement.
	(init_simple): Implement.
	(fill_in_simple): Implement.
	(extract_simple): Implement.
	(sensitize_simple): Implement.
	(fill_in_all): Implement.
	(extract_all): Implement.
	(sensitize_all): Implement.
	(set_entry_changed_signal_field): Removed.
	(set_urlentry_changed_signal_field): Removed.
	(set_entry_activate_signal_field): Removed.
	(new_target_cb): Don't signal changes.
	(set_entry_activate_signals): Removed.
	(set_entry_changed_signals): Removed.
	(full_name_clicked): Honor field_supported and target_editable.
	Use set_entry_text() and block changed signals.
	(image_selected_cb): widget_changed -> object_changed. Don't clear
	pointer to file_selector.
	(image_cleared_cb): Ditto.
	(contact_moved_cb): command_state_chaned() -> sensitize_all().
	(contact_added_cb): Ditto.
	(supported_fields_cb): Ditto.
	(contact_modified_cb): Ditto.
	(save_contact): extract_info() -> extract_all().
	(e_contact_editor_is_valid): Be more verbose. Make sure File As is
	non-empty.
	(e_contact_editor_init): Call init_all() in place of lots of setup
	calls. Remove reference to editor->company.
	(e_contact_editor_dispose): Remove reference to editor->company.
	(command_state_changed): Removed.
	(e_contact_editor_set_property): Axe unneeded complexity, now that
	we have sensitize_all() and sensitize_ok().
	(set_fields): Removed.
	(fill_in_field): Removed.
	(field_mapping): Removed.
	(disable_widget_foreach): Removed.
	(widget_field_mapping): Removed.
	(num_widget_field_mappings): Removed.
	(enable_widget): Removed.	

2004-05-05  William Jon McCann  <mccann@jhu.edu>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	Add menu_label and menu_accelerator.

2004-05-18  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c
	(file_send_as_cb): pass 0 to eab_send_contact.
	(file_send_to_cb): same.

2004-05-18  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-gui-util.c
	(eab_send_to_contact_and_email_num_list): split out the
	DISPOSITION_AS_TO stuff here, and make it take a GList of
	ContactAndEmailNum, so we can set it for the single contact case.
	(eab_send_contact_list_as_attachment): split out the
	DISPOSITION_AS_ATTACHMENT stuff here.
	(eab_send_contact_list): call one or the other of the above,
	munging the list if disposition is set to TO.
	(eab_send_contact): call eab_send_to_contact_and_email_num_list
	directly with the supplied email_num, instead of calling
	eab_send_contact_list.

	* gui/widgets/eab-gui-util.h (eab_send_contact) add "email_num"
	arg, so we can specify the email address we want to be selected.

	* gui/widgets/eab-contact-display.c (on_link_clicked): add
	(ifdefed out at the moment) code to handle mailto: urls
	internally, instead of farming them out to gnome_url_show.
	(render_contact): same.

2004-05-18  Jerome Lacoste  <jerome@coffeebreaks.org>

	Fixes #57940

	* gui/widgets/e-addressbook-view.c: "Save as VCard" ->
	"Save as VCard..."

2004-05-17  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	Hook up image button.
	(e_contact_editor_dispose): Dispose of file selector if it's around.
	(image_clicked): Implement.
	(file_selector_deleted): Implement.
	(image_cleared_cb): Implement.
	(image_selected_cb): Implement.

	* gui/contact-editor/contact-editor.glade: Make the contact image
	be a button that lets you change or discard the image.

2004-05-17  Jeffrey Stedfast  <fejj@novell.com>

	* gui/contact-list-editor/e-contact-list-editor.c: Change E_PIXMAP
	size args over to E_ICON_SIZE_* values.

	* gui/component/addressbook-view.c: Change E_PIXMAP size args over
	to E_ICON_SIZE_* values.

	* gui/widgets/e-minicard.c (e_minicard_init): Use an E_ICON_SIZE
	enum value for the icon_size argument to get_icon.

	* gui/widgets/eab-gui-util.c (eab_create_image_chooser_widget):
	Use E_ICON_SIZE_DIALOG as the icon_size argument to
	get_icon_filename.

	* gui/widgets/eab-contact-display.c (on_url_requested): Use an
	E_ICON_SIZE enum as the icon_size argument to get_icon_filename.

	* gui/contact-editor/e-contact-editor-im.c
	(setup_service_optmenu): Use E_ICON_SIZE_MENU here.

	* gui/component/select-names/e-select-names-popup.c
	(populate_popup_contact): Use E_ICON_SIZE_MENU here instead of 16.

	* gui/component/addressbook-view.c (set_status_message): Use the
	E_ICON_SIZE corresponding to 16x16 pixels.

2004-05-12  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Add PO box entries.

	* gui/contact-editor/e-contact-editor.c (init_address_record): Hook
	up PO box entry.
	(fill_in_address_record): Ditto.
	(extract_address_record): Ditto.

2004-04-18  S N Tejasvi  <tejasvi_sn@gawab.com>

	Fixes bug #55208.

	* gui/contact-editor/e-contact-editor.c (save_contact):
	Do e_contact_editor_is_valid check to check the birth date and
	anniversary date format when user wants to save and warn him.

2004-05-11  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-component.c (impl_upgradeFromVersion):
	set exception properly on failure.

	* gui/component/addressbook-migrate.c (addressbook_migrate): take
	a GError error return.  Doesn't do anything with it ... but ...

2004-05-11  Dan Winship  <danw@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: Remove
	the addressbook control

	* gui/component/component-factory.c (factory): Remove support for
	the addressbook control

	* gui/component/addressbook-view.c: Remove all the property-bag
	stuff.

2004-05-11  Sivaiah Nallagatla  <snallagatla@novell.com>
                                                                                                                             
       * gui/component/addressbook-config.c (dialog_to_source) : see if the selected
        group is groupwise one and setup the relative uri and other properties into
        e-source

2004-05-10  Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

	Fixes bug #44196 addressbook table view uses ASCII sort

	* addressbook/gui/widgets/e-addressbook-view.c (compare_subitems):
	Uses g_utf8_collate for right UTF8 sort. Made faster using 
	g_utf8_collate_key.

	Also fixes a bug in 

	* gui/component/select-names/e-select-names.c (select_entry_changed):
	Changed g_utf8_collate for strcmp as we are already comparing keys
	made from g_utf8_collate_key.

2004-05-08  Enver ALTIN  <enver.altin@frontsite.com.tr>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	  Fix parts of #53466.

2004-05-05  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (init_address_textview):
	Implement.
	(init_address_record): Init textview.
	(fill_in_address_textview): Implement.
	(fill_in_address_record): Fill in textview.
	(extract_address_textview): Implement.
	(extract_address_record): Extract from textview.

	* gui/contact-editor/contact-editor.glade: Combine address-[12] fields
	into one multiline text view, as per Anna's new design.

2004-05-04  Larry Ewing  <lewing@ximian.com>

	* gui/component/addressbook-config.c (query_for_supported_bases):
	fixup the dialog initialization.

2004-05-04  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (phones_default): Use defaults
	from Anna.
	(im_service_default): Ditto.
	(email_default): Ditto.
	(im_location): Renamed to common_location, as it's used by both IM
	and e-mail.
	(init_email_record_location): im_location -> common_location
	(init_im_record_location): Ditto.
	(email_index_to_location): Ditto.
	(im_index_to_location): Ditto.
	(get_email_location): Ditto.
	(get_im_location): Ditto.
	(fill_in_email_record): Consult defaults.
	(fill_in_im_record): Ditto.

2004-05-04  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (set_entry_activate_signals):
	Remove blog, add home page.
	(set_entry_changed_signals): Ditto.
	(setup_tab_order): Ditto.
	(field_mapping): Ditto.
	(widget_field_mappings): Ditto.

	* gui/contact-editor/contact-editor.glade: Replace blog with home
	page.

2004-05-03  Hans Petter Jansson  <hpj@ximian.com>

	* gui/widgets/e-minicard.c (e_minicard_set_property): Do ref, unref
	in right order, so the same contact can be set twice without ill
	effects.
	(e_minicard_finalize): NULL pointers after unreffing their objects.

2004-05-03  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (phones_default): Establish
	defaults for the phone number option menus.
	(fill_in_phone_record): Fall back to defaults.

2004-05-03  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (show_help_cb): Implement.
	(e_contact_editor_init): Hook up the help button.

	* gui/contact-editor/contact-editor.glade: Give the help button a
	sensible name.

2004-05-03  Larry Ewing  <lewing@ximian.com>

	* gui/component/ldap-config.glade: bump the maximum download limit
	to 1000.

	* gui/component/addressbook-config.c (add_folder_modify): set the
	email entry sesitive only when anonymous isn't selected.  Make the
	details tab insensitive if the method is local.

	* gui/component/ldap-config.glade: remove unused colorpicker.

2004-05-03  JP Rosevear  <jpr@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: set the
	config item type

2004-05-02  Sivaiah Nallagatla  <snallagatla@novell.com>
                                                                                                                             
        * gui/component/addressbook-config.c (dialog_to_source) : see if the selected
         group is groupwise one and setup the relative uri and other properties into
         e-source

2004-05-01  Larry Ewing  <lewing@ximian.com>

	* gui/component/addressbook-config.c: sensitize the details dialog
	where appropriate.  Don't try to read from widgets that don't
	exist.

2004-04-30  Chris Toshok  <toshok@ximian.com>

	* util/e-destination.c (e_destination_set_contact): don't use
	"email" twice for a variable name.. even though they don't really
	conflict, it's ugly and confusing.

2004-04-30  Enver ALTIN  <enver.altin@frontsite.com.tr>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: Fixed a
	type-o.

2004-04-29  Hans Petter Jansson  <hpj@ximian.com>

	* printing/e-contact-print.c: Don't dereference the file_as pointer
	if it turns out to be NULL.

2004-04-28  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/component/addressbook-migrate.c: We need a migration dialog
	if the revision <= 10. Fixes bug #57770.

2004-04-27  Larry Ewing  <lewing@ximian.com>

	* gui/component/addressbook-config.c: remove debug spew.

2004-04-27  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/component/addressbook-migrate.c (addressbook_migrate):
	Migrate pilot data.
	(migrate_pilot_data): Oops. Apparently the addressbook didn't
	change the format of the changelog file from db3 to xml, so fix to
	simply copy the file over.

2004-04-27  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/e-contact-editor-fullname.c:
	(e_contact_editor_fullname_init):
	* gui/contact-editor/fullname.glade:
	* gui/search/e-addressbook-search-dialog.c (eab_search_dialog_init):
	Update dialog vbox and action area border widths to be HIG compliant
	Update main child widget border widths to be HIG compliant

2004-04-27  Larry Ewing  <lewing@ximian.com>

	* gui/component/addressbook-config.c (source_to_dialog_new): fix
	warnings, remove unused code.

	* gui/component/addressbook-config.c: start integrate the new
	dialog.

	* gui/component/ldap-config.glade: add the new dialog.

2004-04-26  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/contact-editor.glade:
	* gui/contact-editor/e-contact-editor.c (e_contact_editor_init):
	Set spacing around notebook widget and the dialog's action area and
	vbox widgets to be compliant with the HIG dialog specs

2004-04-25  Chris Toshok  <toshok@ximian.com>

	* importers/evolution-ldif-importer.c (ldif_fields): add "mobile"
	mapping to E_CONTACT_PHONE_MOBILE, which is what thunderbird uses
	(and really what we should have always been using.)

2004-04-23  Jeffrey Stedfast  <fejj@ximian.com>

	* conduit/address-conduit.c (get_next_mail): The firt EMAIL item
	is EMAIL_1, not EMAIL (assuming we want simple strings).
	(local_record_from_ecard): Use e_contact_get() for getting the
	EContactAddress. Loop from FIRST_ADDRESS_ID up to and *including*
	LAST_ADDRESS_ID.
	(ecard_from_remote_record): When searching for an address field,
	loop from FIRST_ADDRESS_ID up to and *including* LAST_ADDRESS_ID.
	(pre_sync): Use e_book_query_any_field_contains() rather than
	e_book_query_from_string ("#t") which doesn't work anyway.

2004-04-20  Jeffrey Stedfast  <fejj@ximian.com>

	* conduit/address-conduit.c (map_name): Updated to use
	~/.evolution as the evolution directory rather than ~/evolution.

2004-04-23  Dan Winship  <danw@ximian.com>

	* gui/component/component-factory.c (factory): Fix the addressbook
	control to not crash. (Temporary fix.)

2004-04-23  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-gui-util.c (added_cb): this signal takes an
	EContact* too.
	(modified_cb): same.
	(deleted_cb): same.
	(eab_error_dialog): pad the table of status messages out with the
	new status codes, and don't specify gui text for messages that
	aren't generated by the backends.  This fixes the "U" error
	messages people were seeing.

2004-04-22  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Correct the dialog's title.

	* gui/contact-editor/e-contact-editor.c (init_email_record_location):
	Connect to entry's activate signal.
	(init_phone_record_type): Ditto.
	(init_im_record_location): Ditto.
	(init_address_field): Ditto.
	(set_entry_changed_signal_field): Remove unnecessary checks.
	(set_urlentry_changed_signal_field): Ditto.
	(set_entry_changed_signals): Ditto.
	(set_entry_activate_signal_field): Implement.
	(set_urlentry_activate_signal_field): Implement.
	(set_entry_activate_signals): Implement.
	(e_contact_editor_init): Call set_entry_activate_signals ().

2004-04-22  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_class_init):
	Override the save_contact function.
	(e_contact_editor_save_contact): Implement.
	(e_contact_editor_init): Remove some unnecessary checks - if
	something's the matter with the UI files, that needs to be warned
	about and fixed, not silently worked around.

2004-04-22  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Make the window be a
	GtkDialog.

2004-04-21  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (free_attr_list): Implement.
	(extract_email): Preserve offscreen addresses.
	(extract_phone): Preserve offscreen phone numbers.
	(extract_im): Preserve offscreen IM accounts.

2004-04-21  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c: Add defines for the slot
	counts for email, phone, im, address.
	(phones): Add E_CONTACT_PHONE_COMPANY back in, now that we can
	differentiate it.
	(init_email): Use EMAIL_SLOTS and a loop.
	(init_im): Ditto for IM_SLOTS.
	(init_phone): Ditto for PHONE_SLOTS.
	(fill_in_address)
	(extract_address)
	(init_address): Ditto for ADDRESS_SLOTS.
	(get_ui_slot_param): Implement.
	(get_ui_slot): Implement.
	(set_ui_slot): Implement.
	(alloc_ui_slot): Implement.
	(fill_in_email): Add code to preserve spatial organization.
	(extract_email): Ditto.
	(fill_in_phone): Ditto.
	(extract_phone): Ditto.
	(fill_in_im): Ditto.
	(exctract_im): Ditto.

2004-04-21  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (setup_progress_dialog):
	store off the label as well as the folder name label, so we can
	reuse the dialog and update the label.  Also, no longer take the
	string to display here.
	(dialog_set_label): new function.
	(migrate_contact_lists_for_local_folders): call
	dialog_set_folder_name here so we can see the folder being
	migrated.
	(migrate_company_phone_for_local_folders): new function for
	updating the way we store company phone numbers.
	(addressbook_migrate): split out the logic for setting up/tearing
	down the dialog from the individual migration points so we can
	reuse the same dialog and not have get destroyed/recreated for
	each stage.  Also add a new migration point ( <= 1.5.8) for
	migrating the company phone numbers.

2004-04-21  Sivaiah Nallagatla   <snallagatla@novell.com>

	* gui/component/addressbook.c (remove_parameters_from_uri) : added
	a new function to striff off any parameters present after ';' in
	the uri
	(load_source_auth_cb) (addressbook_authenticate) : call above
	function to remove anything after ';' before passing uri to
	e-password calls
	
2004-04-21  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.h (EContactEditor): Remove
	unused fields.

	* gui/contact-editor/e-contact-editor.c (emails): Remove.
	(e_contact_editor_init): Don't init unused fields.
	(e_contact_editor_dispose): Don't free/clear unused fields.
	(enable_writable_fields): Don't use email_choice anymore. Enable
	checkbutton-htmlmail only once.

2004-04-21  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Make the phone type
	selectors be option menus.

	* gui/contact-editor/e-contact-editor.c (phones): Store the phone
	param mappings locally.
	(set_entry_changed_signals): Don't special-case phone entries here.
	(enable_writable_fields): Don't mess with the phone widgets anymore.
	(set_fields): Use fill_in_phone ().
	(extract_info): Use extract_phone ().
	(phone_index_to_type): Implement.
	(get_phone_type): Implement.
	(get_attributes_named): Implement.
	(set_attributes_named): Implement.
	(fill_in_phone_record): Implement.
	(extract_phone_record): Implement.
	(fill_in_phone): Implement.
	(extract_phone): Implement.
	(init_phone_record_type): Implement.
	(init_phone): Implement.
	(connect_arrow_button_signal): Remove.
	(connect_arrow_button_signals): Remove.
	(phone_entry_changed): Remove.
	(set_entry_changed_signal_phone): Remove.
	(_arrow_pressed): Remove.
	(_phone_arrow_pressed): Remove.
	(e_contact_editor_build_ui_info): Remove.
	(e_contact_editor_build_phone_ui): Remove.
	(set_phone_field): Remove.

2004-04-21  Not Zed  <NotZed@Ximian.com>

	* gui/component/addressbook-view.c (addressbook_view_init): fix
	for e_user_creatable_items handle api changes.

2004-04-20  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.etspec: use cursor-mode="line" to
	get rid of the annoying cell cursor.

	* gui/widgets/eab-gui-util.c (eab_create_image_chooser_widget):
	create the image chooser even if we aren't given an initial
	filename.

	* gui/contact-editor/e-contact-editor.c (new_target_cb):
	addressbook_show_load_error_dialog -> eab_load_error_dialog.

2004-04-19  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/contact-editor.glade: Set the default image for
	the contact photo to be the stock_person image in the icon theme

2004-04-19  Michael Terry  <mike@mterry.name>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	* gui/component/addressbook-component.c:
	* gui/component/addressbook-view.c:
	* gui/component/select-names/e-select-names-popup.c:
	* gui/contact-editor/e-contact-editor-address.c:
	* gui/contact-editor/e-contact-editor-fullname.c:
	* gui/contact-editor/e-contact-editor-im.c:
	* gui/contact-list-editor/contact-list-editor.glade:
	* gui/contact-list-editor/e-contact-list-editor.c:
	* gui/merging/eab-contact-commit-duplicate-detected.glade:
	* gui/merging/eab-contact-duplicate-detected.glade:
	* gui/widgets/e-minicard.c:
	* gui/widgets/eab-contact-display.c:
	* gui/widgets/eab-gui-util.c: Update the addressbook to use the icon
	theme via the EIconFactory object in e-util

2004-04-18  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (nonempty): new macro.
	(extract_email): only create/add the attribute if the email
	address is nonempty.
	(extract_im): same, but for im accounts.
	(extract_address_record): same, but for addresses.

2004-04-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Add "wants HTML" checkbox.

	* gui/contact-editor/contact-editor.c (email_location_to_index)
	(email_entry_changed)
	(set_entry_changed_signal_email)
	(file_save_cb)
	(file_close_cb)
	(file_save_as_cb)
	(file_send_as_cb)
	(file_send_to_cb)
	(contact_deleted_cb)
	(delete_cb)
	(print_cb)
	(print_envelope_cb)
	(tb_save_and_close_cb)
	(verbs)
	(pixmaps)
	(create_ui): Remove unused funcs.
	(command_state_changed): Remove bonobo calls.
	(e_contact_editor_init): Remove bonobo stuff.
	(fill_in_email)
	(fill_in_im): Remove unused vars.

2004-04-16  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c (book_loaded_cb): new
	function, use the async interface to load the book.
	(impl_requestCreateItem): use
	e_book_async_get_default_addressbook.

2004-04-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/contact-editor.glade: Commit new contact editor
	UI by Anna.

	* gui/contact-editor/e-contact-editor.c: Comment out bonobo includes.
	(_email_arrow_pressed)
	(_address_arrow_pressed)
	(set_im_fields)
	(find_address_mailing)
	(set_address_field)
	(add_im_clicked)
	(edit_im_clicked)
	(remove_im_clicked)
	(im_button_press_cb)
	(im_selected_cb)
	(im_treeview_drag_data_get_cb)
	(im_treeview_drag_data_rcv_cb)
	(setup_im_treeview)
	(email_entry_changed)
	(address_to_text)
	(text_to_address)
	(address_text_changed)
	(address_mailing_changed)
	(full_addr_clicked)
	(e_contact_editor_build_email_ui)
	(e_contact_editor_build_address_ui)
	(_email_arrow_pressed)
	(_address_arrow_pressed)
	(find_address_mailing)
	(add_im_field)
	(set_im_fields)
	(set_address_field): Removed.
	(address_name)
	(im_service)
	(im_location): Add lookup structs.
	(init_email_record_location)
	(init_email)
	(fill_in_email_record)
	(extract_email_record)
	(email_location_to_index)
	(email_index_to_location)
	(im_index_to_location)
	(get_email_location)
	(get_im_location)
	(fill_in_email)
	(extract_email)
	(init_im_record_location)
	(init_im_record_service)
	(init_im)
	(fill_in_im_record)
	(fill_in_im)
	(extract_im_record)
	(extract_im)
	(init_address_field)
	(init_address_record)
	(init_address)
	(fill_in_address_field)
	(fill_in_address_record)
	(fill_in_address)
	(extract_address_field)
	(extract_address_record)
	(extract_address)
	(file_save_and_close_cb)
	(file_cancel_cb)
	(set_entry_text): Implemented.
	(connect_arrow_button_signals): Updated some widget names.
	(set_entry_changed_signals): Removed dead widgets, updated names for
	others.
	(print_cb)
	(tb_save_and_close_cb)
	(create_ui): Disabled Bonobo toolbar/menus.
	(e_contact_editor_init): Disabled Bonobo toolbar/menus. Init new
	UI elements. Remove init of old UI elements.
	(command_state_changed): Disabled Bonobo toolbar/menus. Act on new
	ok/cancel buttons.
	(_phone_arrow_pressed): Updated widget names.
	(set_phone_field): Use set_entry_text ().
	(set_fields): Update widget names, remove old address code, call new
	fill_in_* code.
	(field_mapping): Remove dead widgets.
	(widget_field_mapping): Ditto.
	(enable_writable_fields): Remove calls for old email/address UI.
	Update some names.
	(fill_in_info): Don't find_address_mailing() or set_im_fields().
	(extract_info): Call new extraction funcs.

2004-04-14  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-view.c (book_open_cb): force the info
	label to update its contents here if the load was successful.

	* gui/component/addressbook-migrate.c (migration_context_new): use
	e_book_get_addressbooks instead of getting source_list from the
	component.
	(migration_context_free): unref the source_list.

	* gui/component/addressbook-config.c (dialog_to_source): sync the
	dialog->source_list, since we have it.

2004-04-14  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c: rip out tons of functions - they
	all live in addressbook-view.c now.  the only thing left in this
	file is the addressbook_load* calls that do authentication.

	* gui/component/addressbook.h: remove prototypes for
	addressbook_new_control and addressbook_load_uri (it was #if 0'ed
	anyway.)

	* gui/component/addressbook-component.h: remove prototypes for
	_peek_activity_handler and _peek_source_list.

	* gui/component/addressbook-component.c: rip out tons of functions
	- they all live in addressbook-view.c now.
	(impl_createControls): simplify this immensely.  we just create an
	AddressbookView and get the various widgets/controls from it.
	(impl_requestCreateItem): this function loses slightly - it needs
	per-window info (the selected source) but there's no way to get
	it.  So we load the default book.  Also, this uses a synchronous
	e_book call to load the book, which is not good.
	(addressbook_component_peek_source_list): nuke, not used by
	anything anyway.
	(addressbook_component_peek_activity_handler): nuked, not used by
	anything - and it's per-window anyway.

	* gui/component/Makefile.am (libevolution_addressbook_la_SOURCES):
	add addressbook-view.[ch].

	* gui/component/addressbook-view.[ch]: rip out all of the per
	window stuff from addressbook.[ch] and addressbook-component.[ch]
	and put it here.

2004-04-13  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-contact-display.c (accum_address): disable the
	map link for 2.0.

2004-04-13  Larry Ewing  <lewing@ximian.com>

	* gui/widgets/e-addressbook-view.c (create_table_view): add
	GDK_ACTION_COPY to the supported drag types.  Connect to the
	table_drag_data_delete callback.
	(table_drag_data_delete): remove the drag rows.

2004-04-13  Sivaiah Nallagatla <snallagatla@novell.com>

        * gui/component/addressbook.c  (addressbook_authenicate):
         added a check for new auth type "plain/password"
         for groupwise in addressbook_authenicate function

2004-04-12  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-popup-control.c (email_menu_add_option): treat
	"" the same as NULL (don't add it to the list).

2004-04-12  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (addressbook_load_default_book):
	quiet valgrind uninitialized memory warning.

2004-04-12  Chris Toshok  <toshok@ximian.com>

	[ should fix #56537 ]
	
	* gui/widgets/eab-popup-control.c (EMPTY_ENTRY): use _(), not N_()
	here.
	(email_menu_add_options_from_contact): and g_strdup it here, so
	that the g_list_foreach (... g_free ..) doesn't cause things to
	blow up.
	(email_menu_unset_options): nuke ifdefed function.
	
	* gui/widgets/eab-popup-control.h: don't include gtk.h, include
	just what we need.

2004-04-10  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-gui-util.h: add prototypes for
	eab_load_error_dialog and eab_search_result_dialog.

	* gui/widgets/eab-gui-util.c (eab_load_error_dialog): the new
	addressbook_show_load_error_dialog.
	(eab_search_result_dialog): new function, the old contents of
	addressbook.c:search_result.

	* gui/component/addressbook.c
	(addressbook_show_load_error_dialog): move this function to
	eab-gui-utils.[ch]
	(search_result): split out the body of this into
	eab_search_result_dialog in eab-gui-utils.[ch].
	(book_open_cb): call eab_load_error_dialog.

	* gui/component/addressbook.h: remove prototype for
	addressbook_show_load_error_dialog.

2004-04-10  Chris Toshok  <toshok@ximian.com>

	* util/e-destination.h: remove the e_destination_get_book api,
	since the function doesn't exist.

2004-04-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (addressbook_migrate): bump
	version required to 8 for the contact list migration foo.

2004-04-09  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c
	(selector_tree_drag_motion): pass GDK_CURRENT_TIME instead of a
	function pointer to "time" to gdk_drag_status.  not sure if this
	is right, but it's definitely more right than it was :)
	(impl_createControls): create the info label and add it to the
	sidebar control.  it's not hooked up yet.

2004-04-09  Chris Toshok  <toshok@ximian.com>

	* importers/evolution-ldif-importer.c (resolve_list_card): use the
	new e_destination_export_to_vcard_attribute call to build up the
	attributes.

	* importers/evolution-vcard-importer.c (process_item_fn): if we're
	importing a vcard that we wrote out previously containing xml in
	the EMAIL attributes, DTRT and strip it out and use
	e_destination_export_to_vcard_attribute to build up the proper
	attribute.

	* util/Makefile.am (libeabutil_la_SOURCES): remove
	eab-destination.[ch] and add e-destination.[ch].

	* printing/e-contact-print.c (e_contact_print_contact): we don't
	have to worry about the "<?xml..."  EMAIL fields anymore.

	* gui/widgets/eab-gui-util.c (eab_send_contact_list): just use the
	value as the address (since that's what it is) in the list case.

	* gui/widgets/eab-contact-display.c (render_contact_list): remove
	the EABDestination stuff from here.
	(eab_contact_display_render_compact): same.

	* gui/widgets/e-minicard.c (activiate_editor): fix warnings - use
	EAB_EDITOR instead of G_OBJECT.
	(add_field): we don't have to worry about the "<?xml..."  EMAIL
	fields anymore.
	(remodel): same.

	* gui/widgets/e-addressbook-treeview-adapter.c
	(adapter_get_value): we don't have to worry about the "<?xml..."
	EMAIL fields anymore.

	* gui/widgets/e-addressbook-table-adapter.c
	(addressbook_value_at): we don't have to worry about the
	"<?xml..." EMAIL fields anymore.

	* gui/contact-list-editor/e-contact-list-model.c
	(contact_list_value_at): eab->e.
	(contact_list_model_dispose): we're not a GtkObject, we're a
	GObject.  rename _destroy to _dispose, and chain up to the parent
	class's ::dispose.
	(e_contact_list_model_class_init): GtkObject -> GObject, and
	destroy -> dispose.
	(e_contact_list_model_init): GtkObject -> GObject, and EAB -> E.
	(e_contact_list_model_add_destination): EAB -> E.
	(e_contact_list_model_add_email): same.
	(e_contact_list_model_add_contact): same.
	(e_contact_list_model_get_destination): same.

	* gui/contact-list-editor/e-contact-list-editor.c
	(table_drag_data_received_cb): add email num arg to
	e_contact_list_model_add_contact.
	(extract_info): fill in the vcard attributes instead of just
	generating xml.
	(fill_in_info): extract the values from the vcard attributes.

	* gui/component/select-names/e-select-names-text-model.c
	(e_select_names_text_model_insert_length): eab->e, and don't
	sometimes copy, sometimes ::new.  always ::new.
	(e_select_names_text_model_delete): same.
	(e_select_names_text_model_obj_count): same.
	(nth_obj_index): same.

	* gui/component/select-names/e-select-names-table-model.c
	(fill_in_info): eab -> e.

	* gui/component/select-names/e-select-names-popup.c
	(make_contact_editor_cb): eab -> e.
	(change_email_num_cb): same.
	(toggle_html_mail_cb): same.
	(populate_popup_contact): same, and remove code that checks for
	<?xml, then imports the EDestination.
	(quick_add_cb): eab -> e.
	(populate_popup_nocontact): same.
	(e_select_names_populate_popup): same.

	* gui/component/select-names/e-select-names-model.h: eab -> e, and
	remove prototypes for nuked functions.

	* gui/component/select-names/e-select-names-model.c
	(destination_changed_proxy, send_changed, connect_destination,
	disconnect_destination): nuke.
	(e_select_names_model_duplicate): EAB -> E.
	(e_select_names_model_get_textification): same.
	(e_select_names_model_get_address_text): same.
	(e_select_names_model_get_destination): same.
	(e_select_names_model_export_destinationv): same.
	(send_changed): same.
	(e_select_names_model_import_destinationv): same.
	(e_select_names_model_get_contact): same.
	(e_select_names_model_contains): same.
	(e_select_names_model_insert): same, and remove call to
	connect_destination.
	(e_select_names_model_append): same.
	(e_select_names_model_replace): same, and remove call to
	disconnect/connect_destination.
	(e_select_names_model_delete): same.
	(delete_all_iter): nuke.
	(e_select_names_model_delete_all): use g_object_unref for the
	foreach call.
	(e_select_names_model_merge): EAB -> E.
	(e_select_names_model_name_pos): same.
	(e_select_names_model_name_pos): same.
	(e_select_names_model_load_all_contacts): nuke.
	(e_select_names_model_cancel_all_contact_load): nuke.
	
	* gui/component/select-names/e-select-names-manager.c
	(clean_cb, focus_in_cb, focus_out_cb, completion_popup_cb): nuke.
	(completion_handler): EAB -> E, and the signals are gone.

	* gui/component/select-names/e-select-names-completion.c: in
	general, s/eab_dest/e_dest and s/EABDest/EDest.
	(e_select_names_completion_got_book_view_cb): move the
	e_book_view_start to below the assignment of
	sequence_complete_received, just to put my mind at ease.
	(e_select_names_completion_stop_query): un-#if notyet the call to
	e_book_cancel.
	(e_select_names_completion_start_query): free the waiting_query
	before assigning to it.

	* gui/component/select-names/e-select-names-bonobo.c
	(entry_set_property_fn): remove calls to
	e_select_names_model_load_all_contacts, since that function is
	dead.

	* gui/component/addressbook-migrate.c (setup_progress_dialog):
	take the label to display to the user as an arg.
	(migrate_contact_lists_for_local_folders): loop over all contacts
	in all local addressbooks looking for ones that have <?xml in
	their EMAIL attributes.  for the ones we find, call
	e_destination_export_to_vcard_attribute to build up the proper
	attribute.
	(addressbook_migrate): add in a clause for all versions under
	1.5.7 to convert contact lists.  also, move the unrefs of the
	sources/groups to outside the if, as they're created outside it.

	* gui/component/Makefile.am (INCLUDES): remove the
	addressbook/backend/ dirs, since libebook isn't there anymore
	(nothing is, actually).  Add addressbook/util/.

2004-04-09  Dan Winship  <danw@ximian.com>

	* gui/component/addressbook.c (addressbook_new_control): create an
	EUserCreatableItemsHandler
	(addressbook_view_clear): destroy it
	(control_activate): Activate it

	* gui/component/addressbook-component.c
	(impl__get_userCreatableItems): Add object/folder flags to the
	creatable items. Rename "Address Book" to "Contacts Group" per new
	specs

2004-04-07  Chris Toshok  <toshok@ximian.com>

	* util/e-destination.c (e_destination_copy): we don't have an
	EBook* anymore.
	(e_destination_clear): same.
	(e_destination_set_contact): same.
	(e_destination_set_book): same, just cache the source_uid.
	(e_destination_set_book_uri): nuke.
	(e_destination_set_contact_uid): we don't have an EBook*.
	(e_destination_xml_decode): same.
	(e_destination_export_to_vcard_attribute): new function, fill in
	an EVCardAttribute with EDestination values.

	* util/e-destination.h: add prototype for
	e_destination_export_to_vcard_attribute.

2004-04-07  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/component/autocompletion-config.c
	(source_selection_changed): Sync the changes here rather than
	setting 'changed' on the config control (since that no longer
	exists).
	(autocompletion_config_control_new): Don't connect to an apply
	signal, no such signal.

2004-04-06  Chris Toshok  <toshok@ximian.com>

	* util/e-destination.[ch]: old name, new trimmed down
	implementation.  This will be replacing eab-destination.[ch].

2004-04-06  Hao Sheng  <hao.sheng@sun.com>

	* gui/widgets/e-minicard.c:
	(e_minicard_event) : implement keyboard navigation(TAB/shift+TAB)
	(activaite_editor) : add a new function to activiate contact editor
	for support "Enter" key

	Fixes #55056

2004-04-05  Chris Toshok  <toshok@ximian.com>

	* util/eab-destination.h: wrap this with the correct #ifdef.

2004-04-05  Chris Toshok  <toshok@ximian.com>

	* gui/merging/eab-contact-merging.c (match_query_callback): use
	the correct glade filename.

2004-04-01  Hari Prasad Nadig  <hp@ndeepak.info>

	Fixes #53433.
	
	* gui/component/addressbook-config.c (searching_tab_check): added
	the tab check for search tab.
	(dialog_to_source): added timeout to be saved.
	(source_to_dialog): just a piece to retrieve timeout from source.
	(addressbook_root_dse_query): few necessary changes.
	(do_ldap_root_dse_query): again few changes that were required.

	* gui/component/ldap-config.glade : set right the Hscale to
	display the selected value.
	
2004-03-30  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #34777 ]
	
	* gui/contact-editor/e-contact-editor.c (file_as_entry_changed):
	set the window title to File As if the file as entry has something
	in it.  "Contact Editor" otherwise.
	(set_entry_changed_signals): hook up the file-as-entry's "changed"
	signal.

	* gui/contact-list-editor/e-contact-list-editor.c
	(list_name_changed_cb): analogous fix, but "List Name" and
	"Contact List Editor".

2004-03-30  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #53544 ]
	
	* gui/component/addressbook-component.c
	(impl__get_userCreatableItems): add "address_book" to the user
	creatable items list. complete with incorrect accelerator and
	shortcut!
	(impl_requestCreateItem): handle "address_book" here, and plug a
	memory leak.

2004-03-30  Chris Toshok  <toshok@ximian.com>

	[ part of the fix for #51977, the other part is in e-d-s ]
	
	* gui/widgets/e-addressbook-view.c (search_activated): the name of
	the category list property has changed from "category" to
	"category" list in 1.5.  track the change here to get category
	searching working again.

2004-03-30  Chris Toshok  <toshok@ximian.com>

	[ part of the fix for #54528, the other part is in e-d-s ]
	
	* importers/evolution-vcard-importer.c (process_item_fn): get and
	set the PHOTO attribute before storing the contact in the book.
	this has the affect of making EContact sniff the image format.
	the apple addressbook doesn't give PHOTO's a TYPE.


2004-03-30  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #53094 ]
	
	* gui/component/ldap-config.glade: nuke
	addressbook-sources-window.

	* gui/component/addressbook-config.c (main): nuke, we don't need
	this test case anymore, and it doesn't really work anyway anymore.

2004-03-30  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #53634 ]
	
	* gui/widgets/e-addressbook-view.c (eab_view_new): call
	e_search_bar_set_menu to add the Advanced... menu item to the
	search menu, and connect to "menu_activated".
	(search_menu_activated): new function, pop up the advanced dialog
	if id == ESB_ADVANCED.
	(query_changed): use e_search_bar_get_item_id instead of
	g_object_get.

	* gui/component/addressbook.c (verbs): remove ToolSearch.
	(pixmaps): remove the ToolSearch pixmap.

2004-03-30  Chris Toshok  <toshok@ximian.com>

	[ gui part of the fix required for #48665 ]
	
	* gui/widgets/e-addressbook-model.c (get_view): pass the source's
	"limit" property (if it exists) to e_book_async_get_book_view.

2004-03-29  Larry Ewing  <lewing@ximian.com>

	* gui/component/addressbook-component.c
	(selector_tree_drag_data_received): call drag_finish properly.
	(selector_tree_drag_motion): set the drag status properly.

2004-03-25 Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/component/eab-editor.c (eab_editor_prompt_to_save_changes) : 
	do  eab_editor_is_valid check only when user wants to save.

2004-03-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c
	(fill_popup_menu_callback): don't let the user delete their
	Personal addressbook.  This is just a nice UI thingy..  A similar
	fix needs to be made to e-d-s. so that attempts that circumvent a
	nice UI will also fail.

2004-03-24  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-gui-util.c (eab_show_multiple_contacts): don't
	know what I was thinking approving this change.  the _() was only
	used in the plural case (in fact where n > 5), so a singular case
	was never necessary, and neither was the call to ngettext.

2004-03-24  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c
	(e_contact_list_editor_get_type): parent_type == EAB_TYPE_EDITOR.
	(e_contact_list_editor_class_init): fill in editor_class virtual
	functions, and remove all the signals.
	(list_added_cb): call eab_editor_contact_* instead of emitting a
	signal here.  also call eab_editor_close
	(list_modified_cb): same.
	(e_contact_list_editor_is_valid): new function.
	(e_contact_list_editor_is_changed): same.
	(e_contact_list_editor_get_window): same.
	(file_close_cb): call eab_editor_ functions.
	(list_deleted_cb): call eab_editor_contact_* instead of emitting a
	signal here.  also call eab_editor_close
	(delete_cb): call eab_editor_* functions.
	(contact_list_editor_destroy_notify): call eab_editor_remove.
	(e_contact_list_editor_new): call eab_editor_add, and remove the
	g_object_ref/gtk_object_sink two-step.
	(e_contact_list_editor_show): make static, and make arg EABEditor.
	(e_contact_list_editor_raise): same.
	(e_contact_list_editor_close): same.
	(app_delete_event_cb): call eab_editor_ functions.
	(command_state_changed): use eab_editor_is_valid instead of
	is_named.
	(e_contact_list_editor_request_close_all): nuke.
	
	* gui/contact-list-editor/e-contact-list-editor.h: nuke a bunch of
	prototypes for functions that are now either virtual functions
	from EABEditor or eab_editor_* functions.
	(struct _EContactListEditor): we subclass from EABEditor.
	(struct _EContactListEditorClass): same, and nuke all the signals.

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_get_type): parent_type == EAB_TYPE_EDITOR.
	(e_contact_editor_class_init): fill in editor_class virtual
	functions, and remove all the signals.
	(contact_moved_cb): call eab_editor_contact_* instead of emitting
	a signal here.  also call eab_editor_close
	(contact_added_cb): same.
	(contact_modified_cb): same.
	(e_contact_editor_close): rename from close_dialog.
	(e_contact_editor_is_valid): new function.
	(e_contact_editor_is_changed): new function.
	(e_contact_editor_get_window): new function.
	(file_close_cb): use eab_editor_ calls here.
	(e_contact_editor_confirm_delete): nuke.
	(contact_deleted_cb): call eab_editor_contact_* instead of
	emitting a signal here.  also call eab_editor_close
	(delete_cb): use eab_editor_ functions.
	(e_contact_editor_dispose): chain up to our parent's ::dispose.
	(contact_editor_destroy_notify): use eab_editor_remove.
	(e_contact_editor_new): use eab_editor_add, and remove the
	g_object_ref/gtk_object_sink two-step.
	(_popup_position): nuke dead function.
	(set_fields): i is an index, not a field_id.
	(e_contact_editor_raise): make this static, and it takes an
	EABEditor arg now, not a EContactEditor.
	(e_contact_editor_show): same.
	(e_contact_editor_request_close_all): nuke.
	
	* gui/contact-editor/e-contact-editor.h: nuke a bunch of
	prototypes for functions that are now either virtual functions
	from EABEditor or eab_editor_* functions.
	(struct _EContactEditor): we subclass from EABEditor.
	(struct _EContactEditorClass): same, and remove the signals.

	* gui/widgets/e-addressbook-view.c (delete): call
	eab_editor_confirm_delete.

	* gui/widgets/eab-popup-control.c (contact_editor_cb): don't
	bother calling e_contact_editor_raise since this is a new contact
	editor anyway.

	* gui/widgets/eab-gui-util.c (eab_show_contact_list_editor): use
	EABEditor signals, and eab_editor_show.

	* gui/widgets/e-minicard.h: "editor" is now of type EABEditor, not
	GObject.

	* gui/widgets/e-minicard.c (e_minicard_event): just use
	eab_editor_raise instead of
	e_contact_editor_raise/e_contact_list_editor_raise.

	* gui/component/addressbook-component.c (impl_requestQuit):
	implement this again, calling eab_editor_request_close_all.
	(addressbook_component_class_init): fill in epv->requestQuit.

2004-03-24  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/eab-editor.[ch]: superclass for both
	EContactEditor and EContactListEditor.  A start toward simplifying
	the interface to both of them, and a place to abstract code.

	* gui/contact-editor/Makefile.am (libecontacteditor_la_SOURCES):
	add eab-editor.[ch]

2004-03-24  Danilo Segan  <dsegan@gmx.net>

	* gui/widgets/e-addressbook-model.c (update_folder_bar_message):
	Use ngettext for handling plural forms (fixes bug #53464).
	* gui/widgets/eab-gui-util.c (eab_show_multiple_contacts): Likewise.
	* gui/widgets/eab-vcard-control.c (pstream_load): Likewise.


2004-03-22  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #53653, and a couple other instances ]
	
	* gui/widgets/eab-gui-util.c (file_exists): REJECT -> CANCEL, so
	esc works (patch from Pratik V. Parikh <pratikvp@despammed.com>)
	(save_it): REJECT -> CANCEL.
	(eab_select_source): same.

2004-03-17  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #53625.

	* gui/widgets/eab-contact-display.c (render_contact): Show home and
	mobile phone numbers too.

2004-03-15  Sivaiah Nallagatla <snallagatla@novell.com>
        
	* gui/contact-editor/e-contact-editor.c (enable_writable_fields) :
         loop only up to < G_N_ELEMENTS instead of <= G_N_ELEMENTS. Prevents
         out of bound indexing of addresses array

2004-03-15  Hao Sheng  <hao.sheng@sun.com>

	* gui/component/Makefile.am : build a11y/addressbook dir
	* gui/widgets/e-addressbook-view.c :
	(eab_view_class_init) : add the accessibility support for 
	EAddressbookView
	* gui/widgets/e-minicard-view.c :
	(e_minicard_view_class_init) : add the accessibility support for 
	EMinicardView
	* gui/widgets/e-minicard.c :
	(e_minicard_class_init) : add the accessibility support for EMinicard
                                                                                
2004-03-10  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-contact-display.c (render_address): #if 0 this,
	since nothing uses it anymore.
	(accum_address): new function, build up a GString.
	(accum_name_value): same.
	(accum_attribute): same.
	(render_contact): don't just blindly render the work/personal
	blocks, since if they're empty it looks stupid.  instead,
	accumulate each block into a GString and only output the entire
	block if the string is non-empty.

2004-03-10  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (phone_entry_changed):
	phone_choice is an index into the phones array.
	(_phone_arrow_pressed): same.
	(address_text_changed): address_choice is an index into the
	addresses array.
	(_address_arrow_pressed): same.
	(set_address_field): same.
	(_email_arrow_pressed): email_choice is an index into the emails
	array.
	(full_addr_clicked): same, and same with
	s/addresses/address_editable.
	(e_contact_editor_init): initialize the *_choice fields as indices
	into their respective *es arrays.
	(e_contact_editor_build_address_ui): initialize the labels from
	the addresses array.
	(set_fields): *_choice fields are indices into *es arrays.
	(enable_writable_fields): same.

2004-03-09  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/e-contact-editor.c (_arrow_pressed): Don't try
	to calculate the position of the popup menu for the dropdowns
	
2004-03-09  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/e-contact-editor-im.c (e_contact_editor_im_edit):
	Remove the dialog separator, and set appropriate border widths for the
	button area box and the dialog's vbox
	* gui/contact-editor/im.glade: Apply patch from Christian Neumair to
	make the IM editor dialog HIG compliant

2004-03-08  Sivaiah Nallagatla <snallagatla@novell.com>
	* gui/contact-editor/e-contact-editor.c (enable_writable_fields):
	fixed a typo, which is causing probelm in building up email ui
	
2004-03-04  Sivaiah Nallagatla <snallagatla@novell.com>
                                                                                                                             
        * gui/component/addressbook-config.c :
        (addressbook_add_server_druid) : maintain a list of only those source groups which are added to menu
        instead of all
        (source_group_changed_cb) : use the new list to get the selected group
        (addressbook_source_dialog_destroy) : free the new list

2004-03-04  Not Zed  <NotZed@Ximian.com>

	** See #54991.
	
	* gui/component/select-names/e-select-names-completion.c
	(e_select_names_completion_start_query): dont try to unref a null
	query.
	(name_style_query): use a GString to build the query, so we can
	use e_sexp_encode_string to properly encode the sub terms.

2004-03-03  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-component.c (delete_addressbook_cb):
	Set error to NULL before using it.

2004-03-03  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-component.c (delete_addressbook_cb):
	Remove local data, with error reporting on failure.

2004-03-02  Larry Ewing  <lewing@ximian.com>

	* gui/component/addressbook-component.c: add drop support for
	text/x-vcard to the source list.

2004-02-27  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-contact-display.c
	(eab_contact_display_render_compact): ref the pixbuf before we
	close/unref the loader so the pixbuf sticks around, and make the
	scaling logic a bit more transparent.

2004-02-27  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/contact-editor.glade: Change the button relief
	back to normal for the drop-down buttons and move the text labels
	inside the buttons as well

2004-02-27  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (eab_view_set_property): add
	missing "break" to PROP_SOURCE's case.

2004-02-27  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/contact-editor.glade: Get rid of some extraneous
	event boxes that were not needed/used for anything really
	Set the button relief for the pop-down buttons to NONE
	Set the shadow type for the arrows in the pop-down buttons to NONE,
	so that we look good with themes that actually handle shadow types on
	arrows, since most things just ignore the shadow type anyway

	Fixes #8516

2004-02-26  Hans Petter Jansson  <hpj@ximian.com>

	* util/eab-destination.c (name_and_email_cb): Move unused variable
	declaration inside notyet conditional.

	* printing/e-contact-print.c: Include gal/util/e-util.h

	* gui/merging/eab-contact-compare.c (eab_contact_locate_match): Cast
	callback to an EBookCallback.
	(eab_contact_locate_match_full): Ditto.

	* gui/contact-editor/e-contact-quick-add.c (quick_add_set_name):
	Remove unused variable and cast 3rd arg to e_contact_set () (perhaps
	this should take a gconstpointer?).

	* gui/contact-editor/e-contact-editor-im.c (setup_service_optmenu):
	Remove unused variable.

	* gui/component/select-names/e-select-names.c (e_select_names_init):
	Cast the vbox to a GtkBox.

	* gui/component/addressbook-config.c (dialog_to_source): Correctly cast
	the spin button to a GtkSpinButton, not a GtkEntry.

	* gui/component/addressbook-component.c (load_primary_selection):
	Remove unused variable.

2004-02-26  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-contact-display.c (render_contact): add the
	Groupwise IM attributes to the list of those we render.

2004-02-26  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (set_view_preview): call
	eab_view_show_contact_preview here so we maintain the preview
	state when switching folders.  we don't (yet... won't ever?) have
	per-addressbook preview settings.

2004-02-26  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c
	(eab_view_show_contact_preview): view->scrolled ->
	view->contact_display.  fixes crash.

2004-02-26  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (edit_im_clicked): fix
	checks for locations.

2004-02-26  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/im.glade: set the location label/option menu
	to visible.

	* gui/contact-editor/e-contact-editor.c (add_im_clicked): build up
	the vcard attributes manually so we can set the TYPE= parameter to
	the location the user specifies.
	(edit_im_clicked): same.  Also, use COLUMN_IM_LOCATION_TYPE, which
	is not localized to pass the location to the editor.
	(remove_im_clicked): reindent.
	(im_treeview_drag_data_get_cb): same.
	(im_treeview_drag_data_rcv_cb): same.
	(setup_im_treeview): add another column for the (non-localized)
	location type, and reindent.
	(add_im_field): use the new attribute api for EContact so we can
	get the location of each account, and set things appropriately on
	the store.

	* gui/contact-editor/e-contact-editor-im.c
	(e_contact_editor_im_class_init): reindent.
	(e_contact_editor_im_new): same.
	(fill_in_info): same.

2004-02-25 Sivaiah Nallagatla <snallagatla@novell.com>

	* gui/contact-editor/e-contact-editor-im.c : added 
	groupwise im related label and icon image file name
	
	* gui/contact-editor/e-contact-editor.c : 
	(im_treeview_drag_data_get_cb), (im_treeview_drag_data_rcv_cb) :
	(set_im_fields) : added code to add Gw Im id to contact-editor 
	

2004-02-24  Hans petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-quick-add.c (quick_add_set_name):
	Port to new way of setting name in contact.

2004-02-24  JP Rosevear <jpr@ximian.com>

	* gui/component/addressbook-migrate.c (migration_context_new):
	don't init the dialog here
	(addressbook_migrate): init it here

	Fixes #54214
	
2004-02-20  Chris Toshok  <toshok@ximian.com>
	* gui/contact-editor/e-contact-editor.c (phone_entry_changed):
	remove some spew.

2004-02-19  Chris Toshok  <toshok@ximian.com>

	* gui/component/component-factory.c: s/HAVE_NSS/ENABLE_SMIME.

	* gui/component/addressbook-component.c: s/HAVE_NSS/ENABLE_SMIME.

2004-02-19  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook.c (activate_source): split out the
	majority of the set_prop code for PROPERTY_SOURCE_UID_IDX here, so
	it can be used for both SOURCE_UID and FOLDER_URI.
	(set_prop): add a setter for "folder_uri".  we sorta fudge things
	and use the uri for the uid (the uid is only used as a hash key to
	look up the view associated with the uri/source, so we should be
	good still.)
	(get_prop): add getter for "folder_uri".
	(addressbook_new_control): add the "folder_uri" property to our
	property bag.

2004-02-19  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #45308 and duplicates.

	* gui/widgets/e-addressbook-model.c (eab_model_set_property): Store
	the IDs of book signals connected to, so we can disconnect from them
	later.

2004-02-18  Hao Sheng  <hao.sheng@sun.com>

	[ fixes bug #52765 ]

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_confirm_delete): make delete dialog support
	ESC press.

2004-02-17  Chris Toshok  <toshok@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.h (struct
	_EContactListEditor): add image_set slot.

	* gui/contact-list-editor/e-contact-list-editor.c
	(list_image_changed_cb): set image_set = TRUE.
	(e_contact_list_editor_init): init image_set = FALSE
	(extract_info): only set the LOGO attribute if image_set = TRUE.

	* gui/contact-editor/e-contact-editor.h (struct _EContactEditor):
	add image_set slot.

	* gui/contact-editor/e-contact-editor.c (extract_info): only set
	the PHOTO attribute if image_set == TRUE.
	(image_chooser_changed): new function, set image_set = TRUE and
	call widget_changed.
	(e_contact_editor_init): init image_set to FALSE.
	(_address_arrow_pressed): quiet compiler.

2004-02-17  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #53620 ]
	
	* gui/merging/eab-contact-compare.c (eab_contact_compare_name): ""
	is a valid (and common) value for elements of EContactName now.
	it's semantically equivalent to NULL in the old ECard foo.

2004-02-12  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (migrate_contacts): free up
	the list returned by e_book_get_contacts.

2004-01-12  Rodney Dawes  <dobey@ximian.com>

	* gui/component/addressbook-component.c (delete_addressbook_cb):
	Fix capitalization of Address Book usage in sentence form
	* gui/component/ldap-config.glade: Use Address Book instead of
	Addressbook in here (Patch from Aaron Weber <aaron@ximian.com>)

2004-02-11  Rodney Dawes  <dobey@ximian.com>

	* gui/component/addressbook-component.c (delete_addressbook_cb):
	(fill_popup_menu_callback):
	* gui/widgets/e-addressbook-view.c (init_collection):
	* gui/widgets/eab-gui-util.c (eab_error_dialog):
	* gui/widgets/eab-popup-control.c (eab_popup_control_contstruct):
	Address Book, not Addressbook

	Fixes #54166 and #54120

2004-02-10  JP Rosevear <jpr@ximian.com>

	* Makefile.am: build importers dir

2004-02-08  Rodney Dawes  <dobey@ximian.com>

	* gui/component/addressbook-migrate.c (create_groups): Initialize the
	personal_source to NULL

	Fixes #54015

2004-02-08  Sivaiah Nallagatla <snallagatla@novell.com>
                                                                                
        * gui/widgets/e-addressbook-view.c (delete) : pass contact
        as an argument instead of contact id to e_book_async_remove_contact

2004-02-06  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (create_groups): don't
	bother using a function-wide variable to store the personal
	source.  also, use g_build_filename properly (because fejj is a
	whiner.)
	(migrate_local_folders): same (wrt fejj whining).

2004-02-06  Rodney Dawes  <dobey@ximian.com>

	* gui/component/addressbook.c (addressbook_new_control): Hide the
	border on the notebook also
	* gui/widgets/e-addressbook-view.c (eab_view_new): Don't pack another
	scrolled window inside of a scrolled window, just pack the contact
	display inside the paned, since it already has a scrolled window

2004-02-06  Rodney Dawes  <dobey@ximian.com>

	* gui/widgets/e-addressbook-view.c: Use "Address Book" instead of
	"folder" or "Addressbook" for the "Address Book Sources..." and
	copy/move contact menu items

	Fixes #53654

2004-02-06  Chris Toshok  <toshok@ximian.com>

	* importers/evolution-ldif-importer.c (getNextLDIFEntry): only set
	the address if something in it's been filled in.
	(resolve_list_card): build up a separate list representing the xml
	formatted crud.
	(process_item_fn): remove FIXME.
	(factory_fn): use g_new0 since we test for NULL-ness later on.

	* importers/evolution-vcard-importer.c (factory_fn): use g_new0
	since we test for NULL-ness later on.

2004-02-06  JP Rosevear <jpr@ximian.com>

	* importers/evolution-ldif-importer.c (importer_destroy_cb):
	implement

2004-02-06  JP Rosevear <jpr@ximian.com>

	* importers/evolution-vcard-importer.c (importer_destroy_cb):
	implement
	(load_file_fn): use g_file_get_contents to get a string we can
	convert to a contact list with eab_contact_list_from_string 

2004-02-06  JP Rosevear <jpr@ximian.com>

	* importers/GNOME_Evolution_Addressbook_LDIF_Importer.server.in.in:
	shlib importer info

	* importers/GNOME_Evolution_Addressbook_VCard_Importer.server.in.in: 
	ditto
	
	* importers/Makefile.am: build shlib addressbook importers

	* importers/evolution-ldif-importer.c: First crack at resurrecting

	* importers/evolution-vcard-importer.c: ditto
	
2004-02-03  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/eab-contact-display.c (on_url_requested): remove
	some spew, and add an evo-icon: handler, for things in evolution's
	imagedir.
	(render_address): hack up the html.
	(render_name_value): new function, just render a name/value/icon.
	(render_attribute): split out most of this function into
	render_name_value.  this just checks to see if the EContact
	attribute has something in it before passing it along.
	(render_contact_list): split this out from
	eab_contact_display_render_normal.
	(start_block): new function, insert a row of height 20 with a
	header.
	(end_block): new function, insert a row of height 20.
	(render_contact): split this out from
	eab_contact_display_render_normal, and prettify the contact
	display.
	(eab_contact_display_render_normal): call render_contact and
	render_contact_list.
	(eab_contact_display_new): create a scrolled window and add the
	GtkHTML to it so we actually have scrollbars.

2004-02-03  Dan Winship  <danw@ximian.com>

	* gui/component/select-names/Makefile.am (INCLUDES): add
	widgets/misc for e-activity-handler.h

2004-02-03 Sivaiah Nallagatla <snallagatla@novell.com>

        * gui/component/addressbook-config.c (dialog_to_source)
        (source_to_dialog) : use gtk_spin_button_* apis to get and set
        values for download limit spin button instead of gtk_entry
        Fixes #53432

2004-02-02  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (eab_view_new): hook up
	contact_changed/contact_removed signals.
	(contact_changed): new function.  if the changed contact is the
	one we're displaying, re-render it.
	(contact_removed): new function.  if the removed contact is the
	one we're displaying, clear the display.
	(render_contact): set displayed_contact to the row.
	(eab_view_init): init displayed_contact to -1.
	(selection_changed): set displayed_contact to -1 when we clear the
	display.
	
	* gui/widgets/e-addressbook-view.h (struct _EABView): add
	"displayed_contact" so we can update the contact preview when it
	changes.

2004-01-30  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c: enable d&d drop photos.

	* gui/contact-editor/contact-editor.glade: use
	eab_create_image_chooser_widget for the d&d'able image.

	* gui/contact-list-editor/e-contact-list-editor.c: abstract out
	all the d&d image support (it's now in
	widgets/misc/e-image-chooser.[ch]).

	* gui/contact-list-editor/contact-list-editor.glade: use
	eab_create_image_chooser_widget for the d&d'able image.

	* gui/widgets/eab-gui-util.c (eab_create_image_chooser_widget):
	new function.

	* gui/widgets/eab-gui-util.h: add prototype for
	eab_create_image_chooser_widget.

2004-01-29  Hans Petter Jansson  <hpj@ximian.com>

	* gui/widgets/eab-gui-util.c (source_selection_changed_cb): Implement.
	(eab_select_source): Implement. Public function that prompts user to
	select a source from a list.
	(eab_transfer_contacts): Enable and use eab_select_source () and
	ESource, instead of old shell folder/URI stuff.

2004-01-29  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/ldap-config.glade: Changed "Finish" to "Apply" in
	dialog finish page text.

2004-01-29  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-config.c (dialog_to_source): Sync the
	modified source list.

	* gui/component/addressbook-component.c (delete_addressbook_cb): Sync
	the modified source list.

2004-01-29  Chris Toshok  <toshok@m198-139.dsl.rawbw.com>

	* gui/component/addressbook-migrate.c (setup_progress_dialog): use
	the MigrationContext struct.
	(dialog_close): same.
	(dialog_set_folder_name): same.
	(dialog_set_progress): same.
	(migrate_contacts): same, and pass it along to other functions.
	(migrate_contact_folder_to_source): same.
	(migrate_contact_folder): same.  also, add the old path/uid to the
	folder_uid_map.
	(migrate_local_folders): same.
	(create_groups): use the MigrationContext struct.
	(migrate_completion_folders): if it's a file uri, look up the old
	path in our hash table for a uid to use.  otherwise use the old
	behavior.
	(migration_context_new): new function, initialize the
	MigrationContext.
	(migration_context_free): free up everything.
	(addressbook_migrate): create the context, pass it to everything,
	destroy the context, shine toshok's shoes, etc.

2004-01-29  Radek Doulik  <rodo@ximian.com>

	* gui/component/addressbook-config.c (dialog_to_temp_source): set
	group to temporary source

2004-01-28  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/select-names/e-select-names-table-model.c
	(fill_in_info): Get file_as instead of full_name.

	* gui/compoent/select-names/e-select-names.etspec: Show the file_as
	column instead of full_name.

2004-01-27  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor-fullname.c
	(e_contact_editor_fullname_set_property): Handle NULL name. Fixes
	#53071.

2004-01-27  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-config.c (dialog_to_source): set the
	relative_uri of a local source to be its uid.

	* gui/component/addressbook-migrate.c
	(migrate_contact_folder_to_source): remove the dest_group arg,
	since we don't use it.
	(migrate_contact_folder): set the relative uri of the source to be
	its uid.
	(PERSONAL_RELATIVE_URI): "Personal" -> "system".
	(create_groups): don't actually make the directory hierarchy for
	the personal folder here.  let e-d-s do that.  Also remove
	OnThisComputer from the base uri.
	(migrate_local_folders): track change to
	migrate_contact_folder_to_source.

2004-01-26  Chris Toshok  <toshok@ximian.com>

	[ Should fix #53361 and other migration problems/crashes ]
	* gui/component/addressbook-migrate.c
	(migrate_contact_folder_to_source): new function, takes most of
	migrate_contact_folder's contents.  Fix some of the refcounting
	problems though, by not unreffing dest_group, and using
	e_group_add_source instead of e_source_set_group.
	(migrate_contact_folder): convert to calling
	migrate_contact_folder_to_source.
	(create_groups): add an out parameter for *personal_source.
	(migrate_local_folders): add personal_source as an arg, so we can
	get the source that create_groups created/found.  Call
	migrate_contact_folder_to_source for the personal_source.
	(addressbook_migrate): pass personal_source to
	migrate_local_folders.

2004-01-26  Chris Toshok  <toshok@ximian.com>

	[ fixes #53238 ]
	* util/eab-destination.c (nonempty): make this accept NULL's (and
	return FALSE for them).
	(eab_destination_is_empty): shorten some of the tests since
	nonempty takes NULL now.
	(eab_destination_get_address): only call
	camel_internet_address_add if both name and email are non-empty.
	otherwise call camel_address_decode and let camel try to deal with
	it.
	(eab_destination_xml_encode): call xmlEncodeEntitiesReentrant on
	the strings before adding them to the xml, so people that enter
	[<>&] won't end up with broken EABDestinations.

2004-01-26  Radek Doulik  <rodo@ximian.com>

	* gui/widgets/e-addressbook-view.c (selection_received): make sure
	we pass \0 terminated string to eab_contact_list_from_string
	[it may fix #51743]

2004-01-25  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #51171 ]
	* gui/widgets/eab-gui-util.c (eab_send_contact_list): get this
	working.

2004-01-24  Rodney Dawes  <dobey@ximian.com>

	* gui/component/select-names/e-select-names.c (e_select_names_init):
	Select Contacts from Address Book, not Contents

	Fixes #53263

2004-01-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (migrate_local_folders):
	oops.
	(migrate_contact_folder): fix the unreffing.

2004-01-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (migrate_local_folders): use
	_("Personal"), not "Personal".

2004-01-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (migrate_local_folders):
	don't create/add the source here.  it's done in
	migrate_contact_folder.

2004-01-24  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (migrate_local_folders): use
	e_folder_map_local_folders.
	(find_addressbook_dirs): nuke.

2004-01-24  JP Rosevear <jpr@ximian.com>

	* gui/widgets/e-addressbook-view.c (init_collection): use
	.evolution to store view info

2004-01-23  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #52571 ]
	* util/eab-book-util.c (escape): ugh.  name fields that have \"
	around the name break our queries, because it turns it into (for
	instance): (contains "full_name" ""Toshok"").  so we need to turn
	that into: (contains "full_name" "\"Toshok\"").
	(eab_name_and_email_query): escape both the name and email, and
	use an EBookQuery instead of passing the string to
	e_book_async_get_contacts.  Looks like ross missed a couple of
	spots.
	(eab_nickname_query): same.

	* gui/component/addressbook.c (free_load_source_data): new
	function, free up the data and unref the source if there is one.
	(load_source_auth_cb): call free_load_source_data instead of just
	g_free'ing the struct.
	(load_source_cb): same.
	(default_book_cb): new function, we need this so we can fill in
	the source for the default book.  get the source, then call
	load_source_cb to continue processing as normal.
	(addressbook_load_default_book): use default_book_cb instead of
	load_source_cb.

2004-01-22  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #53184 ]
	* gui/component/addressbook-migrate.c (migrate_contacts): handle
	the fact that the xml 1.4 spits out contains unescaped ';'s in the
	EMAIL attributes for mailing lists.

2004-01-22  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #52944 ]
	* gui/component/addressbook-migrate.c (migrate_contacts): do some
	massaging of contacts as we import them, to fix up the differences
	between 1.4 and 1.5 vcards.

2004-01-21  Nat Friedman <nat@novell.com>

	* gui/contact-editor/contact-editor.glade: Added missing
	entry-blog widget.

2004-01-21  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-config.c (create_source_dir): Remove.
	(dialog_to_source): Don't create source dir, backend takes care of
	that now.

2004-01-21  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-component.c
	(addressbook_component_peek_gconf_client): new function.

	* gui/component/addressbook-component.h: add prototype for
	addressbook_component_peek_gconf_client.

	* gui/component/addressbook-migrate.c
	(migrate_completion_folders): more gross hacking.  migrate the
	completion settings.
	(get_source_by_uri): function to search for an ESource given the
	entire uri.  used for migrate_completion_folders.
	(migrate_ldap_servers): get_string_value -> get_string_child.
	same with get_integer_child.
	(get_string_child): rename to make it apparent it's a child, not a
	property.
	(get_integer_child): same.
	(addressbook_migrate): call migrate_completion_folders.

2004-01-21  Chris Toshok  <toshok@ximian.com>

	* gui/contact-editor/e-contact-editor.c (new_target_cb): call
	widget_changed here too, since we're changing the destination.

2004-01-20  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #52955 ]
	* gui/merging/eab-contact-compare.c (use_common_book_cb): handle
	the case properly where there are no query parts (p == 0).
	Instead of passing "" to e_book_query_from_string, just set the
	query to NULL.

	* util/eab-book-util.c (eab_contact_list_to_string): we need to
	put a blank line here, so \r\n\r\n, not just \r\n.

2004-01-20  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (create_groups): deal with
	the groups/sources already being there.  Essentially make this
	function idempotent.
	(addressbook_migrate): unconditionally call create_groups now.
	move the version logic here from ipl_upgradeFromVersion, and
	include more versions in the set of those we upgrade from.

	* gui/component/addressbook-migrate.h: add major/minor/revision
	args to addressbook_migrate.

	* gui/component/addressbook-component.c (impl_upgradeFromVersion):
	remove the version logic from here.

2004-01-20 Sivaiah Nallagatla   <snallagatla@novell.com>

	* printing/e-contact-print.c (e_contact_print_response): do not 
	try to unref when query is NULL

2004 -01-20 Sivaiah Nallagatla  <snallagatla@novell.com>

	* gui/contact-editor/e-contact-editor.c (edit_im_clicked) : do not call
	gtk_tree_model_get when nothing in the list is selected 

2004-01-19  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/select-names/e-select-names.etspec: Get name from
	correct model column.

2004-01-19  Hans Petter Jansson  <hpj@ximian.com>

	* printing/e-contact-print.c (complete_sequence): Only unref if we
	have a query.

2004-01-19  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-component.c
	(get_primary_source): Implement.
	(load_primary_selection): Use get_primary_source ().
	(impl_requestCreateItem): Use get_primary_source (), fixing a crash
	when we're asked to create a new item and we don't have the controls.

2004-01-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook.c (load_source_auth_cb): Don't run
	callback if the action was cancelled.
	(load_source_cb): Ditto.
	(addressbook_load_source): Return an ID for the load attempt.
	(addressbook_load_source_cancel): Implement, allows cancelling a
	load attempt.

	* gui/contact-editor/e-contact-editor.c (new_target_cb): Clear the
	values for in-progress load operation. Only unref new_book if it's
	non-NULL.
	(cancel_load): Implement. Cancels the load operation if one is in
	progress.
	(source_selected): Cancel any running load operation before starting
	a new one. Set up in-progress values.
	(e_contact_editor_init): Clear the in-progress values.
	(e_contact_editor_dispose): Cancel load operation.
	(e_contact_editor_set_property): If a new target book is set, cancel
	any conflicting load operation in progress.

	* gui/widgets/e-addressbook-view.c (set_paned_position): Remove
	debug output.
	(get_paned_position): Ditto.

2004-01-16  JP Rosevear <jpr@ximian.com>

	* gui/component/addressbook.c (set_prop): only set the menus and
	command state if we actually are already displayed, otherwise wait
	for activation

2004-01-15  Hans Petter Jansson  <hpj@ximian.com>

	* gui/widgets/e-addressbook-view.c (set_paned_position): Implement.
	(get_paned_position): Implement.
	(eab_view_new): Connect signal to get paned position changes.
	Remove old hack.
	(display_view): Set paned position properly.

2004-01-12  JP Rosevear <jpr@ximian.com>

	* gui/component/addressbook-component.c (impl_upgradeFromVersion):
	revert dumb upgrade change

2004-01-12  JP Rosevear <jpr@ximian.com>

	* gui/component/addressbook-component.c (impl_upgradeFromVersion):
	migrate from 1.5.0 and 1.5.1 properly

2004-01-12  JP Rosevear  <jpr@ximian.com>

	* gui/contact-editor/contact-editor.glade: de-bold ui elements

2004-01-09  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-component.c (add_popup_menu_item): Take a
	sensitivity flag per menu item, and fall back to stock icons.
	(delete_addressbook_cb): Implement.
	(fill_popup_menu_callback): Reorder items, remove "remove" item, set
	sensitivity.

	* gui/component/ldap-config.glade: "Edit LDAP Server" ->
	"Addressbook Properties".

2004-01-11  Christian Hammond  <chipx86@gnupdate.org>

	* addressbook/gui/contact-editor/e-contact-editor-im.[ch],
	  addressbook/gui/contact-editor/im.glade: Added a dialog for
	  adding a new IM account.
	* addressbook/gui/contact-editor/Makefile.am: Added the previously
	  mentioned files, and depend on camel for necessary MIME parsing.

	* addressbook/gui/contact-editor/contact-editor.[ch],
	  addressbook/gui/contact-editor/contact-editor.glade: Add and implement

2004-01-09  Ross Burton  <ross@burtonini.com>

	* gui/component/select-names/e-select-names-completion.c:
	* gui/merging/eab-contact-compare.c:
	* gui/widgets/e-addressbook-model.c:
	* printing/e-contact-print.c:
	Update for API changes to e-book-async.

2004-01-08  Ross Burton  <ross@burtonini.com>

	* gui/contact-editor/contact-editor.glade:
	* gui/contact-editor/e-contact-editor.c:
	Add the video conferencing field.

2004-01-07  Rodney Dawes  <dobey@ximian.com>

	* gui/component/select-names/e-select-names.c:
	* gui/component/select-names/select-names.glade: Make the ESelectNames
	object be a HIG-compliant dialog, change "Folder" to be "Address Book",
	and fix a mnemonic conflict with "Category" and "Cancel"

	Fixes #51966

2004-01-07  Rodney Dawes  <dobey@ximian.com>

	* gui/component/addressbook-component.c: Move the smime_component_init
	call to the instance init callback, rather than the class init, and
	wrap it in #if HAVE_NSS, so the addressbook works without smime support

2004-01-07  JP Rosevear <jpr@ximian.com>

	* gui/component/Makefile.am: link in printer stuff

	Fixes #51172

2004-01-06  Chris Toshok  <toshok@ximian.com>

	* gui/component/addressbook-migrate.c (check_for_conflict): remove
	spew.
	(migrate_contacts): same.
	(migrate_contact_folder): same.
	(migrate_local_folders): same, and plug a leak.

2004-01-06  Chris Toshok  <toshok@ximian.com>

	* gui/component/Makefile.am (libevolution_addressbook_la_SOURCES):
	add addressbook-migrate.[ch].

	* gui/component/addressbook-component.c
	(addressbook_component_init): remove the source creation from
	here, it's in the migration code now.
	(impl_upgradeFromVersion): new function, call the
	addressbook-migration stuff.
	(addressbook_component_class_init): fill in
	epv->upgradeFromVersion, and call smime_component_init.
	(addressbook_component_peek_base_directory): new function.
	(addressbook_component_peek_source_list): same.

	* gui/component/addressbook-component.h: add prototypes for
	_peek_base_directory and _peek_source_list.

	* gui/component/addressbook-migrate.[ch]: add migration code to
	convert stuff from 1.x over to 1.5/2.0.

2004-01-06  Rodney Dawes  <dobey@ximian.com>

	* gui/contact-editor/e-contact-editor-address.c: Apply
	patch from Roozbeh Pournader to update countries list

	Fixes #48151

2004-01-06  JP Rosevear <jpr@ximian.com>

	* gui/component/select-names/e-select-names-popup.c
	(popup_info_cleanup): disconnect from selection-done signal

2004-01-05  JP Rosevear <jpr@ximian.com>

	* gui/component/addressbook.c
	(addressbook_show_load_error_dialog): these line breaks in the
	error messages should actually be spaces

	Fixes #51732
	
2003-12-19  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook-component.c (find_first_source): Impl.
	from calendar.
	(save_primary_selection): Implement, similar to calendar.
	(load_primary_selection): Implement, similar to calendar.
	(primary_source_selection_changed_callback): Save selection.
	(impl_createControls): Load selection.

2003-12-18  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (widget_changed):
	editable -> target_editable
	(e_contact_editor_get_property): Same.
	(_email_arrow_pressed): Same.
	(enable_writable_fields): Same.
	(set_editable): Same.
	(contact_added_cb): Make sure source book is editable before trying
	to remove contact from there.
	(e_contact_editor_init): Set up source/target editability.
	(command_state_changed): Allow save only if target editable. Allow
	delete only if source editable.
	(e_contact_editor_set_property): Set editability flags for
	source/target.

	* gui/contact-editor/e-contact-editor.h: Add source_editable,
	target_editable flags in place of old editable flag.

2003-12-17  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-view.c (eab_view_class_init): install
	the "source" property.
	(eab_view_init): init eav->source to NULL.
	(eab_view_dispose): disconnect the ecml_changed_id and unref
	source.
	(eab_view_new): create the search bar here.
	(view_preview): c&p the mailer's code mostly for this - this is
	the toggle listener for the Preview Pane menuitem.
	(setup_menus): add a listener for the ContactsViewPreview toggle.
	(eab_view_set_property): sensitize the search bar based on whether
	or not we have a book set.  This makes it so you can't search
	until the book is loaded.  Also add handling for the "source"
	attribute and print a warning when it's set multiple times
	(something that's not supported at the moment.)
	(eab_view_get_property): add "source" case.
	(search_activated, query_changed, compare_subitems, make_subitems,
	ecml_changed, get_master_list, connect_master_list_changed): move
	this here from addressbook.c
	(eab_view_show_contact_preview): implement - just show or hide the
	scrolled window.
	(eab_view_setup_menus): call e_search_bar_set_ui_component here,
	kind of a hack.

	* gui/widgets/e-addressbook-view.h: make this inherit from GtkVBox
	instead of GtkEventBox since we'll be packing children.  Add a
	prototype for eab_view_show_contact_preview.

	* gui/component/addressbook.c (get_current_view): return the
	EABView associated with the active notebook page.
	(save_contact_cb): use the current view.
	(view_contact_cb): same.
	(search_cb): same.
	(delete_contact_cb): same.
	(print_cb): same.
	(print_preview_cb): same.
	(stop_loading_cb): same.
	(cut_contacts_cb): same.
	(copy_contacts_cb): same.
	(paste_contacts_cb): same.
	(select_all_contacts_cb): same.
	(send_contact_cb): same.
	(send_contact_to_cb): same.
	(copy_contact_to_cb): same.
	(move_contact_to_cb): same.
	(update_command_state): same.
	(change_view_type): nuke, nothing uses this.
	(control_activate): use the current view.
	(control_activate_cb): same.
	(source_list_changed_cb): new function, remove the notebook pages
	(and destroy the EABView's) for sources that no longer exist.
	(addressbook_view_clear): dispose of the uid_to_view hash.
	(book_open_cb): store the ESource on the EABView too.  this
	function now takes a struct containing both EABView and ESource
	since we can't store either in the AddressbookView.
	(set_prop): if we have a view already for this uid, bring it up.
	otherwise create a new one and start the book loading.
	(addressbook_search_activated): nuked - this is being moved to
	e-addressbook-view.
	(addressbook_query_changed): same.
	(compare_subitems, make_subitems, ecml_changed,
	connect_master_list_changed): same.
	(addressbook_new_control): simplify things a bunch.  create a
	notebook to store the views in.  the search/vbox stuff is gone.
	use e_source_list_new_for_gconf_default, and handle the source
	list's "changed" signal.
	
2003-12-17  Rodney Dawes  <dobey@ximian.com>

	* gui/component/autocompletion-config.c:
	(autocompletion_config_control_new): Embed Tree in GtkScrolledWindow

2003-12-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (contact_added_cb): Update
	the contact's UID after normal add.

2003-12-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/addressbook.c (addressbook_show_load_error_dialog):
	Make a public function that shows an error dialog, which can be used
	when a source fails to load.
	(book_open_cb): Call addressbook_show_load_error_dialog () on error.
	(set_prop): Don't reuse the book when loading a new source. This was
	confusing the contact-editor, which gets the book passed in.

	* gui/contact-editor/e-contact-editor.c (e_contact_editor_class_init):
	Make "source_book" and "target_book" distinct properties.
	(new_target_cb): Implement.
	(source_selected): Implement.
	(contact_moved_cb): Implement.
	(contact_added_cb): Handle the case where source_book != target_book as
	a move - if the add was successful, remove contact from source book.
	(save_contact): Handle case where source_book != target_book.
	(delete_cb): "book" renamed to "source_book".
	(e_contact_editor_init): Set up source_selected signal.
	(e_contact_editor_dispose): Dispose of both source and target books.
	(e_contact_editor_new): "book" renamed to "source_book".
	(e_contact_editor_set_property): If a source book is set, and we don't
	have a target book, make target_book == source_book. Allow setting
	target book, and base editability on that. If we're editing an existing
	contact, treat book change as a change, and update command state.
	(e_contact_editor_get_property): Allow getting target book.
	(set_source_field): Indicate the selected book.

2003-12-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (set_source_field): Implement.
	Makes the source menu reflect the source for the current book.

2003-12-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c
	(e_contact_editor_create_source_option_menu): Implement. Creates
	source selection option menu.

	* gui/contact-editor/contact-editor.glade: Add source selection custom
	widget.

2003-12-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/widgets/e-addressbook-table-adapter.c
	(addressbook_is_cell_editable): Disable cell editing.

2003-12-15  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor.c (address_to_text): Implement.
	(text_to_address): Implement, using EAddressWestern.
	(address_text_changed): Adapt to EContactAddress.
	(full_addr_clicked): Ditto. Fix field IDs.
	(e_contact_editor_init): Init address_choice.
	(_email_arrow_pressed): Fix field IDs.
	(_address_arrow_pressed): Adapt to EContactAddress and fix field IDs.
	(find_address_mailing): Leave out for now. Addresses don't have flags
	anymore...
	(set_fields): Adapt to EContactAddress and fix field IDs. Make sure
	changes to other widgets don't make us go back to the first listed
	address.
	(set_address_field): Adapt to EContactAddress and fix field IDs.
	(enable_writable_fields): Ditto.
	(fill_in_info): Disable find_address_mailing () for now.

2003-12-10  Hans Petter Jansson  <hpj@ximian.com>

	* gui/contact-editor/e-contact-editor-address.c
	(e_contact_editor_address_class_init): Make "address" a boxed type.
	(e_contact_editor_address_init): Set address to NULL.
	(e_contact_editor_address_dispose): Free address.
	(e_contact_editor_address_new): Take an EContactAddress.
	(e_contact_editor_address_set_property): Re-implement setting the
	address property.
	(e_contact_editor_address_get_property): Ditto for getting.
	(fill_in_info): Enable, use EContactAddress fields.
	(extract_info): Ditto.

	* gui/contact-editor/e-contact-editor-address.h:
	Re-enable the address field, as EContactAddress.

2003-12-09  JP Rosevear <jpr@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c (fill_in_info):
	free email list properly

2003-12-09  JP Rosevear <jpr@ximian.com>

	* gui/contact-list-editor/e-contact-list-editor.c (extract_info):
	free the list, not unref it, and free the elements

	Fixes #51976
	
2003-12-06  Chris Toshok  <toshok@ximian.com>

	* gui/component/select-names/e-select-names-manager.c
	(open_book_cb): change prototype to fix warning, and change the
	comment to read load_source instead of load_uri (which isn't what
	we use anymore.)
	(update_completion_books): just use our source list for this.
	check the "completion" source property.
	(source_list_changed): recreate the completion books.
	(e_select_names_manager_init): connect to the source_list's
	changed signal.
	(e_select_names_manager_dispose): don't need to free the
	completion_uids list anymore.

	* gui/component/select-names/e-select-names-config.c
	(e_select_names_config_get_completion_books,
	e_select_names_config_set_completion_books,
	e_select_names_config_add_notification_completion_books): remove.

	* gui/component/select-names/e-select-names-config.h: remove the
	completion books calls, since we can just use the source list.

	* gui/component/component-factory.c (factory): create the
	autocompletion control.

	* gui/component/autocompletion-config.[ch]: new config control for
	selecting completion folders.  Uses e-source-selector.  Could
	probably be beautified a bit.
	
	* gui/component/Makefile.am (libevolution_addressbook_la_SOURCES):
	add autocompletion-config.[ch]

	* gui/component/GNOME_Evolution_Addressbook.server.in.in: remove
	the ldap config control server, and add the autocompletion one.

2003-12-06  JP Rosevear <jpr@ximian.com>

	* */Makefile.am: Remove hard coded disable deprecated flags
	
2003-12-05  JP Rosevear <jpr@ximian.com>

	* gui/component/select-names/select-names.glade: no more custom
	widget for the selection of the search source

	* gui/component/select-names/e-select-names.h: add member

	* gui/component/select-names/e-select-names.etspec: update model
	column

	* gui/component/select-names/e-select-names.c (find_first_source):
	find the first source in the list
	(addressbook_model_set_source): we have the source to set directly
	now
	(source_selected): listen for the source item to change
	(e_select_names_init): create a source option menu and hook it up
	(e_select_names_dispose): destroy the source list
	(e_select_names_new): do away with the config setup here

	* gui/component/select-names/e-select-names-manager.h: update
	members

	* gui/component/select-names/e-select-names-manager.c
	(update_completion_books): add books based on source uid
	(config_completion_books_changed_cb): handle the completion list
	changing
	(config_min_query_length_changed_cb): handle minimum query length
	changing
	(e_select_names_manager_new): we don't do the settings stuff here
	any more
	(e_select_names_manager_init): do the initial set up here for the
	book loaded and listen for changes
	(e_select_names_manager_dispose): destroy the new stuff

	* gui/component/select-names/e-select-names-config.[hc]: config
	information

	* gui/component/select-names/e-select-names-config-keys.h: the
	config keys

	* gui/component/select-names/e-select-names-bonobo.c
	(impl_SelectNames_activate_dialog): do away with the shell client
	stuff

	* gui/component/select-names/Makefile.am: build new files

2003-12-05  Chris Toshok  <toshok@ximian.com>

	* gui/widgets/e-addressbook-model.c (book_view_loaded): call
	remove_book_view/free_data here as well, to guard against multiple
	book_view's being loaded.

2003-12-05  Hans Petter Jansson  <hpj@ximian.com>

	* gui/widgets/e-addressbook-view.etspec: Clean up and sync with
	current model columns.

2003-12-04  Christian Hammond  <chipx86@gnupdate.org>

	* addressbook/gui/contact-editor/e-contact-editor-im.[ch],
	  addressbook/gui/contact-editor/im.glade: Added a dialog for
	  adding a new IM account.
	* addressbook/gui/contact-editor/Makefile.am: Added the previously
	  mentioned files, and depend on camel for necessary MIME parsing.

	* addressbook/gui/contact-editor/contact-editor.[ch],
	  addressbook/gui/contact-editor/contact-editor.glade: Add and implement
	  the Instant Messaging tab.

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c
	(retrieve_shell_view_interface_from_control): Remove.
	(set_folder_bar_label): Remove.
	(addressbook_new_control): Don't connect.

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-config.c: Do not depend on
	e-folder-list.

	* gui/component/select-names/e-select-names.c: Remove dependency
	on evolution-folder-selector-button.
	(e_addressbook_create_folder_selector): Just return a FIXME label
	for now.
	(folder_selected): #if 0 out.
	(e_select_names_init): Do not connect.

	* gui/component/select-names/e-select-names-manager.c
	(e_select_names_manager_activate_dialog): Don't get a shell_client
	arg anymore.
	(load_completion_books): Stub out.

	* gui/component/select-names/e-select-names.c
	(e_select_names_new): Don't get an EvolutionShellClient anymore.
	Don't create the folder selector button for now.

	* gui/component/select-names/e-select-names.h: Remove dependency
	on evolution-shell-client.

	* gui/component/select-names/e-select-names-bonobo.c: Remove
	dependency on evolution-shell-client.
	(impl_SelectNames_activate_dialog): Stub out.

	* gui/widgets/eab-gui-util.c: Remove dependency on
	evolution-shell-client.
	(eab_transfer_contacts): Stub out.

2003-12-02  Rodney Dawes  <dobey@ximian.com>

	* gui/component/Makefile.am: Version the schemas
	* gui/component/apps_evolution_addressbook.schemas: Removed
	* gui/component/apps_evolution_addressbook.schemas.in.in: Added

2003-12-02  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c (set_status_message): Call
	e_activity_handler_operation_finished() on the current activity ID
	when done.

2003-12-01  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook.c (struct AddressbookView): Replace
	activity_client with activity_id.
	(set_status_message): Use the EActivityHandler from the
	AddressbookComponent.

	* gui/component/addressbook-component.c (struct
	_AddressbookComponentPrivate): New member activity_handler.
	(addressbook_component_init): Init.
	(impl_dispose): Unref.
	(addressbook_component_peek_activity_handler): New.
	(impl_createControls): Return an ETaskBar as the statusbar control
	and attach it to the activity handler.

2003-12-01  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component/addressbook-component.c (impl_createControls):
	Pass a label for the status bar control for now.

2003-12-01  Larry Ewing  <lewing@ximian.com>

	* gui/component/Makefile.am (INCLUDES): remove
	GTK_DISABLED_DEPRECATED so that we can build with gtk-2.3.

2003-12-01  Rodney Dawes  <dobey@ximian.com>

	* gui/component/GNOME_Evolution_Addressbook.server.in.in:
	* gui/component/addressbook-config.c:
	* gui/component/addressbook.c:
	* gui/component/component-factory.c:
	* gui/component/select-names/GNOME_Evolution_Addressbook_SelectNames.server.in.in:
	* gui/component/select-names/e-select-names-bonobo.c:
	* gui/component/select-names/e-select-names-factory.c:
	* gui/widgets/eab-gui-util.c:
	* gui/widgets/eab-vcard-control.c: Use BASE_VERSION for repo_ids and
	  OAFIIDs

2003-12-01  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/ldap-config.glade: Fix start page text.

2003-12-01  JP Rosevear <jpr@ximian.com>

	* conduit/Makefile.am: use privconduitdir

	* conduit/e-address.conduit.in: subst right thing

2003-12-01  JP Rosevear <jpr@ximian.com>

	* conduit/e-address.conduit.in: specify privlibdir as the location

	* conduit/Makefile.am: install the conduit to privlibdir

2003-12-01  JP Rosvear <jpr@ximian.com>

	* conduit/Makefile.am: version the .conduit file

2003-12-01  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/new-addressbook.glade: Remove this too.

	* gui/component/Makefile.am (glade_DATA): Remove new-addressbook.glade.

2003-12-01  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component/Makefile.am (libevolution_addressbook_la_SOURCES):
	Remove addressbook-storage.[ch] and new-addressbook.[ch].

	* gui/component/addressbook-storage.[ch]: Removed from repository.

	* gui/component/new-addressbook.[ch]: Removed from repository.

	* gui/component/addressbook-component.c (load_uri_for_selection):
	Set source_uid property on view control, not folder_uri.
	(new_addressbook_cb): Call addressbook_config_create_new_source ().
	(edit_addressbook_cb): Implement.
	(fill_popup_menu_callback): Hook up edit_addressbook_cb ().
	(addressbook_component_init): Create the LDAP source group.

	* gui/component/addressbook-config.c (AddressbookSourceDialog):
	Take out the NEW_ADVANCED_UI stuff and add ESource related vars.
	(ldap_unparse_auth)
	(ldap_parse_auth)
	(ldap_unparse_scope)
	(ldap_unparse_ssl)
	(ldap_parse_ssl): Moved here from addressbook-storage.c.
	(addressbook_dialog_get_source)
	(addressbook_dialog_set_source)
	(objectclasses_create_server_table)
	(objectclasses_create_evolution_table)
	(objectclasses_add_foreach)
	(objectclasses_add)
	(objectclasses_sever_double_click)
	(objectclasses_remove_foreach)
	(objectclasses_remove)
	(objectclasses_evolution_double_click)
	(objectclasses_restore_default)
	(server_selection_model_changed)
	(evolution_selection_model_changed)
	(setup_objectclasses_tab): Nuke aging, unfinished NEW_ADVANCED_UI.
	(add_source_clicked)
	(edit_source_clicked)
	(delete_server)
	(delete_source_clicked)
	(ldap_config_control_destroy_callback)
	(ldap_config_control_apply_callback)
	(sources_selection_changed)
	(sources_table_row_activated)
	(ldap_dialog_new)
	(addressbook_dialog_create_sources_table)
	(ldap_config_control_new)
	(addressbook_config_control_new): Nuke config control.
	(create_source_dir)
	(dialog_to_source)
	(dialog_to_temp_source)
	(source_to_uri_parts)
	(source_to_dialog)
	(source_group_changed_cb)
	(source_group_menu_add_groups)
	(folder_page_forward)
	(finish_page_back): Implement.
	(addressbook_ldap_init): Take ESource instead of AddressbookSource.
	(addressbook_ldap_auth): Don't take a source, not needed.
	(addressbook_root_dse_query): Ditto.
	(addressbook_source_dialog_destroy): Clean up destroy function.
	(addressbook_add_server_druid_finish): Clean up, create ESource.
	(general_tab_check): If it's not LDAP, these options don't matter.
	(do_ldap_root_dse_query): Source no longer needed here.
	(query_for_supported_bases): Use a temp source generated from
	current dialog settings.
	(display_name_page_prepare): Renamed to folder_page_prepare ().
	(druid_display_name_page_modify_cb): Renamed to
	druid_folder_page_modify_cb ().
	(addressbook_add_server_druid): Set up source list, group selector.
	Make LDAP pages optional, dependent on selected group. Use ESource.
	(edit_dialog_store_change): Remove config control list stuff,
	export settings to ESource.
	(addressbook_edit_server_dialog): Renamed to
	addressbook_config_edit_source (), which takes an ESource. Remove
	config control list stuff, make LDAP pages show up only if we have
	an LDAP source. Remove NEW_ADVANCED_UI cruft.
	(addressbook_config_create_new_source): Just call
	addressbook_add_server_druid ().

	* gui/component/addressbook-config.h: Move LDAP enums here, from
	addressbook-storage.h.

	* gui/component/addressbook.c (control_activate_cb): uri -> source
	(addressbook_view_clear): Unref source list.
	(book_open_cb): Use ESource.
	(load_uri_auth_cb): Renamed to load_source_auth_cb (), manipulate
	ESource instead of URI.
	(get_remember_password): Implement.
	(set_remember_password): Implement.
	(addressbook_authenticate): Use ESource properties.
	(load_uri_cb): Renamed to load_source_cb (), ESource adaptation.
	(addressbook_load_uri): Renamed to addressbook_load_source (), takes
	ESource.
	(addressbook_load_default_book): ESource adaptation.
	(get_prop): folder_uri property -> source_uid property.
	(set_prop): folder_uri property -> source_uid property. Find ESource
	by UID.
	(addressbook_new_control): Set up source_uid property and ESourceList.

	* gui/component/component-factory.c (factory): Disable config control.

	* gui/component/ldap-config.glade: Druid and notebook dialogs
	generalized to deal with local sources as well as LDAP. This file
	should probably be renamed...

	* gui/component/select-names/e-select-names-manager.c
	(load_completion_books): Use addressbook_load_source (). However, this
	needs a bit more work to get source UIDs instead of URIs.

	* gui/component/select-names/e-select-names.c
